--[[

This file contains all the flightpaths I have discovered in game.

This file is where the data for specific factions is loaded from.

]]

Default_EFM_FlightData = {
-- Data is now locale-dependant due to other changes made by blizzard.  So all data is to be prefixed with it's locale string.
	["enUS"] = {
		["Horde"] = {
			["Eastern Kingdoms"] = {
				["Burning Steppes"] = {
					["Flame Crest, Burning Steppes"] = {
						["fmLoc"] = {
							["y"] = "0.33",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.66",
							["x"] = "0.51",
						},
						["name"] = "Flame Crest, Burning Steppes",
						["zmLoc"] = {
							["y"] = "24.21",
							["x"] = "65.57",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 477,
							["Grom'gol, Stranglethorn"] = 403,
							["Kargath, Badlands"] = 101,
							["Stonard, Swamp of Sorrows"] = 213,
							["Thorium Point, Searing Gorge"] = 72,
						},
						["routes"] = {
							"Kargath, Badlands", -- [1]
							"Stonard, Swamp of Sorrows", -- [2]
							"Thorium Point, Searing Gorge", -- [3]
						},
					},
				},
				["Undercity"] = {
					["Undercity, Tirisfal"] = {
						["fmLoc"] = {
							["y"] = "0.7",
							["x"] = "0.45",
						},
						["wmLoc"] = {
							["y"] = "0.3",
							["x"] = "0.44",
						},
						["name"] = "Undercity, Tirisfal",
						["zmLoc"] = {
							["y"] = "48.53",
							["x"] = "63.45",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 889,
							["Kargath, Badlands"] = 489,
							["Flame Crest, Burning Steppes"] = 577,
							["Tarren Mill, Hillsbrad"] = 141,
							["Thorium Point, Searing Gorge"] = 545,
							["Hammerfall, Arathi"] = 302,
							["Revantusk Village, The Hinterlands"] = 285,
							["Light's Hope Chapel, Eastern Plaguelands"] = 262,
							["Grom'gol, Stranglethorn"] = 803,
							["Stonard, Swamp of Sorrows"] = 772,
							["The Sepulcher, Silverpine Forest"] = 107,
						},
						["routes"] = {
							"Hammerfall, Arathi", -- [1]
							"Kargath, Badlands", -- [2]
							"Light's Hope Chapel, Eastern Plaguelands", -- [3]
							"Revantusk Village, The Hinterlands", -- [4]
							"Tarren Mill, Hillsbrad", -- [5]
							"The Sepulcher, Silverpine Forest", -- [6]
						},
					},
				},
				["Stranglethorn Vale"] = {
					["Booty Bay, Stranglethorn"] = {
						["fmLoc"] = {
							["y"] = "0.04",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.94",
							["x"] = "0.43",
						},
						["name"] = "Booty Bay, Stranglethorn",
						["zmLoc"] = {
							["y"] = "77.07",
							["x"] = "26.86",
						},
						["routes"] = {
							"Grom'gol, Stranglethorn", -- [1]
							"Kargath, Badlands", -- [2]
							"Stonard, Swamp of Sorrows", -- [3]
						},
						["timers"] = {
							["Kargath, Badlands"] = 408,
							["Flame Crest, Burning Steppes"] = 465,
							["Tarren Mill, Hillsbrad"] = 790,
							["Stonard, Swamp of Sorrows"] = 266,
							["Undercity, Tirisfal"] = 905,
							["Hammerfall, Arathi"] = 671,
							["Grom'gol, Stranglethorn"] = 102,
							["Light's Hope Chapel, Eastern Plaguelands"] = 901,
							["Thorium Point, Searing Gorge"] = 465,
							["Revantusk Village, The Hinterlands"] = 762,
							["The Sepulcher, Silverpine Forest"] = 890,
						},
					},
					["Grom'gol, Stranglethorn"] = {
						["fmLoc"] = {
							["y"] = "0.12",
							["x"] = "0.46",
						},
						["wmLoc"] = {
							["y"] = "0.86",
							["x"] = "0.44",
						},
						["name"] = "Grom'gol, Stranglethorn",
						["zmLoc"] = {
							["y"] = "29.28",
							["x"] = "32.54",
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Kargath, Badlands", -- [2]
							"Stonard, Swamp of Sorrows", -- [3]
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 82,
							["Kargath, Badlands"] = 328,
							["Flame Crest, Burning Steppes"] = 404,
							["Tarren Mill, Hillsbrad"] = 709,
							["Thorium Point, Searing Gorge"] = 384,
							["Undercity, Tirisfal"] = 825,
							["Hammerfall, Arathi"] = 590,
							["Revantusk Village, The Hinterlands"] = 681,
							["Light's Hope Chapel, Eastern Plaguelands"] = 820,
							["Stonard, Swamp of Sorrows"] = 205,
							["The Sepulcher, Silverpine Forest"] = 809,
						},
					},
				},
				["Eastern Plaguelands"] = {
					["Light's Hope Chapel, Eastern Plaguelands"] = {
						["fmLoc"] = {
							["y"] = "0.74",
							["x"] = "0.68",
						},
						["wmLoc"] = {
							["y"] = "0.27",
							["x"] = "0.59",
						},
						["name"] = "Light's Hope Chapel, Eastern Plaguelands",
						["zmLoc"] = {
							["y"] = "57.11",
							["x"] = "80.21",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 901,
							["Kargath, Badlands"] = 496,
							["Flame Crest, Burning Steppes"] = 584,
							["Tarren Mill, Hillsbrad"] = 300,
							["Thorium Point, Searing Gorge"] = 553,
							["Undercity, Tirisfal"] = 262,
							["Hammerfall, Arathi"] = 236,
							["Revantusk Village, The Hinterlands"] = 142,
							["Grom'gol, Stranglethorn"] = 810,
							["Stonard, Swamp of Sorrows"] = 779,
							["The Sepulcher, Silverpine Forest"] = 373,
						},
						["routes"] = {
							"Revantusk Village, The Hinterlands", -- [1]
							"Undercity, Tirisfal", -- [2]
						},
					},
				},
				["Silverpine Forest"] = {
					["The Sepulcher, Silverpine Forest"] = {
						["fmLoc"] = {
							["y"] = "0.66",
							["x"] = "0.4",
						},
						["wmLoc"] = {
							["y"] = "0.34",
							["x"] = "0.41",
						},
						["name"] = "The Sepulcher, Silverpine Forest",
						["zmLoc"] = {
							["y"] = "42.55",
							["x"] = "45.59",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 871,
							["Kargath, Badlands"] = 476,
							["Flame Crest, Burning Steppes"] = 564,
							["Tarren Mill, Hillsbrad"] = 96,
							["Stonard, Swamp of Sorrows"] = 759,
							["Undercity, Tirisfal"] = 112,
							["Hammerfall, Arathi"] = 216,
							["Grom'gol, Stranglethorn"] = 790,
							["Light's Hope Chapel, Eastern Plaguelands"] = 374,
							["Revantusk Village, The Hinterlands"] = 291,
							["Thorium Point, Searing Gorge"] = 533,
						},
						["routes"] = {
							"Tarren Mill, Hillsbrad", -- [1]
							"Undercity, Tirisfal", -- [2]
						},
					},
				},
				["Ghostlands"] = {
					["Tranquillien, Ghostlands"] = {
						["fmLoc"] = {
							["y"] = "0.86",
							["x"] = "0.64",
						},
						["wmLoc"] = {
							["y"] = "0.15",
							["x"] = "0.56",
						},
						["name"] = "Tranquillien, Ghostlands",
						["zmLoc"] = {
							["y"] = "30.54",
							["x"] = "45.48",
						},
						["routes"] = {
							"Silvermoon City", -- [1]
						},
						["timers"] = {
							["Silvermoon City"] = 74,
						},
					},
				},
				["Badlands"] = {
					["Kargath, Badlands"] = {
						["fmLoc"] = {
							["y"] = "0.36",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.63",
							["x"] = "0.51",
						},
						["name"] = "Kargath, Badlands",
						["zmLoc"] = {
							["y"] = "44.88",
							["x"] = "4.03",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 432,
							["Flame Crest, Burning Steppes"] = 88,
							["Tarren Mill, Hillsbrad"] = 382,
							["Thorium Point, Searing Gorge"] = 57,
							["Undercity, Tirisfal"] = 497,
							["Hammerfall, Arathi"] = 263,
							["Grom'gol, Stranglethorn"] = 314,
							["Light's Hope Chapel, Eastern Plaguelands"] = 493,
							["Stonard, Swamp of Sorrows"] = 282,
							["Revantusk Village, The Hinterlands"] = 354,
							["The Sepulcher, Silverpine Forest"] = 482,
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Flame Crest, Burning Steppes", -- [2]
							"Grom'gol, Stranglethorn", -- [3]
							"Hammerfall, Arathi", -- [4]
							"Stonard, Swamp of Sorrows", -- [5]
							"Thorium Point, Searing Gorge", -- [6]
							"Undercity, Tirisfal", -- [7]
						},
					},
				},
				["Arathi Highlands"] = {
					["Hammerfall, Arathi"] = {
						["fmLoc"] = {
							["y"] = "0.6",
							["x"] = "0.61",
						},
						["wmLoc"] = {
							["y"] = "0.4",
							["x"] = "0.54",
						},
						["name"] = "Hammerfall, Arathi",
						["zmLoc"] = {
							["y"] = "32.72",
							["x"] = "73.12",
						},
						["routes"] = {
							"Kargath, Badlands", -- [1]
							"Revantusk Village, The Hinterlands", -- [2]
							"Tarren Mill, Hillsbrad", -- [3]
							"Undercity, Tirisfal", -- [4]
						},
						["timers"] = {
							["Revantusk Village, The Hinterlands"] = 91,
							["Kargath, Badlands"] = 260,
							["Light's Hope Chapel, Eastern Plaguelands"] = 230,
							["Tarren Mill, Hillsbrad"] = 119,
							["The Sepulcher, Silverpine Forest"] = 217,
							["Undercity, Tirisfal"] = 261,
						},
					},
				},
				["Eversong Woods"] = {
					["Silvermoon City"] = {
						["fmLoc"] = {
							["y"] = "0.93",
							["x"] = "0.66",
						},
						["wmLoc"] = {
							["y"] = "0.08",
							["x"] = "0.57",
						},
						["name"] = "Silvermoon City",
						["zmLoc"] = {
							["y"] = "50.78",
							["x"] = "54.32",
						},
						["routes"] = {
							"Tranquillien, Ghostlands", -- [1]
						},
						["timers"] = {
							["Tranquillien, Ghostlands"] = 63,
						},
					},
				},
				["Hillsbrad Foothills"] = {
					["Tarren Mill, Hillsbrad"] = {
						["fmLoc"] = {
							["y"] = "0.64",
							["x"] = "0.5",
						},
						["wmLoc"] = {
							["y"] = "0.36",
							["x"] = "0.47",
						},
						["name"] = "Tarren Mill, Hillsbrad",
						["zmLoc"] = {
							["y"] = "18.67",
							["x"] = "60.15",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 778,
							["Kargath, Badlands"] = 380,
							["Flame Crest, Burning Steppes"] = 468,
							["Thorium Point, Searing Gorge"] = 437,
							["Undercity, Tirisfal"] = 140,
							["Hammerfall, Arathi"] = 120,
							["Revantusk Village, The Hinterlands"] = 195,
							["Light's Hope Chapel, Eastern Plaguelands"] = 334,
							["Grom'gol, Stranglethorn"] = 694,
							["Stonard, Swamp of Sorrows"] = 662,
							["The Sepulcher, Silverpine Forest"] = 100,
						},
						["routes"] = {
							"Hammerfall, Arathi", -- [1]
							"Revantusk Village, The Hinterlands", -- [2]
							"The Sepulcher, Silverpine Forest", -- [3]
							"Undercity, Tirisfal", -- [4]
						},
					},
				},
				["Swamp of Sorrows"] = {
					["Stonard, Swamp of Sorrows"] = {
						["fmLoc"] = {
							["y"] = "0.2",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.78",
							["x"] = "0.53",
						},
						["name"] = "Stonard, Swamp of Sorrows",
						["zmLoc"] = {
							["y"] = "54.7",
							["x"] = "45.98",
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Flame Crest, Burning Steppes", -- [2]
							"Grom'gol, Stranglethorn", -- [3]
							"Kargath, Badlands", -- [4]
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 264,
							["Kargath, Badlands"] = 286,
							["Flame Crest, Burning Steppes"] = 199,
							["Tarren Mill, Hillsbrad"] = 669,
							["Thorium Point, Searing Gorge"] = 271,
							["Undercity, Tirisfal"] = 785,
							["Hammerfall, Arathi"] = 550,
							["Revantusk Village, The Hinterlands"] = 641,
							["Light's Hope Chapel, Eastern Plaguelands"] = 780,
							["Grom'gol, Stranglethorn"] = 189,
							["The Sepulcher, Silverpine Forest"] = 769,
						},
					},
				},
				["Searing Gorge"] = {
					["Thorium Point, Searing Gorge"] = {
						["fmLoc"] = {
							["y"] = "0.37",
							["x"] = "0.51",
						},
						["wmLoc"] = {
							["y"] = "0.62",
							["x"] = "0.48",
						},
						["name"] = "Thorium Point, Searing Gorge",
						["zmLoc"] = {
							["y"] = "30.76",
							["x"] = "34.83",
						},
						["routes"] = {
							"Flame Crest, Burning Steppes", -- [1]
							"Kargath, Badlands", -- [2]
						},
						["timers"] = {
							["Flame Crest, Burning Steppes"] = 78,
							["Tarren Mill, Hillsbrad"] = 453,
							["Hammerfall, Arathi"] = 334,
							["Kargath, Badlands"] = 71,
						},
					},
				},
				["The Hinterlands"] = {
					["Revantusk Village, The Hinterlands"] = {
						["fmLoc"] = {
							["y"] = "0.61",
							["x"] = "0.66",
						},
						["wmLoc"] = {
							["y"] = "0.39",
							["x"] = "0.57",
						},
						["name"] = "Revantusk Village, The Hinterlands",
						["zmLoc"] = {
							["y"] = "81.84",
							["x"] = "81.69",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 749,
							["Kargath, Badlands"] = 354,
							["Tarren Mill, Hillsbrad"] = 160,
							["Stonard, Swamp of Sorrows"] = 637,
							["Undercity, Tirisfal"] = 285,
							["Hammerfall, Arathi"] = 93,
							["Grom'gol, Stranglethorn"] = 668,
							["Light's Hope Chapel, Eastern Plaguelands"] = 139,
							["The Sepulcher, Silverpine Forest"] = 260,
						},
						["routes"] = {
							"Hammerfall, Arathi", -- [1]
							"Light's Hope Chapel, Eastern Plaguelands", -- [2]
							"Tarren Mill, Hillsbrad", -- [3]
							"Undercity, Tirisfal", -- [4]
						},
					},
				},
			},
			["Kalimdor"] = {
				["Winterspring"] = {
					["Everlook, Winterspring"] = {
						["fmLoc"] = {
							["y"] = "0.76",
							["x"] = "0.64",
						},
						["wmLoc"] = {
							["y"] = "0.244",
							["x"] = "0.589",
						},
						["name"] = "Everlook, Winterspring",
						["zmLoc"] = {
							["y"] = "36.34",
							["x"] = "60.48",
						},
						["timers"] = {
							["Bloodvenom Post, Felwood"] = 196,
							["Splintertree Post, Ashenvale"] = 230,
							["Moonglade"] = 135,
							["Orgrimmar, Durotar"] = 305,
							["Zoram'gar Outpost, Ashenvale"] = 333,
							["Valormok, Azshara"] = 136,
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Moonglade", -- [2]
							"Orgrimmar, Durotar", -- [3]
							"Valormok, Azshara", -- [4]
						},
					},
				},
				["Silithus"] = {
					["Cenarion Hold, Silithus"] = {
						["fmLoc"] = {
							["y"] = "0.2",
							["x"] = "0.41",
						},
						["wmLoc"] = {
							["y"] = "0.79",
							["x"] = "0.44",
						},
						["name"] = "Cenarion Hold, Silithus",
						["zmLoc"] = {
							["y"] = "36.68",
							["x"] = "48.77",
						},
						["routes"] = {
							"Camp Mojache, Feralas", -- [1]
							"Gadgetzan, Tanaris", -- [2]
							"Marshal's Refuge, Un'Goro Crater", -- [3]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 434,
							["Moonglade"] = 815,
							["Marshal's Refuge, Un'Goro Crater"] = 98,
							["Freewind Post, Thousand Needles"] = 239,
							["Splintertree Post, Ashenvale"] = 560,
							["Camp Taurajo, The Barrens"] = 377,
							["Everlook, Winterspring"] = 696,
							["Thunder Bluff, Mulgore"] = 391,
							["Sun Rock Retreat, Stonetalon Mountains"] = 533,
							["Camp Mojache, Feralas"] = 131,
							["Gadgetzan, Tanaris"] = 242,
							["Shadowprey Village, Desolace"] = 267,
							["Ratchet, The Barrens"] = 448,
							["Bloodvenom Post, Felwood"] = 649,
							["Zoram'gar Outpost, Ashenvale"] = 626,
							["Crossroads, The Barrens"] = 395,
							["Orgrimmar, Durotar"] = 538,
							["Valormok, Azshara"] = 565,
						},
					},
				},
				["Desolace"] = {
					["Shadowprey Village, Desolace"] = {
						["fmLoc"] = {
							["y"] = "0.41",
							["x"] = "0.31",
						},
						["wmLoc"] = {
							["y"] = "0.59",
							["x"] = "0.37",
						},
						["name"] = "Shadowprey Village, Desolace",
						["zmLoc"] = {
							["y"] = "74.1",
							["x"] = "21.6",
						},
						["routes"] = {
							"Camp Mojache, Feralas", -- [1]
							"Sun Rock Retreat, Stonetalon Mountains", -- [2]
							"Thunder Bluff, Mulgore", -- [3]
						},
						["timers"] = {
							["Sun Rock Retreat, Stonetalon Mountains"] = 200,
							["Cenarion Hold, Silithus"] = 328,
							["Orgrimmar, Durotar"] = 387,
							["Moonglade"] = 626,
							["Gadgetzan, Tanaris"] = 399,
							["Splintertree Post, Ashenvale"] = 477,
							["Zoram'gar Outpost, Ashenvale"] = 322,
							["Freewind Post, Thousand Needles"] = 305,
							["Ratchet, The Barrens"] = 393,
							["Bloodvenom Post, Felwood"] = 460,
							["Crossroads, The Barrens"] = 340,
							["Camp Taurajo, The Barrens"] = 267,
							["Marshal's Refuge, Un'Goro Crater"] = 425,
							["Thunder Bluff, Mulgore"] = 179,
							["Camp Mojache, Feralas"] = 197,
							["Brackenwall Village, Dustwallow Marsh"] = 420,
						},
					},
				},
				["Moonglade"] = {
					["Nighthaven, Moonglade"] = {
						["name"] = "Nighthaven, Moonglade",
						["fmLoc"] = {
							["y"] = "0.8",
							["x"] = "0.54",
						},
					},
					["Moonglade"] = {
						["fmLoc"] = {
							["y"] = "0.79",
							["x"] = "0.53",
						},
						["wmLoc"] = {
							["y"] = "0.21",
							["x"] = "0.52",
						},
						["name"] = "Moonglade",
						["zmLoc"] = {
							["y"] = "66.39",
							["x"] = "32.1",
						},
						["timers"] = {
							["Everlook, Winterspring"] = 143,
							["Bloodvenom Post, Felwood"] = 159,
							["Zoram'gar Outpost, Ashenvale"] = 296,
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Everlook, Winterspring", -- [2]
						},
					},
				},
				["Thousand Needles"] = {
					["Freewind Post, Thousand Needles"] = {
						["fmLoc"] = {
							["y"] = "0.26",
							["x"] = "0.54",
						},
						["wmLoc"] = {
							["y"] = "0.74",
							["x"] = "0.52",
						},
						["name"] = "Freewind Post, Thousand Needles",
						["zmLoc"] = {
							["y"] = "49.17",
							["x"] = "45.1",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 317,
							["Cenarion Hold, Silithus"] = 255,
							["Moonglade"] = 615,
							["Zoram'gar Outpost, Ashenvale"] = 426,
							["Splintertree Post, Ashenvale"] = 360,
							["Camp Taurajo, The Barrens"] = 138,
							["Everlook, Winterspring"] = 496,
							["Thunder Bluff, Mulgore"] = 226,
							["Sun Rock Retreat, Stonetalon Mountains"] = 345,
							["Camp Mojache, Feralas"] = 123,
							["Gadgetzan, Tanaris"] = 94,
							["Shadowprey Village, Desolace"] = 326,
							["Ratchet, The Barrens"] = 247,
							["Orgrimmar, Durotar"] = 337,
							["Marshal's Refuge, Un'Goro Crater"] = 202,
							["Bloodvenom Post, Felwood"] = 449,
							["Crossroads, The Barrens"] = 195,
							["Valormok, Azshara"] = 365,
						},
						["routes"] = {
							"Camp Mojache, Feralas", -- [1]
							"Camp Taurajo, The Barrens", -- [2]
							"Crossroads, The Barrens", -- [3]
							"Gadgetzan, Tanaris", -- [4]
							"Thunder Bluff, Mulgore", -- [5]
						},
					},
				},
				["Tanaris"] = {
					["Gadgetzan, Tanaris"] = {
						["fmLoc"] = {
							["y"] = "0.19",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.8",
							["x"] = "0.56",
						},
						["name"] = "Gadgetzan, Tanaris",
						["zmLoc"] = {
							["y"] = "25.45",
							["x"] = "51.6",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 223,
							["Cenarion Hold, Silithus"] = 233,
							["Moonglade"] = 703,
							["Zoram'gar Outpost, Ashenvale"] = 514,
							["Freewind Post, Thousand Needles"] = 87,
							["Crossroads, The Barrens"] = 302,
							["Camp Taurajo, The Barrens"] = 214,
							["Everlook, Winterspring"] = 583,
							["Thunder Bluff, Mulgore"] = 305,
							["Sun Rock Retreat, Stonetalon Mountains"] = 433,
							["Camp Mojache, Feralas"] = 200,
							["Shadowprey Village, Desolace"] = 402,
							["Ratchet, The Barrens"] = 334,
							["Orgrimmar, Durotar"] = 352,
							["Bloodvenom Post, Felwood"] = 537,
							["Splintertree Post, Ashenvale"] = 443,
							["Marshal's Refuge, Un'Goro Crater"] = 108,
							["Valormok, Azshara"] = 452,
						},
						["routes"] = {
							"Brackenwall Village, Dustwallow Marsh", -- [1]
							"Camp Mojache, Feralas", -- [2]
							"Cenarion Hold, Silithus", -- [3]
							"Crossroads, The Barrens", -- [4]
							"Freewind Post, Thousand Needles", -- [5]
							"Marshal's Refuge, Un'Goro Crater", -- [6]
							"Orgrimmar, Durotar", -- [7]
							"Thunder Bluff, Mulgore", -- [8]
						},
					},
				},
				["The Barrens"] = {
					["Ratchet, The Barrens"] = {
						["fmLoc"] = {
							["y"] = "0.45",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.56",
						},
						["name"] = "Ratchet, The Barrens",
						["zmLoc"] = {
							["y"] = "37.14",
							["x"] = "63.11",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 231,
							["Cenarion Hold, Silithus"] = 452,
							["Moonglade"] = 488,
							["Zoram'gar Outpost, Ashenvale"] = 299,
							["Freewind Post, Thousand Needles"] = 254,
							["Crossroads, The Barrens"] = 68,
							["Camp Taurajo, The Barrens"] = 158,
							["Everlook, Winterspring"] = 369,
							["Thunder Bluff, Mulgore"] = 251,
							["Sun Rock Retreat, Stonetalon Mountains"] = 218,
							["Camp Mojache, Feralas"] = 321,
							["Gadgetzan, Tanaris"] = 343,
							["Shadowprey Village, Desolace"] = 362,
							["Bloodvenom Post, Felwood"] = 322,
							["Marshal's Refuge, Un'Goro Crater"] = 456,
							["Orgrimmar, Durotar"] = 210,
							["Splintertree Post, Ashenvale"] = 232,
							["Valormok, Azshara"] = 238,
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
						},
					},
					["Crossroads, The Barrens"] = {
						["fmLoc"] = {
							["y"] = "0.46",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.53",
							["x"] = "0.53",
						},
						["name"] = "Crossroads, The Barrens",
						["zmLoc"] = {
							["y"] = "30.34",
							["x"] = "51.51",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 163,
							["Cenarion Hold, Silithus"] = 384,
							["Moonglade"] = 420,
							["Marshal's Refuge, Un'Goro Crater"] = 388,
							["Freewind Post, Thousand Needles"] = 186,
							["Splintertree Post, Ashenvale"] = 165,
							["Camp Taurajo, The Barrens"] = 91,
							["Everlook, Winterspring"] = 301,
							["Thunder Bluff, Mulgore"] = 183,
							["Sun Rock Retreat, Stonetalon Mountains"] = 150,
							["Camp Mojache, Feralas"] = 253,
							["Gadgetzan, Tanaris"] = 303,
							["Shadowprey Village, Desolace"] = 294,
							["Ratchet, The Barrens"] = 52,
							["Bloodvenom Post, Felwood"] = 254,
							["Zoram'gar Outpost, Ashenvale"] = 231,
							["Orgrimmar, Durotar"] = 142,
							["Valormok, Azshara"] = 170,
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Brackenwall Village, Dustwallow Marsh", -- [2]
							"Camp Mojache, Feralas", -- [3]
							"Camp Taurajo, The Barrens", -- [4]
							"Freewind Post, Thousand Needles", -- [5]
							"Gadgetzan, Tanaris", -- [6]
							"Orgrimmar, Durotar", -- [7]
							"Ratchet, The Barrens", -- [8]
							"Splintertree Post, Ashenvale", -- [9]
							"Sun Rock Retreat, Stonetalon Mountains", -- [10]
							"Thunder Bluff, Mulgore", -- [11]
							"Valormok, Azshara", -- [12]
							"Zoram'gar Outpost, Ashenvale", -- [13]
						},
					},
					["Camp Taurajo, The Barrens"] = {
						["fmLoc"] = {
							["y"] = "0.38",
							["x"] = "0.52",
						},
						["wmLoc"] = {
							["y"] = "0.61",
							["x"] = "0.51",
						},
						["name"] = "Camp Taurajo, The Barrens",
						["zmLoc"] = {
							["y"] = "59.12",
							["x"] = "44.47",
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
							"Freewind Post, Thousand Needles", -- [2]
							"Thunder Bluff, Mulgore", -- [3]
						},
						["timers"] = {
							["Sun Rock Retreat, Stonetalon Mountains"] = 229,
							["Cenarion Hold, Silithus"] = 381,
							["Camp Mojache, Feralas"] = 250,
							["Moonglade"] = 500,
							["Gadgetzan, Tanaris"] = 220,
							["Shadowprey Village, Desolace"] = 273,
							["Zoram'gar Outpost, Ashenvale"] = 311,
							["Freewind Post, Thousand Needles"] = 125,
							["Ratchet, The Barrens"] = 133,
							["Bloodvenom Post, Felwood"] = 334,
							["Splintertree Post, Ashenvale"] = 245,
							["Orgrimmar, Durotar"] = 223,
							["Brackenwall Village, Dustwallow Marsh"] = 243,
							["Thunder Bluff, Mulgore"] = 114,
							["Crossroads, The Barrens"] = 78,
							["Valormok, Azshara"] = 250,
						},
					},
				},
				["Ashenvale"] = {
					["Zoram'gar Outpost, Ashenvale"] = {
						["fmLoc"] = {
							["y"] = "0.62",
							["x"] = "0.4",
						},
						["wmLoc"] = {
							["y"] = "0.38",
							["x"] = "0.43",
						},
						["name"] = "Zoram'gar Outpost, Ashenvale",
						["zmLoc"] = {
							["y"] = "33.83",
							["x"] = "12.18",
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Crossroads, The Barrens", -- [2]
							"Splintertree Post, Ashenvale", -- [3]
							"Sun Rock Retreat, Stonetalon Mountains", -- [4]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 399,
							["Cenarion Hold, Silithus"] = 594,
							["Moonglade"] = 304,
							["Marshal's Refuge, Un'Goro Crater"] = 624,
							["Freewind Post, Thousand Needles"] = 422,
							["Splintertree Post, Ashenvale"] = 173,
							["Camp Taurajo, The Barrens"] = 327,
							["Everlook, Winterspring"] = 329,
							["Thunder Bluff, Mulgore"] = 297,
							["Sun Rock Retreat, Stonetalon Mountains"] = 122,
							["Camp Mojache, Feralas"] = 463,
							["Gadgetzan, Tanaris"] = 516,
							["Shadowprey Village, Desolace"] = 266,
							["Ratchet, The Barrens"] = 287,
							["Bloodvenom Post, Felwood"] = 138,
							["Crossroads, The Barrens"] = 236,
							["Orgrimmar, Durotar"] = 271,
							["Valormok, Azshara"] = 270,
						},
					},
					["Splintertree Post, Ashenvale"] = {
						["fmLoc"] = {
							["y"] = "0.58",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.42",
							["x"] = "0.53",
						},
						["name"] = "Splintertree Post, Ashenvale",
						["zmLoc"] = {
							["y"] = "61.55",
							["x"] = "73.2",
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
							"Orgrimmar, Durotar", -- [2]
							"Valormok, Azshara", -- [3]
							"Zoram'gar Outpost, Ashenvale", -- [4]
						},
						["timers"] = {
							["Sun Rock Retreat, Stonetalon Mountains"] = 311,
							["Moonglade"] = 362,
							["Zoram'gar Outpost, Ashenvale"] = 166,
							["Freewind Post, Thousand Needles"] = 347,
							["Ratchet, The Barrens"] = 213,
							["Bloodvenom Post, Felwood"] = 305,
							["Crossroads, The Barrens"] = 161,
							["Camp Taurajo, The Barrens"] = 252,
							["Everlook, Winterspring"] = 227,
							["Thunder Bluff, Mulgore"] = 329,
							["Orgrimmar, Durotar"] = 96,
							["Valormok, Azshara"] = 96,
						},
					},
				},
				["Azshara"] = {
					["Valormok, Azshara"] = {
						["fmLoc"] = {
							["y"] = "0.63",
							["x"] = "0.63",
						},
						["wmLoc"] = {
							["y"] = "0.37",
							["x"] = "0.58",
						},
						["name"] = "Valormok, Azshara",
						["zmLoc"] = {
							["y"] = "49.69",
							["x"] = "21.95",
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Crossroads, The Barrens", -- [2]
							"Everlook, Winterspring", -- [3]
							"Orgrimmar, Durotar", -- [4]
							"Splintertree Post, Ashenvale", -- [5]
							"Thunder Bluff, Mulgore", -- [6]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 336,
							["Cenarion Hold, Silithus"] = 557,
							["Moonglade"] = 266,
							["Zoram'gar Outpost, Ashenvale"] = 261,
							["Freewind Post, Thousand Needles"] = 359,
							["Splintertree Post, Ashenvale"] = 94,
							["Camp Taurajo, The Barrens"] = 264,
							["Everlook, Winterspring"] = 131,
							["Thunder Bluff, Mulgore"] = 257,
							["Sun Rock Retreat, Stonetalon Mountains"] = 323,
							["Camp Mojache, Feralas"] = 426,
							["Gadgetzan, Tanaris"] = 453,
							["Shadowprey Village, Desolace"] = 416,
							["Ratchet, The Barrens"] = 226,
							["Orgrimmar, Durotar"] = 121,
							["Crossroads, The Barrens"] = 173,
							["Bloodvenom Post, Felwood"] = 234,
							["Marshal's Refuge, Un'Goro Crater"] = 561,
						},
					},
				},
				["Feralas"] = {
					["Camp Mojache, Feralas"] = {
						["fmLoc"] = {
							["y"] = "0.3",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.7",
							["x"] = "0.45",
						},
						["name"] = "Camp Mojache, Feralas",
						["zmLoc"] = {
							["y"] = "44.31",
							["x"] = "75.42",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 425,
							["Cenarion Hold, Silithus"] = 131,
							["Moonglade"] = 684,
							["Marshal's Refuge, Un'Goro Crater"] = 228,
							["Freewind Post, Thousand Needles"] = 108,
							["Splintertree Post, Ashenvale"] = 429,
							["Camp Taurajo, The Barrens"] = 246,
							["Everlook, Winterspring"] = 565,
							["Thunder Bluff, Mulgore"] = 260,
							["Sun Rock Retreat, Stonetalon Mountains"] = 402,
							["Gadgetzan, Tanaris"] = 202,
							["Shadowprey Village, Desolace"] = 201,
							["Ratchet, The Barrens"] = 317,
							["Orgrimmar, Durotar"] = 407,
							["Crossroads, The Barrens"] = 264,
							["Zoram'gar Outpost, Ashenvale"] = 495,
							["Bloodvenom Post, Felwood"] = 518,
							["Valormok, Azshara"] = 434,
						},
						["routes"] = {
							"Cenarion Hold, Silithus", -- [1]
							"Crossroads, The Barrens", -- [2]
							"Freewind Post, Thousand Needles", -- [3]
							"Gadgetzan, Tanaris", -- [4]
							"Shadowprey Village, Desolace", -- [5]
							"Thunder Bluff, Mulgore", -- [6]
						},
					},
				},
				["Un'Goro Crater"] = {
					["Marshal's Refuge, Un'Goro Crater"] = {
						["fmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.49",
						},
						["wmLoc"] = {
							["y"] = "0.77",
							["x"] = "0.49",
						},
						["name"] = "Marshal's Refuge, Un'Goro Crater",
						["zmLoc"] = {
							["y"] = "5.86",
							["x"] = "45.25",
						},
						["routes"] = {
							"Cenarion Hold, Silithus", -- [1]
							"Gadgetzan, Tanaris", -- [2]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 337,
							["Cenarion Hold, Silithus"] = 101,
							["Moonglade"] = 816,
							["Zoram'gar Outpost, Ashenvale"] = 627,
							["Freewind Post, Thousand Needles"] = 201,
							["Crossroads, The Barrens"] = 396,
							["Camp Taurajo, The Barrens"] = 339,
							["Everlook, Winterspring"] = 697,
							["Thunder Bluff, Mulgore"] = 419,
							["Sun Rock Retreat, Stonetalon Mountains"] = 546,
							["Camp Mojache, Feralas"] = 232,
							["Gadgetzan, Tanaris"] = 114,
							["Shadowprey Village, Desolace"] = 433,
							["Ratchet, The Barrens"] = 448,
							["Bloodvenom Post, Felwood"] = 651,
							["Orgrimmar, Durotar"] = 466,
							["Splintertree Post, Ashenvale"] = 556,
							["Valormok, Azshara"] = 566,
						},
					},
				},
				["Dustwallow Marsh"] = {
					["Brackenwall Village, Dustwallow Marsh"] = {
						["fmLoc"] = {
							["y"] = "0.35",
							["x"] = "0.56",
						},
						["wmLoc"] = {
							["y"] = "0.65",
							["x"] = "0.54",
						},
						["name"] = "Brackenwall Village, Dustwallow Marsh",
						["zmLoc"] = {
							["y"] = "31.81",
							["x"] = "35.59",
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
							"Gadgetzan, Tanaris", -- [2]
							"Orgrimmar, Durotar", -- [3]
							"Thunder Bluff, Mulgore", -- [4]
						},
						["timers"] = {
							["Sun Rock Retreat, Stonetalon Mountains"] = 312,
							["Cenarion Hold, Silithus"] = 432,
							["Bloodvenom Post, Felwood"] = 416,
							["Camp Mojache, Feralas"] = 415,
							["Gadgetzan, Tanaris"] = 223,
							["Crossroads, The Barrens"] = 162,
							["Marshal's Refuge, Un'Goro Crater"] = 331,
							["Freewind Post, Thousand Needles"] = 311,
							["Ratchet, The Barrens"] = 215,
							["Orgrimmar, Durotar"] = 218,
							["Splintertree Post, Ashenvale"] = 309,
							["Camp Taurajo, The Barrens"] = 253,
							["Shadowprey Village, Desolace"] = 385,
							["Thunder Bluff, Mulgore"] = 226,
							["Zoram'gar Outpost, Ashenvale"] = 393,
							["Moonglade"] = 582,
						},
					},
				},
				["Thunder Bluff"] = {
					["Thunder Bluff, Mulgore"] = {
						["fmLoc"] = {
							["y"] = "0.43",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.57",
							["x"] = "0.46",
						},
						["name"] = "Thunder Bluff, Mulgore",
						["zmLoc"] = {
							["y"] = "49.76",
							["x"] = "46.9",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 240,
							["Cenarion Hold, Silithus"] = 383,
							["Moonglade"] = 535,
							["Zoram'gar Outpost, Ashenvale"] = 304,
							["Freewind Post, Thousand Needles"] = 205,
							["Crossroads, The Barrens"] = 159,
							["Camp Taurajo, The Barrens"] = 87,
							["Everlook, Winterspring"] = 400,
							["Sun Rock Retreat, Stonetalon Mountains"] = 182,
							["Camp Mojache, Feralas"] = 253,
							["Gadgetzan, Tanaris"] = 290,
							["Shadowprey Village, Desolace"] = 159,
							["Ratchet, The Barrens"] = 213,
							["Bloodvenom Post, Felwood"] = 414,
							["Marshal's Refuge, Un'Goro Crater"] = 398,
							["Splintertree Post, Ashenvale"] = 299,
							["Orgrimmar, Durotar"] = 208,
							["Valormok, Azshara"] = 269,
						},
						["routes"] = {
							"Brackenwall Village, Dustwallow Marsh", -- [1]
							"Camp Mojache, Feralas", -- [2]
							"Camp Taurajo, The Barrens", -- [3]
							"Crossroads, The Barrens", -- [4]
							"Freewind Post, Thousand Needles", -- [5]
							"Gadgetzan, Tanaris", -- [6]
							"Orgrimmar, Durotar", -- [7]
							"Shadowprey Village, Desolace", -- [8]
							"Sun Rock Retreat, Stonetalon Mountains", -- [9]
							"Valormok, Azshara", -- [10]
						},
					},
				},
				["Felwood"] = {
					["Bloodvenom Post, Felwood"] = {
						["fmLoc"] = {
							["y"] = "0.69",
							["x"] = "0.46",
						},
						["wmLoc"] = {
							["y"] = "0.31",
							["x"] = "0.47",
						},
						["name"] = "Bloodvenom Post, Felwood",
						["zmLoc"] = {
							["y"] = "53.91",
							["x"] = "34.42",
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
							"Everlook, Winterspring", -- [2]
							"Moonglade", -- [3]
							"Orgrimmar, Durotar", -- [4]
							"Valormok, Azshara", -- [5]
							"Zoram'gar Outpost, Ashenvale", -- [6]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 404,
							["Cenarion Hold, Silithus"] = 625,
							["Moonglade"] = 166,
							["Zoram'gar Outpost, Ashenvale"] = 137,
							["Freewind Post, Thousand Needles"] = 427,
							["Splintertree Post, Ashenvale"] = 311,
							["Camp Taurajo, The Barrens"] = 332,
							["Everlook, Winterspring"] = 191,
							["Thunder Bluff, Mulgore"] = 425,
							["Sun Rock Retreat, Stonetalon Mountains"] = 259,
							["Camp Mojache, Feralas"] = 494,
							["Gadgetzan, Tanaris"] = 521,
							["Shadowprey Village, Desolace"] = 403,
							["Ratchet, The Barrens"] = 294,
							["Orgrimmar, Durotar"] = 258,
							["Marshal's Refuge, Un'Goro Crater"] = 629,
							["Crossroads, The Barrens"] = 241,
							["Valormok, Azshara"] = 242,
						},
					},
				},
				["Stonetalon Mountains"] = {
					["Sun Rock Retreat, Stonetalon Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.52",
							["x"] = "0.4",
						},
						["wmLoc"] = {
							["y"] = "0.48",
							["x"] = "0.43",
						},
						["name"] = "Sun Rock Retreat, Stonetalon Mountains",
						["zmLoc"] = {
							["y"] = "59.86",
							["x"] = "45.17",
						},
						["routes"] = {
							"Crossroads, The Barrens", -- [1]
							"Shadowprey Village, Desolace", -- [2]
							"Thunder Bluff, Mulgore", -- [3]
							"Zoram'gar Outpost, Ashenvale", -- [4]
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 313,
							["Moonglade"] = 426,
							["Orgrimmar, Durotar"] = 293,
							["Camp Mojache, Feralas"] = 341,
							["Gadgetzan, Tanaris"] = 430,
							["Splintertree Post, Ashenvale"] = 295,
							["Zoram'gar Outpost, Ashenvale"] = 122,
							["Freewind Post, Thousand Needles"] = 336,
							["Ratchet, The Barrens"] = 203,
							["Bloodvenom Post, Felwood"] = 260,
							["Crossroads, The Barrens"] = 150,
							["Camp Taurajo, The Barrens"] = 241,
							["Everlook, Winterspring"] = 451,
							["Thunder Bluff, Mulgore"] = 175,
							["Shadowprey Village, Desolace"] = 144,
							["Valormok, Azshara"] = 320,
						},
					},
				},
				["Orgrimmar"] = {
					["Orgrimmar, Durotar"] = {
						["fmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.62",
						},
						["wmLoc"] = {
							["y"] = "0.45",
							["x"] = "0.58",
						},
						["name"] = "Orgrimmar, Durotar",
						["zmLoc"] = {
							["y"] = "63.96",
							["x"] = "45.27",
						},
						["timers"] = {
							["Brackenwall Village, Dustwallow Marsh"] = 229,
							["Cenarion Hold, Silithus"] = 496,
							["Moonglade"] = 366,
							["Zoram'gar Outpost, Ashenvale"] = 258,
							["Freewind Post, Thousand Needles"] = 298,
							["Crossroads, The Barrens"] = 111,
							["Camp Taurajo, The Barrens"] = 202,
							["Everlook, Winterspring"] = 321,
							["Thunder Bluff, Mulgore"] = 231,
							["Sun Rock Retreat, Stonetalon Mountains"] = 262,
							["Camp Mojache, Feralas"] = 365,
							["Gadgetzan, Tanaris"] = 418,
							["Shadowprey Village, Desolace"] = 385,
							["Ratchet, The Barrens"] = 163,
							["Bloodvenom Post, Felwood"] = 252,
							["Splintertree Post, Ashenvale"] = 90,
							["Marshal's Refuge, Un'Goro Crater"] = 500,
							["Valormok, Azshara"] = 100,
						},
						["routes"] = {
							"Bloodvenom Post, Felwood", -- [1]
							"Brackenwall Village, Dustwallow Marsh", -- [2]
							"Crossroads, The Barrens", -- [3]
							"Everlook, Winterspring", -- [4]
							"Gadgetzan, Tanaris", -- [5]
							"Splintertree Post, Ashenvale", -- [6]
							"Thunder Bluff, Mulgore", -- [7]
							"Valormok, Azshara", -- [8]
						},
					},
				},
			},
			["Outland"] = {
				["Blade's Edge Mountains"] = {
					["Thunderlord Stronghold, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.67",
							["x"] = "0.37",
						},
						["wmLoc"] = {
							["y"] = "0.28",
							["x"] = "0.39",
						},
						["name"] = "Thunderlord Stronghold, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "54.18",
							["x"] = "52.05",
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Evergrove, Blade's Edge Mountains", -- [2]
							"Mok'Nathal Village, Blade's Edge Mountains", -- [3]
							"Swamprat Post, Zangarmarsh", -- [4]
							"The Stormspire, Netherstorm", -- [5]
							"Zabra'jin, Zangarmarsh", -- [6]
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 116,
							["Garadar, Nagrand"] = 231,
							["Cosmowrench, Netherstorm"] = 165,
							["Stonebreaker Hold, Terokkar Forest"] = 271,
							["The Stormspire, Netherstorm"] = 158,
							["Shadowmoon Village, Shadowmoon Valley"] = 339,
							["Falcon Watch, Hellfire Peninsula"] = 179,
							["Evergrove, Blade's Edge Mountains"] = 27,
							["Thrallmar, Hellfire Peninsula"] = 252,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 70,
							["Area 52, Netherstorm"] = 98,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 325,
							["Zabra'jin, Zangarmarsh"] = 149,
							["Shattrath, Terokkar Forest"] = 203,
							["Sanctum of the Stars, Shadowmoon Valley"] = 404,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 318,
						},
					},
					["Evergrove, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.42",
						},
						["wmLoc"] = {
							["y"] = "0.24",
							["x"] = "0.42",
						},
						["name"] = "Evergrove, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "39.66",
							["x"] = "61.64",
						},
						["timers"] = {
							["Garadar, Nagrand"] = 260,
							["Swamprat Post, Zangarmarsh"] = 145,
							["Falcon Watch, Hellfire Peninsula"] = 208,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 98,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 28,
							["Thrallmar, Hellfire Peninsula"] = 281,
							["Area 52, Netherstorm"] = 74,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 354,
							["Zabra'jin, Zangarmarsh"] = 178,
							["Stonebreaker Hold, Terokkar Forest"] = 301,
							["Shattrath, Terokkar Forest"] = 232,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 347,
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [2]
						},
					},
					["Mok'Nathal Village, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.64",
							["x"] = "0.48",
						},
						["wmLoc"] = {
							["y"] = "0.32",
							["x"] = "0.47",
						},
						["name"] = "Mok'Nathal Village, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "65.89",
							["x"] = "76.37",
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [2]
						},
						["timers"] = {
							["Thrallmar, Hellfire Peninsula"] = 323,
							["Garadar, Nagrand"] = 302,
							["Cosmowrench, Netherstorm"] = 134,
							["Stonebreaker Hold, Terokkar Forest"] = 343,
							["Swamprat Post, Zangarmarsh"] = 187,
							["Shadowmoon Village, Shadowmoon Valley"] = 409,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 389,
							["Sanctum of the Stars, Shadowmoon Valley"] = 474,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 70,
							["Zabra'jin, Zangarmarsh"] = 220,
							["Evergrove, Blade's Edge Mountains"] = 98,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 396,
							["Area 52, Netherstorm"] = 67,
							["Shattrath, Terokkar Forest"] = 272,
							["Falcon Watch, Hellfire Peninsula"] = 250,
							["The Stormspire, Netherstorm"] = 115,
						},
					},
				},
				["Zangarmarsh"] = {
					["Zabra'jin, Zangarmarsh"] = {
						["fmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.23",
						},
						["wmLoc"] = {
							["y"] = "0.48",
							["x"] = "0.29",
						},
						["name"] = "Zabra'jin, Zangarmarsh",
						["zmLoc"] = {
							["y"] = "51.1",
							["x"] = "33",
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Garadar, Nagrand", -- [2]
							"Shattrath, Terokkar Forest", -- [3]
							"Swamprat Post, Zangarmarsh", -- [4]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [5]
						},
						["timers"] = {
							["Garadar, Nagrand"] = 82,
							["Swamprat Post, Zangarmarsh"] = 112,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 293,
							["Thrallmar, Hellfire Peninsula"] = 227,
							["Shattrath, Terokkar Forest"] = 152,
							["Falcon Watch, Hellfire Peninsula"] = 153,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 183,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 113,
							["Area 52, Netherstorm"] = 211,
							["The Stormspire, Netherstorm"] = 259,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 300,
							["Shadowmoon Village, Shadowmoon Valley"] = 288,
							["Stonebreaker Hold, Terokkar Forest"] = 221,
							["Cosmowrench, Netherstorm"] = 278,
							["Evergrove, Blade's Edge Mountains"] = 140,
						},
					},
					["Swamprat Post, Zangarmarsh"] = {
						["fmLoc"] = {
							["y"] = "0.48",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.44",
						},
						["name"] = "Swamprat Post, Zangarmarsh",
						["zmLoc"] = {
							["y"] = "55.08",
							["x"] = "84.75",
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [3]
							"Zabra'jin, Zangarmarsh", -- [4]
						},
						["timers"] = {
							["Falcon Watch, Hellfire Peninsula"] = 63,
							["Garadar, Nagrand"] = 170,
							["Evergrove, Blade's Edge Mountains"] = 136,
							["Stonebreaker Hold, Terokkar Forest"] = 156,
							["Thrallmar, Hellfire Peninsula"] = 137,
							["Zabra'jin, Zangarmarsh"] = 111,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 203,
							["Sanctum of the Stars, Shadowmoon Valley"] = 288,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 109,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 179,
							["Shadowmoon Village, Shadowmoon Valley"] = 223,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 210,
							["Area 52, Netherstorm"] = 207,
							["Shattrath, Terokkar Forest"] = 87,
							["Cosmowrench, Netherstorm"] = 274,
							["The Stormspire, Netherstorm"] = 255,
						},
					},
				},
				["Netherstorm"] = {
					["The Stormspire, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.81",
							["x"] = "0.62",
						},
						["wmLoc"] = {
							["y"] = "0.14",
							["x"] = "0.57",
						},
						["name"] = "The Stormspire, Netherstorm",
						["zmLoc"] = {
							["y"] = "34.89",
							["x"] = "45.29",
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 273,
							["Garadar, Nagrand"] = 388,
							["Sanctum of the Stars, Shadowmoon Valley"] = 561,
							["Stonebreaker Hold, Terokkar Forest"] = 429,
							["Thrallmar, Hellfire Peninsula"] = 409,
							["Zabra'jin, Zangarmarsh"] = 306,
							["Falcon Watch, Hellfire Peninsula"] = 336,
							["Cosmowrench, Netherstorm"] = 70,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 157,
							["Evergrove, Blade's Edge Mountains"] = 135,
							["Area 52, Netherstorm"] = 59,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 482,
							["Shadowmoon Village, Shadowmoon Valley"] = 496,
							["Shattrath, Terokkar Forest"] = 359,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 132,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 475,
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Cosmowrench, Netherstorm", -- [2]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [3]
						},
					},
					["Area 52, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.57",
						},
						["wmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.53",
						},
						["name"] = "Area 52, Netherstorm",
						["zmLoc"] = {
							["y"] = "64",
							["x"] = "33.78",
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 222,
							["Garadar, Nagrand"] = 337,
							["Cosmowrench, Netherstorm"] = 67,
							["Stonebreaker Hold, Terokkar Forest"] = 378,
							["The Stormspire, Netherstorm"] = 48,
							["Shadowmoon Village, Shadowmoon Valley"] = 445,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 424,
							["Sanctum of the Stars, Shadowmoon Valley"] = 510,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 109,
							["Evergrove, Blade's Edge Mountains"] = 78,
							["Falcon Watch, Hellfire Peninsula"] = 285,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 431,
							["Zabra'jin, Zangarmarsh"] = 255,
							["Shattrath, Terokkar Forest"] = 309,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 72,
							["Thrallmar, Hellfire Peninsula"] = 358,
						},
						["routes"] = {
							"Cosmowrench, Netherstorm", -- [1]
							"Evergrove, Blade's Edge Mountains", -- [2]
							"Mok'Nathal Village, Blade's Edge Mountains", -- [3]
							"The Stormspire, Netherstorm", -- [4]
							"Thunderlord Stronghold, Blade's Edge Mountains", -- [5]
						},
					},
					["Cosmowrench, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.71",
						},
						["wmLoc"] = {
							["y"] = "0.24",
							["x"] = "0.63",
						},
						["name"] = "Cosmowrench, Netherstorm",
						["zmLoc"] = {
							["y"] = "66.77",
							["x"] = "65.16",
						},
						["timers"] = {
							["Garadar, Nagrand"] = 402,
							["The Stormspire, Netherstorm"] = 62,
							["Swamprat Post, Zangarmarsh"] = 287,
							["Thrallmar, Hellfire Peninsula"] = 423,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 489,
							["Evergrove, Blade's Edge Mountains"] = 143,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 171,
							["Stonebreaker Hold, Terokkar Forest"] = 443,
							["Area 52, Netherstorm"] = 65,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 496,
							["Zabra'jin, Zangarmarsh"] = 320,
							["Shattrath, Terokkar Forest"] = 374,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 137,
							["Falcon Watch, Hellfire Peninsula"] = 350,
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"The Stormspire, Netherstorm", -- [2]
						},
					},
				},
				["Shattrath City"] = {
					["Shattrath, Terokkar Forest"] = {
						["fmLoc"] = {
							["y"] = "0.32",
							["x"] = "0.43",
						},
						["wmLoc"] = {
							["y"] = "0.65",
							["x"] = "0.44",
						},
						["name"] = "Shattrath, Terokkar Forest",
						["zmLoc"] = {
							["y"] = "41.35",
							["x"] = "63.89",
						},
						["timers"] = {
							["Cosmowrench, Netherstorm"] = 353,
							["Garadar, Nagrand"] = 82,
							["Thrallmar, Hellfire Peninsula"] = 150,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 258,
							["The Stormspire, Netherstorm"] = 334,
							["Shadowmoon Village, Shadowmoon Valley"] = 136,
							["Falcon Watch, Hellfire Peninsula"] = 77,
							["Evergrove, Blade's Edge Mountains"] = 216,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 188,
							["Zabra'jin, Zangarmarsh"] = 137,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 215,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 221,
							["Area 52, Netherstorm"] = 286,
							["Stonebreaker Hold, Terokkar Forest"] = 69,
							["Swamprat Post, Zangarmarsh"] = 79,
							["Sanctum of the Stars, Shadowmoon Valley"] = 201,
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Garadar, Nagrand", -- [2]
							"Stonebreaker Hold, Terokkar Forest", -- [3]
							"Swamprat Post, Zangarmarsh", -- [4]
							"Zabra'jin, Zangarmarsh", -- [5]
						},
					},
				},
				["Hellfire Peninsula"] = {
					["Thrallmar, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.65",
						},
						["wmLoc"] = {
							["y"] = "0.48",
							["x"] = "0.59",
						},
						["name"] = "Thrallmar, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "36.32",
							["x"] = "56.28",
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Hellfire Peninsula, The Dark Portal, Horde", -- [2]
							"Spinebreaker Ridge, Hellfire Peninsula", -- [3]
							"Stonebreaker Hold, Terokkar Forest", -- [4]
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 136,
							["Garadar, Nagrand"] = 200,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 316,
							["Shattrath, Terokkar Forest"] = 138,
							["The Stormspire, Netherstorm"] = 392,
							["Area 52, Netherstorm"] = 344,
							["Falcon Watch, Hellfire Peninsula"] = 67,
							["Sanctum of the Stars, Shadowmoon Valley"] = 259,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 246,
							["Cosmowrench, Netherstorm"] = 411,
							["Shadowmoon Village, Shadowmoon Valley"] = 194,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 73,
							["Zabra'jin, Zangarmarsh"] = 218,
							["Stonebreaker Hold, Terokkar Forest"] = 129,
							["Evergrove, Blade's Edge Mountains"] = 273,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 66,
						},
					},
					["Spinebreaker Ridge, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.37",
							["x"] = "0.67",
						},
						["wmLoc"] = {
							["y"] = "0.61",
							["x"] = "0.6",
						},
						["name"] = "Spinebreaker Ridge, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "81.26",
							["x"] = "61.63",
						},
						["routes"] = {
							"Thrallmar, Hellfire Peninsula", -- [1]
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 200,
							["Garadar, Nagrand"] = 263,
							["Evergrove, Blade's Edge Mountains"] = 336,
							["Shattrath, Terokkar Forest"] = 202,
							["Thrallmar, Hellfire Peninsula"] = 63,
							["Area 52, Netherstorm"] = 407,
							["Falcon Watch, Hellfire Peninsula"] = 129,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 379,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 309,
							["Sanctum of the Stars, Shadowmoon Valley"] = 324,
							["Shadowmoon Village, Shadowmoon Valley"] = 259,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 136,
							["Zabra'jin, Zangarmarsh"] = 281,
							["Stonebreaker Hold, Terokkar Forest"] = 192,
							["Cosmowrench, Netherstorm"] = 474,
							["The Stormspire, Netherstorm"] = 455,
						},
					},
					["Falcon Watch, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.43",
							["x"] = "0.53",
						},
						["wmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.5",
						},
						["name"] = "Falcon Watch, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "59.99",
							["x"] = "27.79",
						},
						["routes"] = {
							"Garadar, Nagrand", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Swamprat Post, Zangarmarsh", -- [3]
							"Thrallmar, Hellfire Peninsula", -- [4]
							"Zabra'jin, Zangarmarsh", -- [5]
						},
						["timers"] = {
							["Garadar, Nagrand"] = 133,
							["Thrallmar, Hellfire Peninsula"] = 73,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 139,
							["Evergrove, Blade's Edge Mountains"] = 206,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 179,
							["Swamprat Post, Zangarmarsh"] = 70,
							["Stonebreaker Hold, Terokkar Forest"] = 140,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 144,
							["Area 52, Netherstorm"] = 277,
							["Shattrath, Terokkar Forest"] = 72,
							["Zabra'jin, Zangarmarsh"] = 151,
							["The Stormspire, Netherstorm"] = 325,
						},
					},
					["Hellfire Peninsula, The Dark Portal, Horde"] = {
						["fmLoc"] = {
							["y"] = "0.46",
							["x"] = "0.78",
						},
						["wmLoc"] = {
							["y"] = "0.51",
							["x"] = "0.68",
						},
						["name"] = "Hellfire Peninsula, The Dark Portal, Horde",
						["zmLoc"] = {
							["y"] = "48.13",
							["x"] = "87.34",
						},
						["timers"] = {
							["Garadar, Nagrand"] = 257,
							["Thrallmar, Hellfire Peninsula"] = 60,
							["Falcon Watch, Hellfire Peninsula"] = 124,
							["Evergrove, Blade's Edge Mountains"] = 330,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 303,
							["The Stormspire, Netherstorm"] = 449,
							["Zabra'jin, Zangarmarsh"] = 275,
							["Stonebreaker Hold, Terokkar Forest"] = 189,
							["Area 52, Netherstorm"] = 401,
							["Shattrath, Terokkar Forest"] = 196,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 126,
							["Swamprat Post, Zangarmarsh"] = 194,
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Thrallmar, Hellfire Peninsula", -- [2]
						},
					},
				},
				["Terokkar Forest"] = {
					["Stonebreaker Hold, Terokkar Forest"] = {
						["fmLoc"] = {
							["y"] = "0.26",
							["x"] = "0.5",
						},
						["wmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.49",
						},
						["name"] = "Stonebreaker Hold, Terokkar Forest",
						["zmLoc"] = {
							["y"] = "43.48",
							["x"] = "49.18",
						},
						["routes"] = {
							"Shadowmoon Village, Shadowmoon Valley", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Thrallmar, Hellfire Peninsula", -- [3]
						},
						["timers"] = {
							["Evergrove, Blade's Edge Mountains"] = 272,
							["Garadar, Nagrand"] = 138,
							["Sanctum of the Stars, Shadowmoon Valley"] = 132,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 315,
							["Swamprat Post, Zangarmarsh"] = 136,
							["Shadowmoon Village, Shadowmoon Valley"] = 67,
							["Falcon Watch, Hellfire Peninsula"] = 133,
							["Cosmowrench, Netherstorm"] = 410,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 245,
							["Area 52, Netherstorm"] = 343,
							["The Stormspire, Netherstorm"] = 391,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 203,
							["Zabra'jin, Zangarmarsh"] = 194,
							["Shattrath, Terokkar Forest"] = 57,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 196,
							["Thrallmar, Hellfire Peninsula"] = 130,
						},
					},
				},
				["Shadowmoon Valley"] = {
					["Shadowmoon Village, Shadowmoon Valley"] = {
						["fmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.66",
						},
						["wmLoc"] = {
							["y"] = "0.75",
							["x"] = "0.59",
						},
						["name"] = "Shadowmoon Village, Shadowmoon Valley",
						["zmLoc"] = {
							["y"] = "29.19",
							["x"] = "30.32",
						},
						["timers"] = {
							["The Stormspire, Netherstorm"] = 464,
							["Garadar, Nagrand"] = 209,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 388,
							["Stonebreaker Hold, Terokkar Forest"] = 73,
							["Thrallmar, Hellfire Peninsula"] = 203,
							["Zabra'jin, Zangarmarsh"] = 267,
							["Falcon Watch, Hellfire Peninsula"] = 207,
							["Cosmowrench, Netherstorm"] = 480,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 318,
							["Evergrove, Blade's Edge Mountains"] = 345,
							["Swamprat Post, Zangarmarsh"] = 209,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 276,
							["Area 52, Netherstorm"] = 416,
							["Shattrath, Terokkar Forest"] = 130,
							["Sanctum of the Stars, Shadowmoon Valley"] = 65,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 269,
						},
						["routes"] = {
							"Sanctum of the Stars, Shadowmoon Valley", -- [1]
							"Stonebreaker Hold, Terokkar Forest", -- [2]
						},
					},
					["Sanctum of the Stars, Shadowmoon Valley"] = {
						["fmLoc"] = {
							["y"] = "0.14",
							["x"] = "0.77",
						},
						["wmLoc"] = {
							["y"] = "0.84",
							["x"] = "0.67",
						},
						["name"] = "Sanctum of the Stars, Shadowmoon Valley",
						["zmLoc"] = {
							["y"] = "57.81",
							["x"] = "56.33",
						},
						["timers"] = {
							["Spinebreaker Ridge, Hellfire Peninsula"] = 330,
							["Garadar, Nagrand"] = 273,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 449,
							["Stonebreaker Hold, Terokkar Forest"] = 134,
							["The Stormspire, Netherstorm"] = 525,
							["Shadowmoon Village, Shadowmoon Valley"] = 61,
							["Falcon Watch, Hellfire Peninsula"] = 268,
							["Cosmowrench, Netherstorm"] = 544,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 379,
							["Zabra'jin, Zangarmarsh"] = 328,
							["Swamprat Post, Zangarmarsh"] = 270,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 337,
							["Area 52, Netherstorm"] = 477,
							["Shattrath, Terokkar Forest"] = 188,
							["Evergrove, Blade's Edge Mountains"] = 406,
							["Thrallmar, Hellfire Peninsula"] = 264,
						},
						["routes"] = {
							"Shadowmoon Village, Shadowmoon Valley", -- [1]
						},
					},
				},
				["Nagrand"] = {
					["Garadar, Nagrand"] = {
						["fmLoc"] = {
							["y"] = "0.37",
							["x"] = "0.28",
						},
						["wmLoc"] = {
							["y"] = "0.6",
							["x"] = "0.33",
						},
						["name"] = "Garadar, Nagrand",
						["zmLoc"] = {
							["y"] = "35.28",
							["x"] = "57.21",
						},
						["routes"] = {
							"Falcon Watch, Hellfire Peninsula", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Zabra'jin, Zangarmarsh", -- [3]
						},
						["timers"] = {
							["Swamprat Post, Zangarmarsh"] = 156,
							["Spinebreaker Ridge, Hellfire Peninsula"] = 265,
							["Shattrath, Terokkar Forest"] = 77,
							["Zabra'jin, Zangarmarsh"] = 67,
							["The Stormspire, Netherstorm"] = 327,
							["Mok'Nathal Village, Blade's Edge Mountains"] = 251,
							["Falcon Watch, Hellfire Peninsula"] = 126,
							["Cosmowrench, Netherstorm"] = 346,
							["Thunderlord Stronghold, Blade's Edge Mountains"] = 180,
							["Sanctum of the Stars, Shadowmoon Valley"] = 278,
							["Shadowmoon Village, Shadowmoon Valley"] = 213,
							["Hellfire Peninsula, The Dark Portal, Horde"] = 272,
							["Area 52, Netherstorm"] = 279,
							["Stonebreaker Hold, Terokkar Forest"] = 146,
							["Evergrove, Blade's Edge Mountains"] = 208,
							["Thrallmar, Hellfire Peninsula"] = 199,
						},
					},
				},
			},
		},
		["Alliance"] = {
			["Eastern Kingdoms"] = {
				["Western Plaguelands"] = {
					["Chillwind Camp, Western Plaguelands"] = {
						["fmLoc"] = {
							["y"] = "0.68",
							["x"] = "0.52",
						},
						["wmLoc"] = {
							["y"] = "0.32",
							["x"] = "0.49",
						},
						["name"] = "Chillwind Camp, Western Plaguelands",
						["zmLoc"] = {
							["y"] = "84.95",
							["x"] = "42.94",
						},
						["timers"] = {
							["Southshore, Hillsbrad"] = 86,
							["Ironforge, Dun Morogh"] = 261,
							["Thelsamar, Loch Modan"] = 319,
							["Light's Hope Chapel, Eastern Plaguelands"] = 147,
							["Aerie Peak, The Hinterlands"] = 66,
							["Menethil Harbor, Wetlands"] = 197,
							["Refuge Pointe, Arathi"] = 146,
						},
						["routes"] = {
							"Aerie Peak, The Hinterlands", -- [1]
							"Ironforge, Dun Morogh", -- [2]
							"Light's Hope Chapel, Eastern Plaguelands", -- [3]
							"Southshore, Hillsbrad", -- [4]
						},
					},
				},
				["The Hinterlands"] = {
					["Aerie Peak, The Hinterlands"] = {
						["fmLoc"] = {
							["y"] = "0.65",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.35",
							["x"] = "0.5",
						},
						["name"] = "Aerie Peak, The Hinterlands",
						["zmLoc"] = {
							["y"] = "46.08",
							["x"] = "11.11",
						},
						["timers"] = {
							["Southshore, Hillsbrad"] = 69,
							["Thelsamar, Loch Modan"] = 253,
							["Light's Hope Chapel, Eastern Plaguelands"] = 165,
							["Chillwind Camp, Western Plaguelands"] = 55,
							["Menethil Harbor, Wetlands"] = 180,
							["Refuge Pointe, Arathi"] = 80,
						},
						["routes"] = {
							"Chillwind Camp, Western Plaguelands", -- [1]
							"Ironforge, Dun Morogh", -- [2]
							"Light's Hope Chapel, Eastern Plaguelands", -- [3]
							"Refuge Pointe, Arathi", -- [4]
							"Southshore, Hillsbrad", -- [5]
						},
					},
				},
				["Stranglethorn Vale"] = {
					["Booty Bay, Stranglethorn"] = {
						["fmLoc"] = {
							["y"] = "0.04",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.943",
							["x"] = "0.4405",
						},
						["name"] = "Booty Bay, Stranglethorn",
						["zmLoc"] = {
							["y"] = "77.74",
							["x"] = "27.52",
						},
						["timers"] = {
							["Stormwind, Elwynn"] = 220,
						},
						["routes"] = {
							"Darkshire, Duskwood", -- [1]
							"Sentinel Hill, Westfall", -- [2]
							"Stormwind, Elwynn", -- [3]
						},
					},
				},
				["Eastern Plaguelands"] = {
					["Light's Hope Chapel, Eastern Plaguelands"] = {
						["fmLoc"] = {
							["y"] = "0.73",
							["x"] = "0.68",
						},
						["wmLoc"] = {
							["y"] = "0.27",
							["x"] = "0.59",
						},
						["name"] = "Light's Hope Chapel, Eastern Plaguelands",
						["zmLoc"] = {
							["y"] = "59.29",
							["x"] = "81.56",
						},
						["timers"] = {
							["Chillwind Camp, Western Plaguelands"] = 150,
							["Aerie Peak, The Hinterlands"] = 163,
							["Ironforge, Dun Morogh"] = 368,
							["Menethil Harbor, Wetlands"] = 343,
						},
						["routes"] = {
							"Aerie Peak, The Hinterlands", -- [1]
							"Chillwind Camp, Western Plaguelands", -- [2]
							"Ironforge, Dun Morogh", -- [3]
						},
					},
				},
				["Wetlands"] = {
					["Menethil Harbor, Wetlands"] = {
						["fmLoc"] = {
							["y"] = "0.48",
							["x"] = "0.49",
						},
						["wmLoc"] = {
							["y"] = "0.51",
							["x"] = "0.47",
						},
						["name"] = "Menethil Harbor, Wetlands",
						["zmLoc"] = {
							["y"] = "59.65",
							["x"] = "9.52",
						},
						["timers"] = {
							["Chillwind Camp, Western Plaguelands"] = 190,
							["Morgan's Vigil, Burning Steppes"] = 272.5,
							["Thorium Point, Searing Gorge"] = 176.5,
							["Nethergarde Keep, Blasted Lands"] = 451,
							["Ironforge, Dun Morogh"] = 89,
							["Southshore, Hillsbrad"] = 108,
							["Light's Hope Chapel, Eastern Plaguelands"] = 337,
							["Aerie Peak, The Hinterlands"] = 181,
							["Thelsamar, Loch Modan"] = 164,
							["Refuge Pointe, Arathi"] = 114,
						},
						["routes"] = {
							"Ironforge, Dun Morogh", -- [1]
							"Refuge Pointe, Arathi", -- [2]
							"Southshore, Hillsbrad", -- [3]
							"Thelsamar, Loch Modan", -- [4]
						},
					},
				},
				["Burning Steppes"] = {
					["Morgan's Vigil, Burning Steppes"] = {
						["fmLoc"] = {
							["y"] = "0.29",
							["x"] = "0.58",
						},
						["wmLoc"] = {
							["y"] = "0.6995",
							["x"] = "0.5256",
						},
						["name"] = "Morgan's Vigil, Burning Steppes",
						["zmLoc"] = {
							["y"] = "68.3",
							["x"] = "84.38",
						},
						["timers"] = {
							["Nethergarde Keep, Blasted Lands"] = 211,
							["Thorium Point, Searing Gorge"] = 104,
							["Lakeshire, Redridge"] = 64,
						},
						["routes"] = {
							"Lakeshire, Redridge", -- [1]
							"Nethergarde Keep, Blasted Lands", -- [2]
							"Stormwind, Elwynn", -- [3]
							"Thorium Point, Searing Gorge", -- [4]
						},
					},
				},
				["Stormwind City"] = {
					["Stormwind, Elwynn"] = {
						["fmLoc"] = {
							["y"] = "0.27",
							["x"] = "0.44",
						},
						["wmLoc"] = {
							["y"] = "0.7183",
							["x"] = "0.4398",
						},
						["name"] = "Stormwind, Elwynn",
						["zmLoc"] = {
							["y"] = "62.29",
							["x"] = "66.32",
						},
						["timers"] = {
							["Thelsamar, Loch Modan"] = 362,
							["Sentinel Hill, Westfall"] = 79,
							["Ironforge, Dun Morogh"] = 259,
							["Nethergarde Keep, Blasted Lands"] = 178,
							["Morgan's Vigil, Burning Steppes"] = 159,
							["Lakeshire, Redridge"] = 114,
							["Thorium Point, Searing Gorge"] = 263,
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Darkshire, Duskwood", -- [2]
							"Ironforge, Dun Morogh", -- [3]
							"Lakeshire, Redridge", -- [4]
							"Morgan's Vigil, Burning Steppes", -- [5]
							"Nethergarde Keep, Blasted Lands", -- [6]
							"Sentinel Hill, Westfall", -- [7]
						},
					},
				},
				["Searing Gorge"] = {
					["Thorium Point, Searing Gorge"] = {
						["fmLoc"] = {
							["y"] = "0.37",
							["x"] = "0.51",
						},
						["wmLoc"] = {
							["y"] = "0.6275",
							["x"] = "0.4838",
						},
						["name"] = "Thorium Point, Searing Gorge",
						["zmLoc"] = {
							["y"] = "30.77",
							["x"] = "37.84",
						},
						["timers"] = {
							["Nethergarde Keep, Blasted Lands"] = 307,
							["Morgan's Vigil, Burning Steppes"] = 96,
							["Ironforge, Dun Morogh"] = 94,
							["Thelsamar, Loch Modan"] = 99,
						},
						["routes"] = {
							"Ironforge, Dun Morogh", -- [1]
							"Morgan's Vigil, Burning Steppes", -- [2]
							"Thelsamar, Loch Modan", -- [3]
						},
					},
				},
				["Blasted Lands"] = {
					["Nethergarde Keep, Blasted Lands"] = {
						["fmLoc"] = {
							["y"] = "0.18",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.8089",
							["x"] = "0.5441",
						},
						["name"] = "Nethergarde Keep, Blasted Lands",
						["zmLoc"] = {
							["y"] = "24.41",
							["x"] = "65.54",
						},
						["timers"] = {
							["Darkshire, Duskwood"] = 93,
							["Stormwind, Elwynn"] = 190,
						},
						["routes"] = {
							"Darkshire, Duskwood", -- [1]
							"Morgan's Vigil, Burning Steppes", -- [2]
							"Stormwind, Elwynn", -- [3]
						},
					},
				},
				["Redridge Mountains"] = {
					["Lakeshire, Redridge"] = {
						["fmLoc"] = {
							["y"] = "0.25",
							["x"] = "0.55",
						},
						["timers"] = {
							["Darkshire, Duskwood"] = 62,
							["Stormwind, Elwynn"] = 114,
						},
						["name"] = "Lakeshire, Redridge",
						["zmLoc"] = {
							["y"] = "59.33",
							["x"] = "30.62",
						},
						["wmLoc"] = {
							["y"] = "0.74",
							["x"] = "0.51",
						},
						["routes"] = {
							"Darkshire, Duskwood", -- [1]
							"Morgan's Vigil, Burning Steppes", -- [2]
							"Sentinel Hill, Westfall", -- [3]
							"Stormwind, Elwynn", -- [4]
						},
					},
				},
				["Arathi Highlands"] = {
					["Refuge Pointe, Arathi"] = {
						["fmLoc"] = {
							["y"] = "0.59",
							["x"] = "0.57",
						},
						["wmLoc"] = {
							["y"] = "0.41",
							["x"] = "0.51",
						},
						["name"] = "Refuge Pointe, Arathi",
						["zmLoc"] = {
							["y"] = "46.13",
							["x"] = "45.79",
						},
						["timers"] = {
							["Chillwind Camp, Western Plaguelands"] = 128,
							["Sentinel Hill, Westfall"] = 507,
							["Booty Bay, Stranglethorn"] = 661,
							["Southshore, Hillsbrad"] = 88,
							["Morgan's Vigil, Burning Steppes"] = 363,
							["Thorium Point, Searing Gorge"] = 267,
							["Menethil Harbor, Wetlands"] = 127,
							["Nethergarde Keep, Blasted Lands"] = 574,
							["Thelsamar, Loch Modan"] = 173,
							["Ironforge, Dun Morogh"] = 272,
							["Lakeshire, Redridge"] = 427,
							["Light's Hope Chapel, Eastern Plaguelands"] = 238,
							["Aerie Peak, The Hinterlands"] = 73,
							["Darkshire, Duskwood"] = 489,
							["Stormwind, Elwynn"] = 428,
						},
						["routes"] = {
							"Aerie Peak, The Hinterlands", -- [1]
							"Ironforge, Dun Morogh", -- [2]
							"Menethil Harbor, Wetlands", -- [3]
							"Southshore, Hillsbrad", -- [4]
							"Thelsamar, Loch Modan", -- [5]
						},
					},
				},
				["Westfall"] = {
					["Sentinel Hill, Westfall"] = {
						["fmLoc"] = {
							["y"] = "0.2",
							["x"] = "0.42",
						},
						["wmLoc"] = {
							["y"] = "0.7897",
							["x"] = "0.4253",
						},
						["name"] = "Sentinel Hill, Westfall",
						["zmLoc"] = {
							["y"] = "52.66",
							["x"] = "56.57",
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Darkshire, Duskwood", -- [2]
							"Lakeshire, Redridge", -- [3]
							"Stormwind, Elwynn", -- [4]
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 187,
						},
					},
				},
				["Ironforge"] = {
					["Ironforge, Dun Morogh"] = {
						["fmLoc"] = {
							["y"] = "0.44",
							["x"] = "0.51",
						},
						["wmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.48",
						},
						["name"] = "Ironforge, Dun Morogh",
						["zmLoc"] = {
							["y"] = "47.24",
							["x"] = "55.69",
						},
						["timers"] = {
							["Southshore, Hillsbrad"] = 266,
							["Sentinel Hill, Westfall"] = 290,
							["Refuge Pointe, Arathi"] = 253,
							["Morgan's Vigil, Burning Steppes"] = 183,
							["Thorium Point, Searing Gorge"] = 87,
							["Chillwind Camp, Western Plaguelands"] = 294,
							["Darkshire, Duskwood"] = 309,
							["Lakeshire, Redridge"] = 247,
							["Menethil Harbor, Wetlands"] = 130,
							["Nethergarde Keep, Blasted Lands"] = 390,
							["Light's Hope Chapel, Eastern Plaguelands"] = 349,
							["Aerie Peak, The Hinterlands"] = 300,
							["Thelsamar, Loch Modan"] = 102,
							["Stormwind, Elwynn"] = 212,
						},
						["routes"] = {
							"Aerie Peak, The Hinterlands", -- [1]
							"Chillwind Camp, Western Plaguelands", -- [2]
							"Light's Hope Chapel, Eastern Plaguelands", -- [3]
							"Menethil Harbor, Wetlands", -- [4]
							"Refuge Pointe, Arathi", -- [5]
							"Southshore, Hillsbrad", -- [6]
							"Stormwind, Elwynn", -- [7]
							"Thelsamar, Loch Modan", -- [8]
							"Thorium Point, Searing Gorge", -- [9]
						},
					},
				},
				["Duskwood"] = {
					["Darkshire, Duskwood"] = {
						["fmLoc"] = {
							["y"] = "0.2",
							["x"] = "0.51",
						},
						["wmLoc"] = {
							["y"] = "0.7852",
							["x"] = "0.4863",
						},
						["name"] = "Darkshire, Duskwood",
						["zmLoc"] = {
							["y"] = "44.36",
							["x"] = "77.54",
						},
						["timers"] = {
							["Booty Bay, Stranglethorn"] = 172,
						},
						["routes"] = {
							"Booty Bay, Stranglethorn", -- [1]
							"Lakeshire, Redridge", -- [2]
							"Nethergarde Keep, Blasted Lands", -- [3]
							"Sentinel Hill, Westfall", -- [4]
							"Stormwind, Elwynn", -- [5]
						},
					},
				},
				["Hillsbrad Foothills"] = {
					["Southshore, Hillsbrad"] = {
						["fmLoc"] = {
							["y"] = "0.61",
							["x"] = "0.48",
						},
						["wmLoc"] = {
							["y"] = "0.39",
							["x"] = "0.46",
						},
						["name"] = "Southshore, Hillsbrad",
						["zmLoc"] = {
							["y"] = "52.26",
							["x"] = "49.4",
						},
						["timers"] = {
							["Chillwind Camp, Western Plaguelands"] = 82,
							["Morgan's Vigil, Burning Steppes"] = 383.5,
							["Thorium Point, Searing Gorge"] = 287.5,
							["Menethil Harbor, Wetlands"] = 111,
							["Stormwind, Elwynn"] = 412.5,
							["Light's Hope Chapel, Eastern Plaguelands"] = 229,
							["Aerie Peak, The Hinterlands"] = 72,
							["Nethergarde Keep, Blasted Lands"] = 590.5,
							["Refuge Pointe, Arathi"] = 75,
						},
						["routes"] = {
							"Aerie Peak, The Hinterlands", -- [1]
							"Chillwind Camp, Western Plaguelands", -- [2]
							"Ironforge, Dun Morogh", -- [3]
							"Menethil Harbor, Wetlands", -- [4]
							"Refuge Pointe, Arathi", -- [5]
						},
					},
				},
				["Loch Modan"] = {
					["Thelsamar, Loch Modan"] = {
						["fmLoc"] = {
							["y"] = "0.41",
							["x"] = "0.58",
						},
						["wmLoc"] = {
							["y"] = "0.58",
							["x"] = "0.53",
						},
						["name"] = "Thelsamar, Loch Modan",
						["zmLoc"] = {
							["y"] = "50.88",
							["x"] = "33.94",
						},
						["timers"] = {
							["Southshore, Hillsbrad"] = 253,
							["Refuge Pointe, Arathi"] = 163,
							["Chillwind Camp, Western Plaguelands"] = 292,
							["Morgan's Vigil, Burning Steppes"] = 190,
							["Thorium Point, Searing Gorge"] = 94,
							["Menethil Harbor, Wetlands"] = 154,
							["Darkshire, Duskwood"] = 316,
							["Booty Bay, Stranglethorn"] = 488,
							["Ironforge, Dun Morogh"] = 110,
							["Nethergarde Keep, Blasted Lands"] = 401,
							["Light's Hope Chapel, Eastern Plaguelands"] = 402,
							["Aerie Peak, The Hinterlands"] = 237,
							["Lakeshire, Redridge"] = 254,
							["Stormwind, Elwynn"] = 322,
						},
						["routes"] = {
							"Ironforge, Dun Morogh", -- [1]
							"Menethil Harbor, Wetlands", -- [2]
							"Refuge Pointe, Arathi", -- [3]
							"Thorium Point, Searing Gorge", -- [4]
						},
					},
				},
			},
			["Kalimdor"] = {
				["Moonglade"] = {
					["Nighthaven, Moonglade"] = {
						["name"] = "Nighthaven, Moonglade",
						["fmLoc"] = {
							["y"] = "0.8",
							["x"] = "0.54",
						},
					},
					["Moonglade"] = {
						["fmLoc"] = {
							["y"] = "0.79",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.21",
							["x"] = "0.53",
						},
						["name"] = "Moonglade",
						["zmLoc"] = {
							["y"] = "67.22",
							["x"] = "48",
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Everlook, Winterspring", -- [2]
							"Talonbranch Glade, Felwood", -- [3]
						},
						["timers"] = {
							["Everlook, Winterspring"] = 131,
							["Talrendis Point, Azshara"] = 307,
							["Auberdine, Darkshore"] = 143,
							["Talonbranch Glade, Felwood"] = 63,
						},
					},
				},
				["Winterspring"] = {
					["Everlook, Winterspring"] = {
						["fmLoc"] = {
							["y"] = "0.76",
							["x"] = "0.64",
						},
						["wmLoc"] = {
							["y"] = "0.24",
							["x"] = "0.59",
						},
						["name"] = "Everlook, Winterspring",
						["zmLoc"] = {
							["y"] = "36.66",
							["x"] = "62.33",
						},
						["routes"] = {
							"Moonglade", -- [1]
							"Talonbranch Glade, Felwood", -- [2]
							"Talrendis Point, Azshara", -- [3]
						},
						["timers"] = {
							["Talrendis Point, Azshara"] = 176,
							["Talonbranch Glade, Felwood"] = 123,
							["Moonglade"] = 123,
						},
					},
				},
				["Ashenvale"] = {
					["Astranaar, Ashenvale"] = {
						["fmLoc"] = {
							["y"] = "0.6",
							["x"] = "0.46",
						},
						["wmLoc"] = {
							["y"] = "0.4",
							["x"] = "0.47",
						},
						["name"] = "Astranaar, Ashenvale",
						["zmLoc"] = {
							["y"] = "48.03",
							["x"] = "34.45",
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Stonetalon Peak, Stonetalon Mountains", -- [2]
							"Talrendis Point, Azshara", -- [3]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 234,
							["Stonetalon Peak, Stonetalon Mountains"] = 154,
							["Moonglade"] = 302,
							["Talrendis Point, Azshara"] = 148,
							["Auberdine, Darkshore"] = 149,
							["Talonbranch Glade, Felwood"] = 340,
						},
					},
				},
				["Teldrassil"] = {
					["Rut'theran Village, Teldrassil"] = {
						["fmLoc"] = {
							["y"] = "0.84",
							["x"] = "0.41",
						},
						["wmLoc"] = {
							["y"] = "0.1694",
							["x"] = "0.4409",
						},
						["name"] = "Rut'theran Village, Teldrassil",
						["zmLoc"] = {
							["y"] = "93.92",
							["x"] = "58.39",
						},
						["timers"] = {
							["Auberdine, Darkshore"] = 85,
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
						},
					},
				},
				["Un'Goro Crater"] = {
					["Marshal's Refuge, Un'Goro Crater"] = {
						["fmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.49",
						},
						["wmLoc"] = {
							["y"] = "0.77",
							["x"] = "0.49",
						},
						["name"] = "Marshal's Refuge, Un'Goro Crater",
						["zmLoc"] = {
							["y"] = "5.85",
							["x"] = "45.3",
						},
						["timers"] = {
							["Stonetalon Peak, Stonetalon Mountains"] = 619,
							["Nijel's Point, Desolace"] = 499,
							["Gadgetzan, Tanaris"] = 104,
							["Cenarion Hold, Silithus"] = 95,
							["Thalanaar, Feralas"] = 282,
							["Feathermoon, Feralas"] = 271,
						},
						["routes"] = {
							"Cenarion Hold, Silithus", -- [1]
							"Gadgetzan, Tanaris", -- [2]
						},
					},
				},
				["Dustwallow Marsh"] = {
					["Theramore, Dustwallow Marsh"] = {
						["fmLoc"] = {
							["y"] = "0.33",
							["x"] = "0.63",
						},
						["wmLoc"] = {
							["y"] = "0.67",
							["x"] = "0.58",
						},
						["name"] = "Theramore, Dustwallow Marsh",
						["zmLoc"] = {
							["y"] = "51.2",
							["x"] = "67.45",
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 525,
							["Cenarion Hold, Silithus"] = 355,
							["Moonglade"] = 538,
							["Gadgetzan, Tanaris"] = 157,
							["Talrendis Point, Azshara"] = 235,
							["Marshal's Refuge, Un'Goro Crater"] = 263,
							["Feathermoon, Feralas"] = 342,
							["Ratchet, The Barrens"] = 115,
							["Astranaar, Ashenvale"] = 388,
							["Nijel's Point, Desolace"] = 334,
							["Everlook, Winterspring"] = 415,
							["Auberdine, Darkshore"] = 440,
							["Thalanaar, Feralas"] = 164,
							["Talonbranch Glade, Felwood"] = 520,
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Gadgetzan, Tanaris", -- [2]
							"Nijel's Point, Desolace", -- [3]
							"Ratchet, The Barrens", -- [4]
							"Talrendis Point, Azshara", -- [5]
							"Thalanaar, Feralas", -- [6]
						},
					},
				},
				["Felwood"] = {
					["Talonbranch Glade, Felwood"] = {
						["fmLoc"] = {
							["y"] = "0.74",
							["x"] = "0.53",
						},
						["wmLoc"] = {
							["y"] = "0.26",
							["x"] = "0.51",
						},
						["name"] = "Talonbranch Glade, Felwood",
						["zmLoc"] = {
							["y"] = "24.19",
							["x"] = "62.45",
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 274,
							["Theramore, Dustwallow Marsh"] = 527,
							["Moonglade"] = 68,
							["Gadgetzan, Tanaris"] = 685,
							["Talrendis Point, Azshara"] = 284,
							["Auberdine, Darkshore"] = 188,
							["Ratchet, The Barrens"] = 420,
							["Astranaar, Ashenvale"] = 365,
							["Everlook, Winterspring"] = 121,
							["Thalanaar, Feralas"] = 691,
							["Marshal's Refuge, Un'Goro Crater"] = 790,
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Everlook, Winterspring", -- [2]
							"Moonglade", -- [3]
							"Talrendis Point, Azshara", -- [4]
						},
					},
				},
				["Darkshore"] = {
					["Auberdine, Darkshore"] = {
						["fmLoc"] = {
							["y"] = "0.74",
							["x"] = "0.42",
						},
						["wmLoc"] = {
							["y"] = "0.26",
							["x"] = "0.44",
						},
						["name"] = "Auberdine, Darkshore",
						["zmLoc"] = {
							["y"] = "45.59",
							["x"] = "36.36",
						},
						["routes"] = {
							"Astranaar, Ashenvale", -- [1]
							"Feathermoon, Feralas", -- [2]
							"Moonglade", -- [3]
							"Nijel's Point, Desolace", -- [4]
							"Rut'theran Village, Teldrassil", -- [5]
							"Stonetalon Peak, Stonetalon Mountains", -- [6]
							"Talonbranch Glade, Felwood", -- [7]
							"Talrendis Point, Azshara", -- [8]
							"Theramore, Dustwallow Marsh", -- [9]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 85,
							["Stonetalon Peak, Stonetalon Mountains"] = 182,
							["Theramore, Dustwallow Marsh"] = 443,
							["Moonglade"] = 153,
							["Gadgetzan, Tanaris"] = 600,
							["Talrendis Point, Azshara"] = 300,
							["Talonbranch Glade, Felwood"] = 191,
							["Feathermoon, Feralas"] = 472,
							["Ratchet, The Barrens"] = 436,
							["Astranaar, Ashenvale"] = 176,
							["Nijel's Point, Desolace"] = 292,
							["Everlook, Winterspring"] = 284,
							["Thalanaar, Feralas"] = 607,
							["Marshal's Refuge, Un'Goro Crater"] = 703,
						},
					},
				},
				["Desolace"] = {
					["Nijel's Point, Desolace"] = {
						["fmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.39",
						},
						["wmLoc"] = {
							["y"] = "0.51",
							["x"] = "0.42",
						},
						["name"] = "Nijel's Point, Desolace",
						["zmLoc"] = {
							["y"] = "10.57",
							["x"] = "64.67",
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Feathermoon, Feralas", -- [2]
							"Stonetalon Peak, Stonetalon Mountains", -- [3]
							"Theramore, Dustwallow Marsh", -- [4]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 368,
							["Stonetalon Peak, Stonetalon Mountains"] = 120,
							["Theramore, Dustwallow Marsh"] = 309,
							["Moonglade"] = 436,
							["Gadgetzan, Tanaris"] = 466,
							["Talrendis Point, Azshara"] = 423,
							["Auberdine, Darkshore"] = 282,
							["Feathermoon, Feralas"] = 233,
							["Ratchet, The Barrens"] = 424,
							["Astranaar, Ashenvale"] = 275,
							["Everlook, Winterspring"] = 567,
							["Thalanaar, Feralas"] = 388,
							["Talonbranch Glade, Felwood"] = 474,
						},
					},
				},
				["The Exodar"] = {
					["The Exodar"] = {
						["fmLoc"] = {
							["y"] = "0.73",
							["x"] = "0.21",
						},
						["wmLoc"] = {
							["y"] = "0.274",
							["x"] = "0.3059",
						},
						["name"] = "The Exodar",
						["zmLoc"] = {
							["y"] = "63.4",
							["x"] = "68.71",
						},
						["timers"] = {
							["Blood Watch, Bloodmyst Isle"] = 77,
						},
						["routes"] = {
							"Blood Watch, Bloodmyst Isle", -- [1]
						},
					},
				},
				["Tanaris"] = {
					["Gadgetzan, Tanaris"] = {
						["fmLoc"] = {
							["y"] = "0.19",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.81",
							["x"] = "0.56",
						},
						["name"] = "Gadgetzan, Tanaris",
						["zmLoc"] = {
							["y"] = "29.31",
							["x"] = "50.95",
						},
						["timers"] = {
							["Cenarion Hold, Silithus"] = 197,
							["Theramore, Dustwallow Marsh"] = 154,
							["Moonglade"] = 692,
							["Talrendis Point, Azshara"] = 389,
							["Marshal's Refuge, Un'Goro Crater"] = 103,
							["Feathermoon, Feralas"] = 356,
							["Ratchet, The Barrens"] = 269,
							["Astranaar, Ashenvale"] = 542,
							["Everlook, Winterspring"] = 569,
							["Thalanaar, Feralas"] = 178,
							["Talonbranch Glade, Felwood"] = 674,
						},
						["routes"] = {
							"Cenarion Hold, Silithus", -- [1]
							"Marshal's Refuge, Un'Goro Crater", -- [2]
							"Thalanaar, Feralas", -- [3]
							"Theramore, Dustwallow Marsh", -- [4]
						},
					},
				},
				["Azshara"] = {
					["Talrendis Point, Azshara"] = {
						["fmLoc"] = {
							["y"] = "0.59",
							["x"] = "0.61",
						},
						["wmLoc"] = {
							["y"] = "0.41",
							["x"] = "0.56",
						},
						["name"] = "Talrendis Point, Azshara",
						["zmLoc"] = {
							["y"] = "77.47",
							["x"] = "11.9",
						},
						["routes"] = {
							"Astranaar, Ashenvale", -- [1]
							"Auberdine, Darkshore", -- [2]
							"Everlook, Winterspring", -- [3]
							"Ratchet, The Barrens", -- [4]
							"Talonbranch Glade, Felwood", -- [5]
							"Theramore, Dustwallow Marsh", -- [6]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 387,
							["Stonetalon Peak, Stonetalon Mountains"] = 306,
							["Theramore, Dustwallow Marsh"] = 243,
							["Moonglade"] = 303,
							["Gadgetzan, Tanaris"] = 401,
							["Marshal's Refuge, Un'Goro Crater"] = 506,
							["Feathermoon, Feralas"] = 585,
							["Ratchet, The Barrens"] = 136,
							["Astranaar, Ashenvale"] = 153,
							["Talonbranch Glade, Felwood"] = 285,
							["Everlook, Winterspring"] = 180,
							["Auberdine, Darkshore"] = 302,
							["Thalanaar, Feralas"] = 407,
							["Cenarion Hold, Silithus"] = 597,
						},
					},
				},
				["Feralas"] = {
					["Thalanaar, Feralas"] = {
						["fmLoc"] = {
							["y"] = "0.3",
							["x"] = "0.48",
						},
						["wmLoc"] = {
							["y"] = "0.7",
							["x"] = "0.48",
						},
						["name"] = "Thalanaar, Feralas",
						["zmLoc"] = {
							["y"] = "45.92",
							["x"] = "89.48",
						},
						["timers"] = {
							["Gadgetzan, Tanaris"] = 172,
							["Theramore, Dustwallow Marsh"] = 160,
							["Feathermoon, Feralas"] = 178,
						},
						["routes"] = {
							"Feathermoon, Feralas", -- [1]
							"Gadgetzan, Tanaris", -- [2]
							"Theramore, Dustwallow Marsh", -- [3]
						},
					},
					["Feathermoon, Feralas"] = {
						["fmLoc"] = {
							["y"] = "0.3",
							["x"] = "0.31",
						},
						["wmLoc"] = {
							["y"] = "0.69",
							["x"] = "0.37",
						},
						["name"] = "Feathermoon, Feralas",
						["zmLoc"] = {
							["y"] = "43.28",
							["x"] = "30.24",
						},
						["timers"] = {
							["Astranaar, Ashenvale"] = 503,
							["Cenarion Hold, Silithus"] = 159,
							["Nijel's Point, Desolace"] = 228,
							["Moonglade"] = 622,
							["Thalanaar, Feralas"] = 155,
							["Talonbranch Glade, Felwood"] = 660,
							["Auberdine, Darkshore"] = 469,
							["Stonetalon Peak, Stonetalon Mountains"] = 348,
						},
						["routes"] = {
							"Auberdine, Darkshore", -- [1]
							"Cenarion Hold, Silithus", -- [2]
							"Nijel's Point, Desolace", -- [3]
							"Thalanaar, Feralas", -- [4]
						},
					},
				},
				["Silithus"] = {
					["Cenarion Hold, Silithus"] = {
						["fmLoc"] = {
							["y"] = "0.2",
							["x"] = "0.41",
						},
						["wmLoc"] = {
							["y"] = "0.79",
							["x"] = "0.44",
						},
						["name"] = "Cenarion Hold, Silithus",
						["zmLoc"] = {
							["y"] = "34.52",
							["x"] = "50.61",
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 730,
							["Stonetalon Peak, Stonetalon Mountains"] = 524,
							["Theramore, Dustwallow Marsh"] = 343,
							["Moonglade"] = 798,
							["Gadgetzan, Tanaris"] = 189,
							["Talrendis Point, Azshara"] = 578,
							["Auberdine, Darkshore"] = 645,
							["Feathermoon, Feralas"] = 176,
							["Ratchet, The Barrens"] = 458,
							["Astranaar, Ashenvale"] = 679,
							["Nijel's Point, Desolace"] = 404,
							["Everlook, Winterspring"] = 758,
							["Talonbranch Glade, Felwood"] = 836,
							["Thalanaar, Feralas"] = 331,
							["Marshal's Refuge, Un'Goro Crater"] = 92,
						},
						["routes"] = {
							"Feathermoon, Feralas", -- [1]
							"Gadgetzan, Tanaris", -- [2]
							"Marshal's Refuge, Un'Goro Crater", -- [3]
						},
					},
				},
				["Bloodmyst Isle"] = {
					["Blood Watch, Bloodmyst Isle"] = {
						["fmLoc"] = {
							["y"] = "0.82",
							["x"] = "0.21",
						},
						["wmLoc"] = {
							["y"] = "0.1874",
							["x"] = "0.3103",
						},
						["name"] = "Blood Watch, Bloodmyst Isle",
						["zmLoc"] = {
							["y"] = "53.98",
							["x"] = "57.65",
						},
						["timers"] = {
							["The Exodar"] = 77,
						},
						["routes"] = {
							"The Exodar", -- [1]
						},
					},
				},
				["Stonetalon Mountains"] = {
					["Stonetalon Peak, Stonetalon Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.59",
							["x"] = "0.39",
						},
						["wmLoc"] = {
							["y"] = "0.41",
							["x"] = "0.42",
						},
						["name"] = "Stonetalon Peak, Stonetalon Mountains",
						["zmLoc"] = {
							["y"] = "7.19",
							["x"] = "36.47",
						},
						["routes"] = {
							"Astranaar, Ashenvale", -- [1]
							"Auberdine, Darkshore", -- [2]
							"Nijel's Point, Desolace", -- [3]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 264,
							["Moonglade"] = 332,
							["Talrendis Point, Azshara"] = 303,
							["Talonbranch Glade, Felwood"] = 370,
							["Ratchet, The Barrens"] = 439,
							["Astranaar, Ashenvale"] = 155,
							["Nijel's Point, Desolace"] = 127,
							["Everlook, Winterspring"] = 463,
							["Auberdine, Darkshore"] = 179,
						},
					},
				},
				["The Barrens"] = {
					["Ratchet, The Barrens"] = {
						["fmLoc"] = {
							["y"] = "0.45",
							["x"] = "0.6",
						},
						["wmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.56",
						},
						["name"] = "Ratchet, The Barrens",
						["zmLoc"] = {
							["y"] = "37.14",
							["x"] = "63.1",
						},
						["routes"] = {
							"Talrendis Point, Azshara", -- [1]
							"Theramore, Dustwallow Marsh", -- [2]
						},
						["timers"] = {
							["Rut'theran Village, Teldrassil"] = 520,
							["Cenarion Hold, Silithus"] = 462,
							["Theramore, Dustwallow Marsh"] = 106,
							["Moonglade"] = 436,
							["Gadgetzan, Tanaris"] = 265,
							["Talrendis Point, Azshara"] = 133,
							["Marshal's Refuge, Un'Goro Crater"] = 368,
							["Feathermoon, Feralas"] = 449,
							["Astranaar, Ashenvale"] = 286,
							["Stonetalon Peak, Stonetalon Mountains"] = 440,
							["Everlook, Winterspring"] = 313,
							["Auberdine, Darkshore"] = 435,
							["Thalanaar, Feralas"] = 271,
							["Talonbranch Glade, Felwood"] = 418,
						},
					},
				},
			},
			["Outland"] = {
				["Shadowmoon Valley"] = {
					["Altar of Sha'tar, Shadowmoon Valley"] = {
						["fmLoc"] = {
							["y"] = "0.22",
							["x"] = "0.8",
						},
						["wmLoc"] = {
							["y"] = "0.76",
							["x"] = "0.7",
						},
						["name"] = "Altar of Sha'tar, Shadowmoon Valley",
						["zmLoc"] = {
							["y"] = "30.44",
							["x"] = "63.27",
						},
						["routes"] = {
							"Wildhammer Stronghold, Shadowmoon Valley", -- [1]
						},
						["timers"] = {
							["Allerian Stronghold, Terokkar Forest"] = 183,
							["Wildhammer Stronghold, Shadowmoon Valley"] = 81,
							["Temple of Telhamat, Hellfire Peninsula"] = 356,
						},
					},
					["Wildhammer Stronghold, Shadowmoon Valley"] = {
						["fmLoc"] = {
							["y"] = "0.15",
							["x"] = "0.69",
						},
						["wmLoc"] = {
							["y"] = "0.8422",
							["x"] = "0.6207",
						},
						["name"] = "Wildhammer Stronghold, Shadowmoon Valley",
						["zmLoc"] = {
							["y"] = "55.54",
							["x"] = "37.63",
						},
						["timers"] = {
							["Orebor Harborage, Zangarmarsh"] = 318,
							["Sylvanaar, Blade's Edge Mountains"] = 352,
							["Allerian Stronghold, Terokkar Forest"] = 102,
							["Telredor, Zangarmarsh"] = 262,
							["Toshley's Station, Blade's Edge Mountains"] = 413,
							["Altar of Sha'tar, Shadowmoon Valley"] = 84,
							["Shattrath, Terokkar Forest"] = 177,
						},
						["routes"] = {
							"Allerian Stronghold, Terokkar Forest", -- [1]
							"Altar of Sha'tar, Shadowmoon Valley", -- [2]
						},
					},
				},
				["Zangarmarsh"] = {
					["Telredor, Zangarmarsh"] = {
						["fmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.37",
						},
						["wmLoc"] = {
							["y"] = "0.4816",
							["x"] = "0.3969",
						},
						["name"] = "Telredor, Zangarmarsh",
						["zmLoc"] = {
							["y"] = "51.36",
							["x"] = "67.85",
						},
						["timers"] = {
							["Temple of Telhamat, Hellfire Peninsula"] = 82,
							["Shatter Point, Hellfire Peninsula"] = 226,
							["Allerian Stronghold, Terokkar Forest"] = 98,
							["Orebor Harborage, Zangarmarsh"] = 55,
							["Sylvanaar, Blade's Edge Mountains"] = 92,
							["Honor Hold, Hellfire Peninsula"] = 169,
							["Shattrath, Terokkar Forest"] = 98,
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 65,
							["Telaar, Nagrand"] = 125,
						},
						["routes"] = {
							"Orebor Harborage, Zangarmarsh", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Sylvanaar, Blade's Edge Mountains", -- [3]
							"Telaar, Nagrand", -- [4]
							"Temple of Telhamat, Hellfire Peninsula", -- [5]
						},
					},
					["Orebor Harborage, Zangarmarsh"] = {
						["fmLoc"] = {
							["y"] = "0.55",
							["x"] = "0.26",
						},
						["wmLoc"] = {
							["y"] = "0.4171",
							["x"] = "0.3205",
						},
						["name"] = "Orebor Harborage, Zangarmarsh",
						["zmLoc"] = {
							["y"] = "28.97",
							["x"] = "41.3",
						},
						["routes"] = {
							"Sylvanaar, Blade's Edge Mountains", -- [1]
							"Telredor, Zangarmarsh", -- [2]
						},
						["timers"] = {
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 65,
							["Sylvanaar, Blade's Edge Mountains"] = 66,
							["Telredor, Zangarmarsh"] = 55,
							["Shattrath, Terokkar Forest"] = 152,
							["Telaar, Nagrand"] = 180,
						},
					},
				},
				["Netherstorm"] = {
					["Area 52, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.57",
						},
						["wmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.53",
						},
						["name"] = "Area 52, Netherstorm",
						["zmLoc"] = {
							["y"] = "64.01",
							["x"] = "33.79",
						},
						["timers"] = {
							["Cosmowrench, Netherstorm"] = 66,
							["Sylvanaar, Blade's Edge Mountains"] = 128,
							["Wildhammer Stronghold, Shadowmoon Valley"] = 464,
							["Toshley's Station, Blade's Edge Mountains"] = 93,
							["The Stormspire, Netherstorm"] = 49,
							["Shattrath, Terokkar Forest"] = 308,
							["Allerian Stronghold, Terokkar Forest"] = 382,
							["Evergrove, Blade's Edge Mountains"] = 79,
						},
						["routes"] = {
							"Cosmowrench, Netherstorm", -- [1]
							"Evergrove, Blade's Edge Mountains", -- [2]
							"Sylvanaar, Blade's Edge Mountains", -- [3]
							"The Stormspire, Netherstorm", -- [4]
							"Toshley's Station, Blade's Edge Mountains", -- [5]
						},
					},
					["The Stormspire, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.81",
							["x"] = "0.62",
						},
						["wmLoc"] = {
							["y"] = "0.1426",
							["x"] = "0.5747",
						},
						["name"] = "The Stormspire, Netherstorm",
						["zmLoc"] = {
							["y"] = "34.85",
							["x"] = "45.29",
						},
						["timers"] = {
							["Sylvanaar, Blade's Edge Mountains"] = 167,
							["Area 52, Netherstorm"] = 60,
							["Toshley's Station, Blade's Edge Mountains"] = 152,
							["Cosmowrench, Netherstorm"] = 70,
							["Evergrove, Blade's Edge Mountains"] = 139,
						},
						["routes"] = {
							"Cosmowrench, Netherstorm", -- [1]
							"Sylvanaar, Blade's Edge Mountains", -- [2]
							"Sylvanaar, Blade's Edge Mountains", -- [3]
						},
					},
					["Cosmowrench, Netherstorm"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.71",
						},
						["wmLoc"] = {
							["y"] = "0.24",
							["x"] = "0.63",
						},
						["name"] = "Cosmowrench, Netherstorm",
						["zmLoc"] = {
							["y"] = "66.76",
							["x"] = "65.2",
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"The Stormspire, Netherstorm", -- [2]
						},
						["timers"] = {
							["The Stormspire, Netherstorm"] = 62,
							["Sylvanaar, Blade's Edge Mountains"] = 192,
							["Area 52, Netherstorm"] = 64,
						},
					},
				},
				["Shattrath City"] = {
					["Shattrath, Terokkar Forest"] = {
						["fmLoc"] = {
							["y"] = "0.32",
							["x"] = "0.43",
						},
						["wmLoc"] = {
							["y"] = "0.6575",
							["x"] = "0.4406",
						},
						["name"] = "Shattrath, Terokkar Forest",
						["zmLoc"] = {
							["y"] = "41.4",
							["x"] = "63.92",
						},
						["timers"] = {
							["Honor Hold, Hellfire Peninsula"] = 173,
							["Temple of Telhamat, Hellfire Peninsula"] = 85,
							["Orebor Harborage, Zangarmarsh"] = 140,
							["Allerian Stronghold, Terokkar Forest"] = 76,
							["Telredor, Zangarmarsh"] = 85,
							["Toshley's Station, Blade's Edge Mountains"] = 235,
							["Sylvanaar, Blade's Edge Mountains"] = 176,
							["Telaar, Nagrand"] = 89,
						},
						["routes"] = {
							"Allerian Stronghold, Terokkar Forest", -- [1]
							"Telaar, Nagrand", -- [2]
							"Telredor, Zangarmarsh", -- [3]
						},
					},
				},
				["Terokkar Forest"] = {
					["Allerian Stronghold, Terokkar Forest"] = {
						["fmLoc"] = {
							["y"] = "0.23",
							["x"] = "0.55",
						},
						["wmLoc"] = {
							["y"] = "0.757",
							["x"] = "0.5225",
						},
						["name"] = "Allerian Stronghold, Terokkar Forest",
						["zmLoc"] = {
							["y"] = "55.36",
							["x"] = "59.5",
						},
						["timers"] = {
							["Honor Hold, Hellfire Peninsula"] = 97,
							["Wildhammer Stronghold, Shadowmoon Valley"] = 80,
							["Temple of Telhamat, Hellfire Peninsula"] = 173,
							["Telredor, Zangarmarsh"] = 160,
							["Shattrath, Terokkar Forest"] = 75,
							["Telaar, Nagrand"] = 150,
							["Evergrove, Blade's Edge Mountains"] = 307,
						},
						["routes"] = {
							"Honor Hold, Hellfire Peninsula", -- [1]
							"Shattrath, Terokkar Forest", -- [2]
							"Telaar, Nagrand", -- [3]
							"Wildhammer Stronghold, Shadowmoon Valley", -- [4]
						},
					},
				},
				["Blade's Edge Mountains"] = {
					["Sylvanaar, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.65",
							["x"] = "0.31",
						},
						["wmLoc"] = {
							["y"] = "0.3123",
							["x"] = "0.3552",
						},
						["name"] = "Sylvanaar, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "61.48",
							["x"] = "37.85",
						},
						["timers"] = {
							["Telaar, Nagrand"] = 207,
							["Shatter Point, Hellfire Peninsula"] = 308,
							["Allerian Stronghold, Terokkar Forest"] = 256,
							["Toshley's Station, Blade's Edge Mountains"] = 58,
							["Evergrove, Blade's Edge Mountains"] = 54,
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 316,
							["Temple of Telhamat, Hellfire Peninsula"] = 164,
							["Orebor Harborage, Zangarmarsh"] = 66,
							["Telredor, Zangarmarsh"] = 82,
							["Area 52, Netherstorm"] = 120,
							["Shattrath, Terokkar Forest"] = 180,
							["Honor Hold, Hellfire Peninsula"] = 251,
							["The Stormspire, Netherstorm"] = 170,
						},
						["routes"] = {
							"Orebor Harborage, Zangarmarsh", -- [1]
							"Telredor, Zangarmarsh", -- [2]
							"Telredor, Zangarmarsh", -- [3]
							"The Stormspire, Netherstorm", -- [4]
							"The Stormspire, Netherstorm", -- [5]
							"Toshley's Station, Blade's Edge Mountains", -- [6]
						},
					},
					["Toshley's Station, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.62",
							["x"] = "0.41",
						},
						["wmLoc"] = {
							["y"] = "0.34",
							["x"] = "0.42",
						},
						["name"] = "Toshley's Station, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "70.53",
							["x"] = "61.08",
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Sylvanaar, Blade's Edge Mountains", -- [2]
						},
						["timers"] = {
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 376,
							["Temple of Telhamat, Hellfire Peninsula"] = 223,
							["Telredor, Zangarmarsh"] = 142,
							["Shatter Point, Hellfire Peninsula"] = 368,
							["Area 52, Netherstorm"] = 84,
							["Honor Hold, Hellfire Peninsula"] = 311,
							["Sylvanaar, Blade's Edge Mountains"] = 60,
							["Evergrove, Blade's Edge Mountains"] = 114,
						},
					},
					["Evergrove, Blade's Edge Mountains"] = {
						["fmLoc"] = {
							["y"] = "0.72",
							["x"] = "0.42",
						},
						["wmLoc"] = {
							["y"] = "0.24",
							["x"] = "0.42",
						},
						["name"] = "Evergrove, Blade's Edge Mountains",
						["zmLoc"] = {
							["y"] = "39.6",
							["x"] = "61.65",
						},
						["routes"] = {
							"Area 52, Netherstorm", -- [1]
							"Sylvanaar, Blade's Edge Mountains", -- [2]
						},
						["timers"] = {
							["Honor Hold, Hellfire Peninsula"] = 305,
							["Sylvanaar, Blade's Edge Mountains"] = 54,
							["Toshley's Station, Blade's Edge Mountains"] = 112,
							["Shatter Point, Hellfire Peninsula"] = 362,
							["Telredor, Zangarmarsh"] = 136,
							["Shattrath, Terokkar Forest"] = 232,
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 370,
							["Area 52, Netherstorm"] = 74,
						},
					},
				},
				["Nagrand"] = {
					["Telaar, Nagrand"] = {
						["fmLoc"] = {
							["y"] = "0.25",
							["x"] = "0.27",
						},
						["wmLoc"] = {
							["y"] = "0.7339",
							["x"] = "0.3259",
						},
						["name"] = "Telaar, Nagrand",
						["zmLoc"] = {
							["y"] = "75.07",
							["x"] = "54.16",
						},
						["routes"] = {
							"Shattrath, Terokkar Forest", -- [1]
							"Telredor, Zangarmarsh", -- [2]
							"Telredor, Zangarmarsh", -- [3]
						},
						["timers"] = {
							["Orebor Harborage, Zangarmarsh"] = 195,
							["Sylvanaar, Blade's Edge Mountains"] = 232,
							["Allerian Stronghold, Terokkar Forest"] = 122,
							["Shattrath, Terokkar Forest"] = 88,
							["Telredor, Zangarmarsh"] = 140,
							["Temple of Telhamat, Hellfire Peninsula"] = 222,
						},
					},
				},
				["Hellfire Peninsula"] = {
					["Hellfire Peninsula, The Dark Portal, Alliance"] = {
						["fmLoc"] = {
							["y"] = "0.45",
							["x"] = "0.78",
						},
						["wmLoc"] = {
							["y"] = "0.5277",
							["x"] = "0.6853",
						},
						["name"] = "Hellfire Peninsula, The Dark Portal, Alliance",
						["zmLoc"] = {
							["y"] = "52.38",
							["x"] = "87.37",
						},
						["timers"] = {
							["Honor Hold, Hellfire Peninsula"] = 69,
							["Temple of Telhamat, Hellfire Peninsula"] = 142,
							["Shatter Point, Hellfire Peninsula"] = 28,
							["Telredor, Zangarmarsh"] = 223,
							["Orebor Harborage, Zangarmarsh"] = 278,
							["Sylvanaar, Blade's Edge Mountains"] = 314,
							["Allerian Stronghold, Terokkar Forest"] = 188,
						},
						["routes"] = {
							"Honor Hold, Hellfire Peninsula", -- [1]
							"Shatter Point, Hellfire Peninsula", -- [2]
							"Temple of Telhamat, Hellfire Peninsula", -- [3]
						},
					},
					["Temple of Telhamat, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.49",
							["x"] = "0.52",
						},
						["wmLoc"] = {
							["y"] = "0.4828",
							["x"] = "0.5012",
						},
						["name"] = "Temple of Telhamat, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "37.22",
							["x"] = "25.13",
						},
						["timers"] = {
							["Orebor Harborage, Zangarmarsh"] = 136,
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 65,
							["Honor Hold, Hellfire Peninsula"] = 87,
							["Shatter Point, Hellfire Peninsula"] = 143,
							["Telredor, Zangarmarsh"] = 81,
							["Shattrath, Terokkar Forest"] = 179,
							["Allerian Stronghold, Terokkar Forest"] = 206,
							["Area 52, Netherstorm"] = 293,
						},
						["routes"] = {
							"Honor Hold, Hellfire Peninsula", -- [1]
							"Telredor, Zangarmarsh", -- [2]
						},
					},
					["Honor Hold, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.42",
							["x"] = "0.64",
						},
						["wmLoc"] = {
							["y"] = "0.5573",
							["x"] = "0.5887",
						},
						["name"] = "Honor Hold, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "62.38",
							["x"] = "54.71",
						},
						["routes"] = {
							"Allerian Stronghold, Terokkar Forest", -- [1]
							"Hellfire Peninsula, The Dark Portal, Alliance", -- [2]
							"Temple of Telhamat, Hellfire Peninsula", -- [3]
							"Temple of Telhamat, Hellfire Peninsula", -- [4]
						},
						["timers"] = {
							["Allerian Stronghold, Terokkar Forest"] = 119,
							["Temple of Telhamat, Hellfire Peninsula"] = 76,
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 65,
							["Shatter Point, Hellfire Peninsula"] = 57,
						},
					},
					["Shatter Point, Hellfire Peninsula"] = {
						["fmLoc"] = {
							["y"] = "0.5",
							["x"] = "0.74",
						},
						["wmLoc"] = {
							["y"] = "0.47",
							["x"] = "0.65",
						},
						["name"] = "Shatter Point, Hellfire Peninsula",
						["zmLoc"] = {
							["y"] = "34.99",
							["x"] = "78.47",
						},
						["routes"] = {
							"Hellfire Peninsula, The Dark Portal, Alliance", -- [1]
							"Honor Hold, Hellfire Peninsula", -- [2]
						},
						["timers"] = {
							["Hellfire Peninsula, The Dark Portal, Alliance"] = 33,
							["Honor Hold, Hellfire Peninsula"] = 57,
						},
					},
				},
			},
		},
	},
};


--
-- /script EFM_SF_mergeTable(EFM_ImportData, EFM_Data);
EFM_ImportData = {
};
