------------------------------------------------------------------------
--	AnkhCooldownTimerFu
--	by Phanx < addons AT phanx net >
--	This file adds FuBar support to AnkhCooldownTimer.
--	This addon is not to be redistributed, including as part of a
--	compilation, without the prior permission of the author.
------------------------------------------------------------------------

if select(2, UnitClass("player")) ~= "SHAMAN" then
	return DisableAddOn("FuBar_AnkhCooldownTimer")
end

local L = ANKHCOOLDOWNTIMER_LOCAL

local L2 = {
	SHOW		= "Show GUI",
	LOCK		= "Lock GUI",
	WARN		= "Low ankh warning",
	BUY		= "Auto ankh purchase",
	QUIET	= "Be quiet!"
}

local atext, ctext

AnkhCooldownTimerFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceEvent-2.0", "AceDB-2.0")
AnkhCooldownTimerFu:RegisterDB("AnkhCooldownTimerFuDB")

AnkhCooldownTimerFu.blizzardTooltip = true
AnkhCooldownTimerFu.cannotAttachToMinimap = true
AnkhCooldownTimerFu.cannotDetachTooltip = true
AnkhCooldownTimerFu.category = "Shaman"
AnkhCooldownTimerFu.hasIcon = "Interface\\AddOns\\AnkhCooldownTimer\\Icon"
AnkhCooldownTimerFu.hasNoColor = true
AnkhCooldownTimerFu.hideWithoutStandby = false
AnkhCooldownTimerFu.independentProfile = false

function AnkhCooldownTimerFu:OnEnable()
	self:ScheduleRepeatingEvent(self.UpdateText, 1, self)
end

function AnkhCooldownTimerFu:OnTextUpdate()
	ctext, atext = AnkhCooldownTimer:GetFormattedStrings()
	self:SetText(ctext.." ("..atext..")")
end

function AnkhCooldownTimerFu:OnTooltipUpdate()
	GameTooltip:AddDoubleLine("Ankh Cooldown Timer")
	GameTooltip:AddLine(" ")

	GameTooltip:AddDoubleLine(L.ANKHS..":", atext)
	GameTooltip:AddDoubleLine(L.COOLDOWN..":", ctext)

	local cooldown = AnkhCooldownTimer:GetAbilityCooldown()
	GameTooltip:AddDoubleLine(L.ABILITY..":", cooldown and (cooldown.." "..L.MIN) or ("|cff999999"..L.NA.."|r"))

	local lastUsed = AnkhCooldownTimer:GetLastReincarnation()
	GameTooltip:AddDoubleLine(L.LAST..":", lastUsed ~= 0 and date("%c", tonumber(lastUsed) + 1100304000) or ("|cff999999"..L.NA.."|r"))
end

AnkhCooldownTimerFu.OnMenuRequest = {
	type = "group",
	args = {
		showgui = {
			name = L2.SHOW,
			desc = L.HELP_SHOW,
			type = "toggle",
			get = function() return AnkhCooldownTimer:IsGUIShown() end,
			set = function(v) AnkhCooldownTimer:ToggleGUIShown() end,
			order = 100,
		},
		lockgui = {
			name = L2.LOCK,
			desc = L.HELP_LOCK,
			type = "toggle",
			get = function() return AnkhCooldownTimer:IsGUILocked() end,
			set = function(v) AnkhCooldownTimer:ToggleGUILocked() end,
			disabled = function() return not AnkhCooldownTimer:IsGUIShown() end,
			order = 101,
		},
		warn = {
			name = L2.WARN,
			desc = L.HELP_WARN,
			type = "range",
			min = 0,
			max = 20,
			step = 1,
			get = function() return AnkhCooldownTimer:GetWarning() end,
			set = function(v) AnkhCooldownTimer:SetWarning(v) end,
			order = 102,
		},
		buy = {
			name = L2.BUY,
			desc = L.HELP_BUY,
			type = "range",
			min = 0,
			max = 20,
			step = 1,
			get = function() return AnkhCooldownTimer:GetBuying() end,
			set = function(v) AnkhCooldownTimer:SetBuying(v) end,
			order = 103,
		},
		quiet = {
			name = L2.QUIET,
			desc = L.HELP_QUIET,
			type = "toggle",
			get = function() return AnkhCooldownTimer:IsQuiet() end,
			set = function(v) AnkhCooldownTimer:ToggleQuiet() end,
			order = 104,
		}
	}
}