setfenv(1, MicroMenu.fenv)

GetNetStats = GetNetStats
max = max
min = min

--[[----------------------------------------------------------------------------
Local to module
------------------------------------------------------------------------------]]
local default_texCoord, mainMenu_texCoord = { 5/32, 27/32, 31/64, 58/64 }, { 4/32, 28/32, 33/64, 53/64 }

local function Character_UpdateIcon()
	SetPortraitTexture(buttons[get_index('Character')].texture, 'player')
end

local latency
local function MainMenu_ExtendTooltip()
	GameTooltip:AddLine(" ")
	GameTooltip:AddLine(format(MAINMENUBAR_LATENCY_LABEL, latency or select(3, GetNetStats())), HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b)
	GameTooltip:AddLine(format(MAINMENUBAR_FPS_LABEL, GetFramerate()), HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b)
end

local function MainMenu_OnUpdate(self, elapsed)
	self.updateInterval = self.updateInterval - elapsed
	if self.updateInterval <= 0 then
		self.updateInterval = 12
		_, _, latency = GetNetStats()
		self.overlay:SetVertexColor(min(latency / LATENCY_MID_RANGE, 1), 1 - min(max(latency - LATENCY_MID_RANGE, 0) / LATENCY_MID_RANGE, 1), 0)
	end
end

--[[----------------------------------------------------------------------------
Global to addon
------------------------------------------------------------------------------]]
menuData = {
	{ background = true,
	  frame = 'CharacterFrame',
	  keyBind = 'TOGGLECHARACTER0',
	  name = 'Character',
	  setIcon = Character_UpdateIcon,
	  texCoord = { 0.1, 0.9, 0.0666, 0.9 },
	  title = CHARACTER_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_CHARACTER },

	{ frame = 'SpellBookFrame',
	  name = 'Spellbook',
	  keyBind = PlayerHasSpells() and 'TOGGLESPELLBOOK' or 'TOGGLEABILITYBOOK',
	  texCoord = default_texCoord,
	  title = PlayerHasSpells() and SPELLBOOK_ABILITIES_BUTTON or ABILITYBOOK_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_SPELLBOOK },

	{ frame = 'PlayerTalentFrame',
	  keyBind = 'TOGGLETALENTS',
	  name = 'Talents',
	  texCoord = default_texCoord,
	  title = TALENTS_BUTTON,
	  toggle = 'ToggleTalentFrame',
	  tooltip = NEWBIE_TOOLTIP_TALENTS },

	{ frame = 'AchievementFrame',
	  keyBind = 'TOGGLEACHIEVEMENT',
	  name = 'Achievement',
	  texCoord = default_texCoord,
	  title = ACHIEVEMENT_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_ACHIEVEMENT },

	{ frame = 'QuestLogFrame',
	  keyBind = 'TOGGLEQUESTLOG',
	  name = 'Quest',
	  texCoord = default_texCoord,
	  title = QUESTLOG_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_QUESTLOG },

	{ frame = 'FriendsFrame',
	  keyBind = 'TOGGLESOCIAL',
	  name = 'Socials',
	  texCoord = default_texCoord,
	  title = SOCIAL_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_SOCIAL },

	{ background = true,
	  frame = 'PVPFrame',
	  keyBind = 'TOGGLEPVP',
	  name = 'PVP',
	  setIcon = function(self) self.texture:SetTexture([[Interface\TargetingFrame\UI-PVP-]] .. UnitFactionGroup('player')) end,
	  texCoord = { 4/64, 38/64, 2/64, 38/64 },
	  title = PLAYER_V_PLAYER,
	  tooltip = NEWBIE_TOOLTIP_PVP },

	{ frame = 'LFGParentFrame',
	  keyBind = 'TOGGLELFGPARENT',
	  name = 'LFG',
	  texCoord = default_texCoord,
	  title = LFG_BUTTON,
	  tooltip =  NEWBIE_TOOLTIP_LFGPARENT },

	{ frame = 'GameMenuFrame',
	  frames = { 'AudioOptionsFrame', 'InterfaceOptionsFrame', 'KeyBindingFrame', 'MacroFrame', 'VideoOptionsFrame' },
	  keyBind = 'TOGGLEGAMEMENU',
	  name = 'MainMenu',
	  onUpdate = MainMenu_OnUpdate,
	  overlay = { texture = format([[Interface\AddOns\FuBar_%s\LatencyOverlay]], title), texCoord = mainMenu_texCoord },
	  texCoord = mainMenu_texCoord,
	  texture = format([[Interface\AddOns\FuBar_%s\MainMenu]], title),
	  title = MAINMENU_BUTTON,
	  tooltip = NEWBIE_TOOLTIP_MAINMENU,
	  tooltipExtend = MainMenu_ExtendTooltip },

	{ frame = 'HelpFrame',
	  name = 'Help',
	  texCoord = default_texCoord,
	  title = HELP_BUTTON,
	  toggle = 'ToggleHelpFrame',
	  tooltip =  NEWBIE_TOOLTIP_HELP }
}

--[[----------------------------------------------------------------------------
Initialize module
------------------------------------------------------------------------------]]
addon:RegisterEvent('UNIT_PORTRAIT_UPDATE', Character_UpdateIcon)

menuOrderDefault = { }
for i = 1, #menuData do
	menuOrderDefault[i] = i
end
