
EL_Types = {
	[1] = "Affection",
	[2] = "Combat",
	[3] = "Custom",
	[4] = "Friendly",
	[5] = "Greetings",
	[6] = "Happy",
	[7] = "Hostile",
	[8] = "Neutral",
	[9] = "Other",
	[10] = "Reactions",
	[11] = "SelfDepreciating",
	[12] = "Taunts",
	[13] = "Unhappy",
}

EL_React = {
	[0] = "",
	[1] = "A",
	[2] = "V",
	[3] = "AV",
}

-- CUSTOM EMOTE VARIABLES: <Target>, <He>, <His>, <he>, <his>
-- The text for custom emotes should NOT contain the player's name at the beginning. It will be sent with a /e preceeding it.
-- NOTE: They MUST start with category 3, no matter how many other categories are added.
-- ALSO NOTE: If you add a custom emote, you MUST include the "["custom"] = {1}," line or it will be improperly indexed as having a slash command!

EL_Emotes = {
	["escape"] = { -- CUSTOM EMOTE
		["types"] = {3},
		["none"] = "coughs nervously and looks for an escape.",
		["target"] = "coughs nervously at <Target> and looks for an escape.",
		["react"] = 0,
		["custom"] = {1},
	},
	["bio"] = { -- CUSTOM EMOTE
		["types"] = {3,9},
		["none"] = "needs to take a bio break.",
		["target"] = "tells <Target> that <he> needs a bio break.",
		["react"] = 0,
		["custom"] = {1},
	},
	["bladeintro"] = { -- CUSTOM EMOTE
		["types"] = {3,7},
		["none"] = "wants to introduce <his> blade to someone.",
		["target"] = "wants to introduce <Target> to <his> blade.",
		["react"] = 0,
		["custom"] = {1},
	},
	["absent"] = { -- Begin Blizzard emotes
		["types"] = {9,11},
		["none"] = "You look absent-minded.",
		["target"] = "You look at <Target> absently.",
		["react"] = 1,
		["custom"] = {0},
	},
	["agree"] = {
		["types"] = {10},
		["none"] = "You agree.",
		["target"] = "You agree with <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["amaze"] = {
		["types"] = {10},
		["none"] = "You are amazed!",
		["target"] = "You are amazed by <Target>!",
		["react"] = 0,
		["custom"] = {0},
	},
	["angry"] = {
		["types"] = {7},
		["none"] = "You raise your fist in anger.",
		["target"] = "You raise your fist in anger at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["apologize"] = {
		["types"] = {11},
		["none"] = "You apologize to everyone. Sorry!",
		["target"] = "You apologize to <Target>. Sorry!",
		["react"] = 0,
		["custom"] = {0},
	},
	["applaud"] = {
		["types"] = {10},
		["none"] = "You applaud. Bravo!",
		["target"] = "You applaud at <Target>. Bravo!",
		["react"] = 3,
		["custom"] = {0},
	},
	["arm"] = {
		["types"] = {1},
		["none"] = "You stretch your arms out.",
		["target"] = "You put your arm around <Target>'s shoulder.",
		["react"] = 0,
		["custom"] = {0},
	},
	["attacktarget"] = {
		["types"] = {2},
		["none"] = "You tell everyone to attack something.",
		["target"] = "You tell everyone to attack <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["awe"] = {
		["types"] = {10},
		["none"] = "You look around in awe.",
		["target"] = "You stare at <Target> in awe.",
		["react"] = 0,
		["custom"] = {0},
	},
	["backpack"] = {
		["types"] = {9},
		["none"] = "You dig through your backpack.",
		["target"] = "You dig through your backpack.",
		["react"] = 0,
		["custom"] = {0},
	},
	["badfeeling"] = {
		["types"] = {9},
		["none"] = "You have a bad feeling about this...",
		["target"] = "You have a bad feeling about <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["bark"] = {
		["types"] = {9},
		["none"] = "You bark. Woof woof!",
		["target"] = "You bark at <Target>",
		["react"] = 0,
		["custom"] = {0},
	},
	["bashful"] = {
		["types"] = {1},
		["none"] = "You are bashful.",
		["target"] = "You are so bashful...too bashful to get <Target>'s attention.",
		["react"] = 1,
		["custom"] = {0},
	},
	["beckon"] = {
		["types"] = {5},
		["none"] = "You beckon everyone over to you.",
		["target"] = "You beckon <Target> over.",
		["react"] = 0,
		["custom"] = {0},
	},
	["beg"] = {
		["types"] = {11},
		["none"] = "You beg everyone around you. How pathetic.",
		["target"] = "You beg <Target>. How pathetic.",
		["react"] = 1,
		["custom"] = {0},
	},
	["belch"] = {
		["types"] = {12},
		["none"] = "You let out a loud belch.",
		["target"] = "You burp rudely in <Target>'s face.",
		["react"] = 0,
		["custom"] = {0},
	},
	["bite"] = {
		["types"] = {7},
		["none"] = "You look around for someone to bite.",
		["target"] = "You bite <Target>. Ouch!",
		["react"] = 0,
		["custom"] = {0},
	},
	["blame"] = {
		["types"] = {11,13},
		["none"] = "You blame yourself for what happened.",
		["target"] = "You blame <Target> for everything.",
		["react"] = 1,
		["custom"] = {0},
	},
	["blank"] = {
		["types"] = {8,10},
		["none"] = "You stare blankly at your surroundings.",
		["target"] = "You stare blankly at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["bleed"] = {
		["types"] = {9},
		["none"] = "Blood oozes from your wounds.",
		["target"] = "Blood oozes from your wounds.",
		["react"] = 0,
		["custom"] = {0},
	},
	["blink"] = {
		["types"] = {10},
		["none"] = "You blink your eyes.",
		["target"] = "You blink at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["blush"] = {
		["types"] = {1},
		["none"] = "You blush.",
		["target"] = "You blush at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["boggle"] = {
		["types"] = {10},
		["none"] = "You boggle at the situation.",
		["target"] = "You boggle at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["bonk"] = {
		["types"] = {10},
		["none"] = "You bonk yourself on the noggin. Doh!",
		["target"] = "You bonk <Target> on the noggin. Doh!",
		["react"] = 0,
		["custom"] = {0},
	},
	["bored"] = {
		["types"] = {13},
		["none"] = "You are overcome with boredom. Oh the drudgery!",
		["target"] = "You are terribly bored with <Target>.",
		["react"] = 2,
		["custom"] = {0},
	},
	["bounce"] = {
		["types"] = {6},
		["none"] = "You bounce up and down.",
		["target"] = "You bounce up and down in front of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["bow"] = {
		["types"] = {5},
		["none"] = "You bow down graciously.",
		["target"] = "You bow before <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["brandish"] = {
		["types"] = {2,7},
		["none"] = "You brandish your weapon fiercely.",
		["target"] = "You brandish your weapon fiercely at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["breath"] = {
		["types"] = {8,10},
		["none"] = "You take a deep breath.",
		["target"] = "You tell <Target> to take a deep breath.",
		["react"] = 0,
		["custom"] = {0},
	},
	["cackle"] = {
		["types"] = {6},
		["none"] = "You cackle maniacally at the situation.",
		["target"] = "You cackle maniacally at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["calm"] = {
		["types"] = {8},
		["none"] = "You remain calm.",
		["target"] = "You try to calm <Target> down.",
		["react"] = 0,
		["custom"] = {0},
	},
	["challenge"] = {
		["types"] = {2,7},
		["none"] = "You put out a challenge to everyone. Bring it on!",
		["target"] = "You challenge <Target> to a duel.",
		["react"] = 0,
		["custom"] = {0},
	},
	["charge"] = {
		["types"] = {2},
		["none"] = "You start to charge.",
		["target"] = "You start to charge.",
		["react"] = 3,
		["custom"] = {0},
	},
	["charm"] = {
		["types"] = {1},
		["none"] = "You put on the charm.",
		["target"] = "You think <Target> is charming.",
		["react"] = 0,
		["custom"] = {0},
	},
	["cheer"] = {
		["types"] = {6,10},
		["none"] = "You cheer!",
		["target"] = "You cheer at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["chicken"] = {
		["types"] = {12},
		["none"] = "With arms flapping, you strut around. Cluck, Cluck, Chicken!",
		["target"] = "With arms flapping, you strut around <Target>. Cluck, Cluck, Chicken!",
		["react"] = 3,
		["custom"] = {0},
	},
	["chuckle"] = {
		["types"] = {6},
		["none"] = "You let out a hearty chuckle.",
		["target"] = "You chuckle at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["chug"] = {
		["types"] = {9},
		["none"] = "You take a mighty quaff of your beverage.",
		["target"] = "You encourage <Target> to chug. CHUG! CHUG! CHUG!.",
		["react"] = 0,
		["custom"] = {0},
	},
	["clap"] = {
		["types"] = {6,10},
		["none"] = "You clap excitedly.",
		["target"] = "You clap excitedly for <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["cold"] = {
		["types"] = {9},
		["none"] = "You let everyone know that you are cold.",
		["target"] = "You let <Target> know that you are cold.",
		["react"] = 0,
		["custom"] = {0},
	},
	["comfort"] = {
		["types"] = {1},
		["none"] = "You need to be comforted.",
		["target"] = "You comfort <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["commend"] = {
		["types"] = {2},
		["none"] = "You commend everyone on a job well done.",
		["target"] = "You commend <Target> on a job well done.",
		["react"] = 3,
		["custom"] = {0},
	},
	["confused"] = {
		["types"] = {11,10},
		["none"] = "You are hopelessly confused.",
		["target"] = "You look at <Target> with a confused look.",
		["react"] = 1,
		["custom"] = {0},
	},
	["congrats"] = {
		["types"] = {2,10},
		["none"] = "You congratulate everyone around you.",
		["target"] = "You congratulate <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["cough"] = {
		["types"] = {9},
		["none"] = "You let out a hacking cough.",
		["target"] = "You cough at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["coverears"] = {
		["types"] = {9,10},
		["none"] = "You cover your ears.",
		["target"] = "You cover <Target>'s ears.",
		["react"] = 0,
		["custom"] = {0},
	},
	["cower"] = {
		["types"] = {11},
		["none"] = "You cower in fear.",
		["target"] = "You cower in fear at the sight of <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["crack"] = {
		["types"] = {7},
		["none"] = "You crack your knuckles.",
		["target"] = "You crack your knuckles while staring at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["crossarms"] = {
		["types"] = {10,13},
		["none"] = "You cross your arms.",
		["target"] = "You cross your arms at <Target>. Hmph!",
		["react"] = 0,
		["custom"] = {0},
	},
	["cringe"] = {
		["types"] = {11},
		["none"] = "You cringe in fear.",
		["target"] = "You cringe away from <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["cry"] = {
		["types"] = {13},
		["none"] = "You cry.",
		["target"] = "You cry on <Target>'s shoulder.",
		["react"] = 3,
		["custom"] = {0},
	},
	["cuddle"] = {
		["types"] = {1},
		["none"] = "You need to be cuddled.",
		["target"] = "You cuddle up against <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["curious"] = {
		["types"] = {10},
		["none"] = "You express your curiosity to those around you.",
		["target"] = "You are curious what <Target> is up to.",
		["react"] = 1,
		["custom"] = {0},
	},
	["curtsey"] = {
		["types"] = {5},
		["none"] = "You curtsey.",
		["target"] = "You curtsey before <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["dance"] = {
		["types"] = {6,1},
		["none"] = "You burst into dance.",
		["target"] = "You dance with <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["ding"] = {
		["types"] = {6},
		["none"] = "You reached a new level. DING!",
		["target"] = "You congratulate <Target> on a new level. DING!",
		["react"] = 0,
		["custom"] = {0},
	},
	["disagree"] = {
		["types"] = {10},
		["none"] = "You disagree.",
		["target"] = "You disagree with <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["doom"] = {
		["types"] = {7},
		["none"] = "You threaten everyone with the wrath of doom.",
		["target"] = "You threaten <Target> with the wrath of doom.",
		["react"] = 0,
		["custom"] = {0},
	},
	["doubt"] = {
		["types"] = {10,13},
		["none"] = "You doubt the situation will end in your favor.",
		["target"] = "You doubt <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["drink"] = {
		["types"] = {4},
		["none"] = "You raise a drink in the air before chugging it down. Cheers!",
		["target"] = "You raise a drink to <Target>. Cheers!",
		["react"] = 1,
		["custom"] = {0},
	},
	["drool"] = {
		["types"] = {9},
		["none"] = "A tendril of drool runs down your lip.",
		["target"] = "You look at <Target> and begin to drool.",
		["react"] = 0,
		["custom"] = {0},
	},
	["duck"] = {
		["types"] = {10},
		["none"] = "You duck for cover.",
		["target"] = "You duck behind <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["eat"] = {
		["types"] = {9},
		["none"] = "You begin to eat.",
		["target"] = "You begin to eat in front of <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["embarrass"] = {
		["types"] = {11},
		["none"] = "You flush with embarrassment.",
		["target"] = "You are embarrassed by <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["encourage"] = {
		["types"] = {4},
		["none"] = "You encourage everyone around you.",
		["target"] = "You encourage <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["enemy"] = {
		["types"] = {2,10},
		["none"] = "You warn everyone that an enemy is near.",
		["target"] = "You warn <Target> that an enemy is near.",
		["react"] = 0,
		["custom"] = {0},
	},
	["excited"] = {
		["types"] = {4},
		["none"] = "You talk excitedly with everyone.",
		["target"] = "You talk excitedly with <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["eye"] = {
		["types"] = {9},
		["none"] = "You cross your eyes.",
		["target"] = "You eye <Target> up and down.",
		["react"] = 0,
		["custom"] = {0},
	},
	["eyebrow"] = {
		["types"] = {10},
		["none"] = "You raise your eyebrow inquisitively.",
		["target"] = "You raise your eyebrow inquisitively at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["facepalm"] = {
		["types"] = {10},
		["none"] = "You cover your face with your palms.",
		["target"] = "You look at <Target> and cover your face with your palms.",
		["react"] = 0,
		["custom"] = {0},
	},
	["fail"] = {
		["types"] = {9,11},
		["none"] = "You have failed.",
		["target"] = "You think <Target> has failed.",
		["react"] = 0,
		["custom"] = {0},
	},
	["faint"] = {
		["types"] = {10},
		["none"] = "You faint.",
		["target"] = "You faint at the sight of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["fart"] = {
		["types"] = {12,11},
		["none"] = "You fart loudly. Whew...what stinks?",
		["target"] = "You brush up against <Target> and fart loudly.",
		["react"] = 0,
		["custom"] = {0},
	},
	["fidget"] = {
		["types"] = {13},
		["none"] = "You fidget.",
		["target"] = "You fidget impatiently while waiting for <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["flee"] = {
		["types"] = {2},
		["none"] = "You yell for everyone to flee!",
		["target"] = "You yell for everyone to flee!",
		["react"] = 3,
		["custom"] = {0},
	},
	["flex"] = {
		["types"] = {1},
		["none"] = "You flex your muscles. Oooooh so strong!",
		["target"] = "You flex at <Target>. Oooooh so strong!",
		["react"] = 1,
		["custom"] = {0},
	},
	["flirt"] = {
		["types"] = {1},
		["none"] = "You flirt.",
		["target"] = "You flirt with <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["flop"] = {
		["types"] = {11},
		["none"] = "You flop about helplessly.",
		["target"] = "You flop about helplessly around <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["followme"] = {
		["types"] = {2},
		["none"] = "You motion for everyone to follow.",
		["target"] = "You motion for <Target> to follow.",
		["react"] = 3,
		["custom"] = {0},
	},
	["frown"] = {
		["types"] = {13},
		["none"] = "You frown.",
		["target"] = "You frown with disappointment at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["gasp"] = {
		["types"] = {10},
		["none"] = "You gasp.",
		["target"] = "You gasp at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["gaze"] = {
		["types"] = {9},
		["none"] = "You gaze off into the distance.",
		["target"] = "You gaze eagerly at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["giggle"] = {
		["types"] = {6},
		["none"] = "You giggle.",
		["target"] = "You giggle at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["glare"] = {
		["types"] = {7},
		["none"] = "You glare angrily.",
		["target"] = "You glare angrily at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["gloat"] = {
		["types"] = {12},
		["none"] = "You gloat over everyone's misfortune.",
		["target"] = "You gloat over <Target>'s misfortune.",
		["react"] = 3,
		["custom"] = {0},
	},
	["glower"] = {
		["types"] = {7},
		["none"] = "You glower at everyone around you.",
		["target"] = "You glower at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["go"] = {
		["types"] = {9},
		["none"] = "You tell everyone to go.",
		["target"] = "You tell <Target> to go.",
		["react"] = 0,
		["custom"] = {0},
	},
	["going"] = {
		["types"] = {1},
		["none"] = "You must be going.",
		["target"] = "You tell <Target> that you must be going.",
		["react"] = 0,
		["custom"] = {0},
	},
	["golfclap"] = {
		["types"] = {12},
		["none"] = "You clap half heartedly, clearly unimpressed.",
		["target"] = "You clap for <Target>, clearly unimpressed.",
		["react"] = 3,
		["custom"] = {0},
	},
	["goodbye"] = {
		["types"] = {5},
		["none"] = "You wave goodbye to everyone. Farewell!",
		["target"] = "You wave goodbye to <Target>. Farewell!",
		["react"] = 3,
		["custom"] = {0},
	},
	["goodluck"] = {
		["types"] = {4},
		["none"] = "You wish for some good luck.",
		["target"] = "You wish <Target> good luck.",
		["react"] = 0,
		["custom"] = {0},
	},
	["greet"] = {
		["types"] = {5},
		["none"] = "You greet everyone warmly.",
		["target"] = "You greet <Target> warmly.",
		["react"] = 1,
		["custom"] = {0},
	},
	["grin"] = {
		["types"] = {6},
		["none"] = "You grin wickedly.",
		["target"] = "You grin wickedly at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["groan"] = {
		["types"] = {9},
		["none"] = "You begin to groan.",
		["target"] = "You look at <Target> and groan.",
		["react"] = 0,
		["custom"] = {0},
	},
	["grovel"] = {
		["types"] = {11},
		["none"] = "You grovel on the ground, wallowing in subservience.",
		["target"] = "You grovel before <Target> like a subservient peon.",
		["react"] = 1,
		["custom"] = {0},
	},
	["growl"] = {
		["types"] = {7},
		["none"] = "You growl menacingly.",
		["target"] = "You growl menacingly at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["guffaw"] = {
		["types"] = {6},
		["none"] = "You let out a boisterous guffaw!",
		["target"] = "You take one look at <Target> and let out a guffaw!",
		["react"] = 3,
		["custom"] = {0},
	},
	["hail"] = {
		["types"] = {5},
		["none"] = "You hail those around you.",
		["target"] = "You hail <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["happy"] = {
		["types"] = {6},
		["none"] = "You are filled with happiness!",
		["target"] = "You are very happy with <Target>!",
		["react"] = 0,
		["custom"] = {0},
	},
	["headache"] = {
		["types"] = {10},
		["none"] = "You are getting a headache.",
		["target"] = "You are getting a headache from <Target>'s antics.",
		["react"] = 0,
		["custom"] = {0},
	},
	["healme"] = {
		["types"] = {2},
		["none"] = "You call out for healing!",
		["target"] = "You call out for healing!",
		["react"] = 3,
		["custom"] = {0},
	},
	["hello"] = {
		["types"] = {5},
		["none"] = "You greet everyone with a hearty hello!",
		["target"] = "You greet <Target> with a hearty hello!",
		["react"] = 3,
		["custom"] = {0},
	},
	["helpme"] = {
		["types"] = {2},
		["none"] = "You cry out for help!",
		["target"] = "You cry out for help!",
		["react"] = 3,
		["custom"] = {0},
	},
	["hiccup"] = {
		["types"] = {9},
		["none"] = "You hiccup loudly.",
		["target"] = "You hiccup loudly.",
		["react"] = 0,
		["custom"] = {0},
	},
	["highfive"] = {
		["types"] = {6},
		["none"] = "You put up your hand for a high five.",
		["target"] = "You give <Target> a high five!",
		["react"] = 0,
		["custom"] = {0},
	},
	["hiss"] = {
		["types"] = {7,10},
		["none"] = "You hiss at everyone around you.",
		["target"] = "You hiss at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["holdhand"] = {
		["types"] = {1},
		["none"] = "You wish someone would hold your hand.",
		["target"] = "You hold <Target>'s hand.",
		["react"] = 0,
		["custom"] = {0},
	},
	["hug"] = {
		["types"] = {1},
		["none"] = "You need a hug!",
		["target"] = "You hug <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["hungry"] = {
		["types"] = {8},
		["none"] = "You are hungry!",
		["target"] = "You are hungry. Maybe <Target> has some food...",
		["react"] = 0,
		["custom"] = {0},
	},
	["hurry"] = {
		["types"] = {9},
		["none"] = "You try to pick up the pace.",
		["target"] = "You tell <Target> to hurry up.",
		["react"] = 0,
		["custom"] = {0},
	},
	["idea"] = {
		["types"] = {9},
		["none"] = "You have an idea!",
		["target"] = "You have an idea!",
		["react"] = 0,
		["custom"] = {0},
	},
	["incoming"] = {
		["types"] = {2},
		["none"] = "You yell incoming enemies!",
		["target"] = "You yell incoming enemies!",
		["react"] = 3,
		["custom"] = {0},
	},
	["insult"] = {
		["types"] = {12},
		["none"] = "You think everyone around you is a son of a motherless ogre.",
		["target"] = "You think <Target> is the son of a motherless ogre.",
		["react"] = 1,
		["custom"] = {0},
	},
	["introduce"] = {
		["types"] = {5},
		["none"] = "You introduce yourself to everyone.",
		["target"] = "You introduce yourself to <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["jealous"] = {
		["types"] = {8},
		["none"] = "You are jealous of everyone around you.",
		["target"] = "You are jealous of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["jk"] = {
		["types"] = {9},
		["none"] = "You were just kidding!",
		["target"] = "You let <Target> know that you were just kidding!",
		["react"] = 0,
		["custom"] = {0},
	},
	["kiss"] = {
		["types"] = {1},
		["none"] = "You blow a kiss into the wind.",
		["target"] = "You blow a kiss to <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["kneel"] = {
		["types"] = {8},
		["none"] = "You kneel down.",
		["target"] = "You kneel before <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["laugh"] = {
		["types"] = {6},
		["none"] = "You laugh.",
		["target"] = "You laugh at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["lavish"] = {
		["types"] = {4},
		["none"] = "You praise the Light.",
		["target"] = "You lavish praise upon <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["lay"] = {
		["types"] = {8},
		["none"] = "You lie down.",
		["target"] = "You lie down before <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["lick"] = {
		["types"] = {1},
		["none"] = "You lick your lips.",
		["target"] = "You lick <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["listen"] = {
		["types"] = {4},
		["none"] = "You are listening!",
		["target"] = "You listen intently to <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["look"] = {
		["types"] = {9},
		["none"] = "You look around.",
		["target"] = "You look at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["lost"] = {
		["types"] = {13},
		["none"] = "You are hopelessly lost.",
		["target"] = "You want <Target> to know that you are hopelessly lost.",
		["react"] = 1,
		["custom"] = {0},
	},
	["love"] = {
		["types"] = {1},
		["none"] = "You feel the love.",
		["target"] = "You love <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["luck"] = {
		["types"] = {4},
		["none"] = "You wish everyone good luck.",
		["target"] = "You wish <Target> the best of luck.",
		["react"] = 0,
		["custom"] = {0},
	},
	["map"] = {
		["types"] = {9},
		["none"] = "You pull out your map.",
		["target"] = "You pull out your map.",
		["react"] = 0,
		["custom"] = {0},
	},
	["massage"] = {
		["types"] = {1},
		["none"] = "You need a massage!",
		["target"] = "You massage <Target>'s shoulders.",
		["react"] = 0,
		["custom"] = {0},
	},
	["mercy"] = {
		["types"] = {2},
		["none"] = "You plead for mercy.",
		["target"] = "You plead with <Target> for mercy.",
		["react"] = 1,
		["custom"] = {0},
	},
	["moan"] = {
		["types"] = {1},
		["none"] = "You moan suggestively.",
		["target"] = "You moan suggestively at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["mock"] = {
		["types"] = {13},
		["none"] = "You mock life and all it stands for.",
		["target"] = "You mock the foolishness of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["moo"] = {
		["types"] = {5},
		["none"] = "Mooooooooooo.",
		["target"] = "You moo at <Target>. Mooooooooooo.",
		["react"] = 2,
		["custom"] = {0},
	},
	["moon"] = {
		["types"] = {12},
		["none"] = "You drop your trousers and moon everyone.",
		["target"] = "You drop your trousers and moon <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["mourn"] = {
		["types"] = {9},
		["none"] = "In quiet contemplation, you mourn the loss of the dead.",
		["target"] = "In quiet contemplation, you mourn the death of <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["mutter"] = {
		["types"] = {13},
		["none"] = "You mutter angrily to yourself. Hmmmph!",
		["target"] = "You mutter angrily at <Target>. Hmmmph!",
		["react"] = 0,
		["custom"] = {0},
	},
	["nervous"] = {
		["types"] = {11},
		["none"] = "You look around nervously.",
		["target"] = "You look at <Target> nervously.",
		["react"] = 0,
		["custom"] = {0},
	},
	["no"] = {
		["types"] = {8},
		["none"] = "You clearly state, NO.",
		["target"] = "You tell <Target> NO. Not going to happen.",
		["react"] = 3,
		["custom"] = {0},
	},
	["nod"] = {
		["types"] = {8},
		["none"] = "You nod.",
		["target"] = "You nod at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["nosepick"] = {
		["types"] = {9},
		["none"] = "With a finger deep in one nostril, you pass the time.",
		["target"] = "You pick your nose and show it to <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["object"] = {
		["types"] = {10},
		["none"] = "You OBJECT!.",
		["target"] = "You object to <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["offer"] = {
		["types"] = {9},
		["none"] = "You want to make an offer.",
		["target"] = "You attempt to make <Target> an offer they can't refuse.",
		["react"] = 0,
		["custom"] = {0},
	},
	["oom"] = {
		["types"] = {2},
		["none"] = "You announce that you have low mana!",
		["target"] = "You announce that you have low mana!",
		["react"] = 3,
		["custom"] = {0},
	},
	["openfire"] = {
		["types"] = {2},
		["none"] = "You give the order to open fire.",
		["target"] = "You give the order to open fire.",
		["react"] = 3,
		["custom"] = {0},
	},
	["panic"] = {
		["types"] = {11},
		["none"] = "You run around in a frenzied state of panic.",
		["target"] = "You take one look at <Target> and panic.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pat"] = {
		["types"] = {1},
		["none"] = "You need a pat.",
		["target"] = "You gently pat <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["peer"] = {
		["types"] = {8},
		["none"] = "You peer around, searchingly.",
		["target"] = "You peer at <Target> searchingly.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pet"] = {
		["types"] = {1},
		["none"] = "You need to be petted.",
		["target"] = "You pet <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pinch"] = {
		["types"] = {1,9},
		["none"] = "You pinch yourself.",
		["target"] = "You pinch <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pity"] = {
		["types"] = {12},
		["none"] = "You pity those around you.",
		["target"] = "You look down upon <Target> with pity.",
		["react"] = 0,
		["custom"] = {0},
	},
	["plead"] = {
		["types"] = {11},
		["none"] = "You drop to your knees and plead in desperation.",
		["target"] = "You plead with <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["point"] = {
		["types"] = {2},
		["none"] = "You point over yonder.",
		["target"] = "You point at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["poke"] = {
		["types"] = {8},
		["none"] = "You poke your belly and giggle.",
		["target"] = "You poke <Target>. Hey!",
		["react"] = 0,
		["custom"] = {0},
	},
	["ponder"] = {
		["types"] = {10},
		["none"] = "You ponder the situation.",
		["target"] = "You ponder <Target>'s actions.",
		["react"] = 1,
		["custom"] = {0},
	},
	["pounce"] = {
		["types"] = {1},
		["none"] = "You pounce out from the shadows.",
		["target"] = "You pounce on top of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pout"] = {
		["types"] = {1,10},
		["none"] = "You pout at everyone around you.",
		["target"] = "You pout at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pray"] = {
		["types"] = {8},
		["none"] = "You pray to the Gods.",
		["target"] = "You say a prayer for <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["promise"] = {
		["types"] = {1},
		["none"] = "You promise.",
		["target"] = "You make <Target> a promise.",
		["react"] = 0,
		["custom"] = {0},
	},
	["proud"] = {
		["types"] = {6,10},
		["none"] = "You are proud of yourself.",
		["target"] = "You are proud of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["pulse"] = {
		["types"] = {9,10},
		["none"] = "You check your own pulse. Still alive.",
		["target"] = "You check <Target> for a pulse. Oh no!",
		["react"] = 0,
		["custom"] = {0},
	},
	["punch"] = {
		["types"] = {2,7},
		["none"] = "You punch yourself.",
		["target"] = "You punch <Target>'s shoulder.",
		["react"] = 0,
		["custom"] = {0},
	},
	["purr"] = {
		["types"] = {1},
		["none"] = "You purr like a kitten.",
		["target"] = "You purr at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["puzzled"] = {
		["types"] = {10},
		["none"] = "You are puzzled. What's going on here?",
		["target"] = "You are puzzled by <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["question"] = {
		["types"] = {9},
		["none"] = "You want to know the meaning of life.",
		["target"] = "You question <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["raise"] = {
		["types"] = {9},
		["none"] = "You raise your hand in the air.",
		["target"] = "You look at <Target> and raise your hand.",
		["react"] = 0,
		["custom"] = {0},
	},
	["rasp"] = {
		["types"] = {12},
		["none"] = "You make a rude gesture.",
		["target"] = "You make a rude gesture at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["ready"] = {
		["types"] = {2},
		["none"] = "You let everyone know that you are ready!",
		["target"] = "You let <Target> know that you are ready!",
		["react"] = 0,
		["custom"] = {0},
	},
	["rear"] = {
		["types"] = {12},
		["none"] = "You shake your rear.",
		["target"] = "You shake your rear at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["regret"] = {
		["types"] = {9},
		["none"] = "You are filled with regret.",
		["target"] = "You think that <Target> will regret it.",
		["react"] = 0,
		["custom"] = {0},
	},
	["revenge"] = {
		["types"] = {7,12},
		["none"] = "You vow you will have your revenge.",
		["target"] = "You vow revenge on <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["roar"] = {
		["types"] = {7},
		["none"] = "You roar with bestial vigor. So fierce!",
		["target"] = "You roar with bestial vigor at <Target>. So fierce!",
		["react"] = 1,
		["custom"] = {0},
	},
	["rofl"] = {
		["types"] = {6},
		["none"] = "You roll on the floor laughing.",
		["target"] = "You roll on the floor laughing at <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["rolleyes"] = {
		["types"] = {10},
		["none"] = "You roll your eyes.",
		["target"] = "You roll your eyes at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["rude"] = {
		["types"] = {12},
		["none"] = "You make a rude gesture.",
		["target"] = "You make a rude gesture at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["ruffle"] = {
		["types"] = {1,12},
		["none"] = "You ruffle your hair.",
		["target"] = "You ruffle <Target>'s hair.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sad"] = {
		["types"] = {11},
		["none"] = "You hang your head dejectedly.",
		["target"] = "You hang your head dejectedly.",
		["react"] = 0,
		["custom"] = {0},
	},
	["salute"] = {
		["types"] = {4},
		["none"] = "You stand at attention and salute.",
		["target"] = "You salute <Target> with respect.",
		["react"] = 1,
		["custom"] = {0},
	},
	["scared"] = {
		["types"] = {11},
		["none"] = "You are scared!",
		["target"] = "You are scared of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["scoff"] = {
		["types"] = {7},
		["none"] = "You scoff.",
		["target"] = "You scoff at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["scold"] = {
		["types"] = {11,13},
		["none"] = "You scold yourself.",
		["target"] = "You scold <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["scowl"] = {
		["types"] = {7},
		["none"] = "You scowl.",
		["target"] = "You scowl at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["scratch"] = {
		["types"] = {9},
		["none"] = "You scratch yourself. Ah, much better!",
		["target"] = "You scratch <Target>. How catty!",
		["react"] = 0,
		["custom"] = {0},
	},
	["search"] = {
		["types"] = {9},
		["none"] = "You search for something.",
		["target"] = "You search <Target> for something.",
		["react"] = 0,
		["custom"] = {0},
	},
	["serious"] = {
		["types"] = {10},
		["none"] = "You think this is serious business.",
		["target"] = "You think <Target> is serious.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sexy"] = {
		["types"] = {1},
		["none"] = "You're too sexy for your tunic...so sexy it hurts.",
		["target"] = "You think <Target> is a sexy devil.",
		["react"] = 0,
		["custom"] = {0},
	},
	["shakefist"] = {
		["types"] = {7},
		["none"] = "You shake your fist.",
		["target"] = "You shake your fist at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["shifty"] = {
		["types"] = {9},
		["none"] = "Your eyes shift back and forth suspiciously.",
		["target"] = "You give <Target> a shifty look.",
		["react"] = 0,
		["custom"] = {0},
	},
	["shimmy"] = {
		["types"] = {9},
		["none"] = "You shimmy before the masses.",
		["target"] = "You shimmy before <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["shiver"] = {
		["types"] = {9},
		["none"] = "You shiver in your boots. Chilling!",
		["target"] = "You shiver beside <Target>. Chilling!",
		["react"] = 0,
		["custom"] = {0},
	},
	["shoo"] = {
		["types"] = {12},
		["none"] = "You shoo the measly pests away.",
		["target"] = "You shoo <Target> away. Be gone pest!",
		["react"] = 0,
		["custom"] = {0},
	},
	["shrug"] = {
		["types"] = {10},
		["none"] = "You shrug. Who knows?",
		["target"] = "You shrug at <Target>. Who knows?",
		["react"] = 1,
		["custom"] = {0},
	},
	["shudder"] = {
		["types"] = {2,10},
		["none"] = "You shudder.",
		["target"] = "You shudder at the sight of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["shy"] = {
		["types"] = {1},
		["none"] = "You smile shyly.",
		["target"] = "You smile shyly at <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["sigh"] = {
		["types"] = {13},
		["none"] = "You let out a long, drawn-out sigh.",
		["target"] = "You sigh at <Target>.",
		["react"] = 2,
		["custom"] = {0},
	},
	["signal"] = {
		["types"] = {9,10},
		["none"] = "You give the signal.",
		["target"] = "You give <Target> the signal.",
		["react"] = 0,
		["custom"] = {0},
	},
	["silence"] = {
		["types"] = {9},
		["none"] = "You tell everyone to be quiet. Shhh!",
		["target"] = "You tell <Target> to be quiet. Shhh!",
		["react"] = 0,
		["custom"] = {0},
	},
	["silly"] = {
		["types"] = {6},
		["none"] = "You tell a joke.",
		["target"] = "You tell <Target> a joke.",
		["react"] = 3,
		["custom"] = {0},
	},
	["sing"] = {
		["types"] = {1,9},
		["none"] = "You burst into song.",
		["target"] = "You serenade <Target> with a song.",
		["react"] = 1,
		["custom"] = {0},
	},
	["slap"] = {
		["types"] = {12},
		["none"] = "You slap yourself across the face. Ouch!",
		["target"] = "You slap <Target> across the face. Ouch!",
		["react"] = 0,
		["custom"] = {0},
	},
	["sleep"] = {
		["types"] = {9},
		["none"] = "You fall asleep. Zzzzzzz.",
		["target"] = "You fall asleep. Zzzzzzz.",
		["react"] = 1,
		["custom"] = {0},
	},
	["smack"] = {
		["types"] = {7,12},
		["none"] = "You smack your forehead.",
		["target"] = "You smack <Target> upside the head.",
		["react"] = 0,
		["custom"] = {0},
	},
	["smell"] = {
		["types"] = {12},
		["none"] = "You smell the air around you. Wow, someone stinks!",
		["target"] = "You smell <Target>. Wow, someone stinks!",
		["react"] = 0,
		["custom"] = {0},
	},
	["smile"] = {
		["types"] = {6},
		["none"] = "You smile.",
		["target"] = "You smile at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["smirk"] = {
		["types"] = {6},
		["none"] = "A sly smirk spreads across your face.",
		["target"] = "You smirk slyly at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["snap"] = {
		["types"] = {9},
		["none"] = "You snap your fingers.",
		["target"] = "You snap your fingers at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["snarl"] = {
		["types"] = {7},
		["none"] = "You bare your teeth and snarl.",
		["target"] = "You bare your teeth and snarl at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sneak"] = {
		["types"] = {9},
		["none"] = "You try to sneak away.",
		["target"] = "You try to sneak away from <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sneeze"] = {
		["types"] = {9},
		["none"] = "You sneeze. Achoo!",
		["target"] = "You sneeze on <Target>. Achoo!",
		["react"] = 0,
		["custom"] = {0},
	},
	["snicker"] = {
		["types"] = {6},
		["none"] = "You quietly snicker to yourself.",
		["target"] = "You snicker at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sniff"] = {
		["types"] = {10},
		["none"] = "You sniff the air around you.",
		["target"] = "You sniff <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["snort"] = {
		["types"] = {7,12,13},
		["none"] = "You snort.",
		["target"] = "You snort derisively at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["snub"] = {
		["types"] = {7},
		["none"] = "You snub all of the lowly peons around you.",
		["target"] = "You snub <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["soothe"] = {
		["types"] = {1},
		["none"] = "You need to be soothed.",
		["target"] = "You soothe <Target>. There, there...things will be ok.",
		["react"] = 0,
		["custom"] = {0},
	},
	["spit"] = {
		["types"] = {12},
		["none"] = "You spit on the ground.",
		["target"] = "You spit on <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["squeal"] = {
		["types"] = {1,10},
		["none"] = "You squeal like a pig.",
		["target"] = "You squal at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["stare"] = {
		["types"] = {7},
		["none"] = "You stare off into the distance.",
		["target"] = "You stare <Target> down.",
		["react"] = 0,
		["custom"] = {0},
	},
	["stopattack"] = {
		["types"] = {2},
		["none"] = "You tell everyone to stop attacking.",
		["target"] = "You tell <Target> to stop attacking.",
		["react"] = 0,
		["custom"] = {0},
	},
	["surprised"] = {
		["types"] = {10},
		["none"] = "You are so surprised!",
		["target"] = "You are suprised by <Target>'s actions.",
		["react"] = 0,
		["custom"] = {0},
	},
	["surrender"] = {
		["types"] = {13},
		["none"] = "You surrender to your opponents.",
		["target"] = "You surrender before <Target>. Such is the agony of defeat...",
		["react"] = 1,
		["custom"] = {0},
	},
	["suspicious"] = {
		["types"] = {9},
		["none"] = "You narrow your eyes in suspicion.",
		["target"] = "You are suspicious of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["sweat"] = {
		["types"] = {1,10},
		["none"] = "You are sweating.",
		["target"] = "You sweat at the sight of <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["tap"] = {
		["types"] = {10},
		["none"] = "You tap your foot. Hurry up already!",
		["target"] = "You tap your foot as you wait for <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["taunt"] = {
		["types"] = {12},
		["none"] = "You taunt everyone around you. Bring it fools!",
		["target"] = "You make a taunting gesture at <Target>. Bring it!",
		["react"] = 0,
		["custom"] = {0},
	},
	["tease"] = {
		["types"] = {1},
		["none"] = "You are such a tease.",
		["target"] = "You tease <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["thank"] = {
		["types"] = {4},
		["none"] = "You thank everyone around you.",
		["target"] = "You thank <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["think"] = {
		["types"] = {1,9},
		["none"] = "You are lost in thought.",
		["target"] = "You think about <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["thirsty"] = {
		["types"] = {9},
		["none"] = "You are so thirsty. Can anyone spare a drink?",
		["target"] = "You let <Target> know you are thirsty. Spare a drink?",
		["react"] = 0,
		["custom"] = {0},
	},
	["tickle"] = {
		["types"] = {1},
		["none"] = "You want to be tickled. Hee hee!",
		["target"] = "You tickle <Target>. Hee hee!",
		["react"] = 0,
		["custom"] = {0},
	},
	["tired"] = {
		["types"] = {9},
		["none"] = "You let everyone know that you are tired.",
		["target"] = "You let <Target> know that you are tired.",
		["react"] = 0,
		["custom"] = {0},
	},
	["toast"] = {
		["types"] = {4,5},
		["none"] = "You raise a drink in the air before chugging it down. Cheers!",
		["target"] = "You raise a drink to <Target>. Cheers!",
		["react"] = 1,
		["custom"] = {0},
	},
	["truce"] = {
		["types"] = {2,9},
		["none"] = "You offer a truce.",
		["target"] = "You offer <Target> a truce.",
		["react"] = 0,
		["custom"] = {0},
	},
	["twiddle"] = {
		["types"] = {9,10},
		["none"] = "You twiddle your thumbs.",
		["target"] = "You twiddle your thumbs.",
		["react"] = 0,
		["custom"] = {0},
	},
	["veto"] = {
		["types"] = {9},
		["none"] = "You veto the motion on the floor.",
		["target"] = "You veto <Target>'s motion.",
		["react"] = 0,
		["custom"] = {0},
	},
	["victory"] = {
		["types"] = {10},
		["none"] = "You bask in the glory of victory.",
		["target"] = "You bask in the glory of victory with <Target>.",
		["react"] = 1,
		["custom"] = {0},
	},
	["violin"] = {
		["types"] = {12},
		["none"] = "You begin to play the world's smallest violin.",
		["target"] = "You play the world's smallest violin for <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["wait"] = {
		["types"] = {2},
		["none"] = "You ask everyone to wait.",
		["target"] = "You ask <Target> to wait.",
		["react"] = 3,
		["custom"] = {0},
	},
	["warn"] = {
		["types"] = {2,9},
		["none"] = "You warn everyone.",
		["target"] = "You warn <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["wave"] = {
		["types"] = {5},
		["none"] = "You wave.",
		["target"] = "You wave at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["welcome"] = {
		["types"] = {5},
		["none"] = "You welcome everyone.",
		["target"] = "You welcome <Target>.",
		["react"] = 3,
		["custom"] = {0},
	},
	["whine"] = {
		["types"] = {11},
		["none"] = "You whine pathetically.",
		["target"] = "You whine pathetically at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["whistle"] = {
		["types"] = {9},
		["none"] = "You let forth a sharp whistle.",
		["target"] = "You whistle at <Target>.",
		["react"] = 2,
		["custom"] = {0},
	},
	["wink"] = {
		["types"] = {1},
		["none"] = "You wink slyly.",
		["target"] = "You wink slyly at <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["work"] = {
		["types"] = {9},
		["none"] = "You begin to work.",
		["target"] = "You work with <Target>.",
		["react"] = 0,
		["custom"] = {0},
	},
	["yawn"] = {
		["types"] = {9},
		["none"] = "You yawn sleepily.",
		["target"] = "You yawn sleepily at <Target>.",
		["react"] = 2,
		["custom"] = {0},
	},
}


