local pomname = 0
local pomonunit = 0
local pomhealcount = 0
local pomcharges = 0
local pomlooptimer = 0
local pomlatency = 1
local pomnamequeued = 0
local pomqueueseconds = 0
local seconds = 0
local cooldown = 0
PoMTracker = {}

function PoMTracker:OnLoad(self)
	local plClass, enClass = UnitClass("player")
	if(enClass ~= "PRIEST") then
		return
	else
		DEFAULT_CHAT_FRAME:AddMessage("PoMTracker: Version 2.6 Loaded - /pom for options")
		self:RegisterEvent("ADDON_LOADED")
		self:RegisterEvent("PLAYER_TARGET_CHANGED")
		self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		SLASH_POMTRACKER1 = "/pom"
  		SlashCmdList["POMTRACKER"] = function(msg)
			PoMTracker:tracker_SlashCommandHandler(msg)
		end
	end
end

function PoMTracker:OnEvent(self)
	if (event == "ADDON_LOADED") then
		PoMTracker:frametoggle()
	end
	
	if (event == "COMBAT_LOG_EVENT_UNFILTERED" and arg10 == pom1) then
		local eventname, sourcename, destname = arg2, arg4, arg7
		
		if (eventname == "SPELL_CAST_SUCCESS") then
			if (sourcename == UnitName("player")) then
				pomname = PoMTracker:processname(destname)
				pomnamequeued = pomname
				if (pomtracker_settings.t7 == "enabled") then
					pomcharges = 6
				else
					pomcharges = 5
				end
				PoMTracker:timeset()
				pomlooptimer = 1
				pomonunit = 1
				getglobal("pomtracker2_Text"):SetText(pomcharges..": "..pomname)
				if (pomtracker_settings.total == "disabled") then
					PoMTracker:clearheal()
				end
				PoMTracker:frametoggle()
			else
				if (destname == pomname) then
					PoMTracker:pomkill()
				end
			end
		end
		
		if (pomlooptimer == 1 and sourcename == UnitName("player")) then
			if (eventname == "SPELL_HEAL") then
				local pomhealed = arg12
				if (PoMTracker:processname(destname) == pomname) then
					pomhealcount = pomhealcount + pomhealed
					getglobal("pomtracker3_Text"):SetText("Amount Healed: "..pomhealcount)
					pomcharges = pomcharges - 1
					if (pomcharges == 0) then
						PoMTracker:pomkill()
					elseif (pomnamequeued ~= pomname) then
						PoMTracker:settarget(pomnamequeued)
					else
						pomqueueseconds = GetTime() + (pomlatency)
						pomonunit = 0
						
					end
				end
			end
			
			if (eventname == "SPELL_AURA_APPLIED") then
				local procname = PoMTracker:processname(destname)
				pomnamequeued = procname
				if (pomonunit ~= 1 and pomlooptimer == 1) then
					PoMTracker:settarget(procname)
				end 
			end
			
			if (eventname == "SPELL_AURA_REMOVED") then
				if (PoMTracker:processname(destname) == pomname) then
					pomqueueseconds = GetTime() + (pomlatency) 
					pomonunit = 0
				end
			end
		end
	end
end

function PoMTracker:processname(unitname)
	if (string.find(unitname, "-") == Nil) then
		return unitname
	else
		return strsplit("-", unitname)
	end
end

function PoMTracker:timeset()
	seconds = GetTime() + 30
	if (pomtracker_settings.t7 == "enabled") then
		if (pomcharges == 6) then
			cooldown = GetTime() + 10
		end
	else
		if (pomcharges == 5) then
			cooldown = GetTime() + 10
		end
	end
end

function PoMTracker:clearheal()
	pomhealcount = 0
	getglobal("pomtracker3_Text"):SetText("Amount Healed: 0")
end

function PoMTracker:pomkill()
	getglobal("pomtrackerstatusBar"):SetValue(0)
	getglobal("pomtracker2_Text"):SetText(pomnotarget)
	pomname = 0
	pomlooptimer = 0
	PoMTracker:frametoggle()
	if (pomtracker_settings.sound == "enabled") then
		PlaySoundFile("Sound\\Spells\\misdirection_impact_head.wav")
	end
end

function PoMTracker:settarget(unitname)
	pomonunit = 1
	PoMTracker:timeset()
	pomname = unitname
	getglobal("pomtracker2_Text"):SetText(pomcharges..": "..unitname)
end

function PoMTracker:pominfo(unitname)
	local i = 1
	while (UnitBuff(unitname, i) ~= nil) do
		local bname, brank, btexture, bapp = UnitBuff(unitname, i)
		if (bname == pom1) then
			return bapp
		end
		i = i + 1
	end
end

function PoMTracker:timerstart()
	if (UnitIsFriend("player", "target")) then
		if PoMTracker:pominfo("target") then
			TargetFrameFlash:Show()
		elseif (UnitName("target") ~= UnitName("focus")) then
				TargetFrameFlash:Hide()
		end
	end
	
	if (pomlooptimer == 1) then
		local pomnewtime = GetTime()
		local pomtimer = seconds - pomnewtime
		
		pomtimecount = (10 / 3) * pomtimer
		getglobal("pomtrackerstatusBar"):SetValue(pomtimecount)
		
		if (pomonunit == 0) then
			if (GetTime() >= pomqueueseconds) then
				if (pomnamequeued ~= pomname) then
					PoMTracker:settarget(pomnamequeued)
				else
					PoMTracker:pomkill()
				end
			end
		end
		
		local start, duration, enabled = GetSpellCooldown(pom1);
			cooldown = GetTime() + duration
		
		if (GetTime() >= cooldown) then
			getglobal("pomtrackerstatusBar"):SetStatusBarColor(1, 0, 0, 1)
		else
			getglobal("pomtrackerstatusBar"):SetStatusBarColor(0, 0, 1, 1)
		end
		
		if (GetTime() >= seconds) then
			PoMTracker:pomkill()
		end
		
	end
end

function PoMTracker:frametoggle()
	if not pomtracker_settings then
		pomtracker_settings = {}
		pomtracker_settings.gui = "show"
		pomtracker_settings.hide = "unlock"
		pomtracker_settings.fade = "disabled"
		pomtracker_settings.sound = "enabled"
		pomtracker_settings.total = "enabled"
		pomtracker_settings.heal = "enabled"
		pomtracker_settings.t7 = "disabled"
	end

	local frame1 = getglobal("pomtracker1")
	local frame2 = getglobal("pomtracker2")
	local frame3 = getglobal("pomtracker3")
	local frame4 = getglobal("pomtrackerstatus")

	if (pomtracker_settings.gui == "show") then
		if (pomtracker_settings.hide == "unlock") then
			frame1:Show()
		else
			frame1:Hide()
		end
		frame2:Show()
		if (pomtracker_settings.heal == "enabled") then
			frame3:Show()
		else
			frame3:Hide()
		end
		frame4:Show()
	else
		frame1:Hide()
		frame2:Hide()
		frame3:Hide()
		frame4:Hide()
	end

	if (pomtracker_settings.fade == "enabled" and pomtracker_settings.gui == "show" and pomonunit == 0) then
		if (pomtracker_settings.hide == "unlock") then
			UIFrameFadeOut(pomtracker1, 2.1)
		end 
		UIFrameFadeOut(pomtracker2, 2.1)
		UIFrameFadeOut(pomtrackerstatus, 2.1)
		if (pomtracker_settings.heal == "enabled") then
			UIFrameFadeOut(pomtracker3, 2.1)
		end
	elseif (pomtracker_settings.fade == "enabled" and pomtracker_settings.gui == "show" and pomonunit == 1) then
		if (pomtracker_settings.hide == "unlock") then
			UIFrameFadeIn(pomtracker1, 0.5)
		end 
		UIFrameFadeIn(pomtracker2, 0.5)
		UIFrameFadeIn(pomtrackerstatus, 0.5)
		if (pomtracker_settings.heal == "enabled") then
			UIFrameFadeIn(pomtracker3, 0.5)
		end
	end	
end

function PoMTracker:OptionFrame_OnShow()
	if (pomtracker_settings.hide == "lock") then
		getglobal("PoMOptionFrame_CheckButton1"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton1"):SetChecked(0)
	end

	if (pomtracker_settings.fade == "enabled") then
		getglobal("PoMOptionFrame_CheckButton2"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton2"):SetChecked(0)
	end

	if (pomtracker_settings.sound == "enabled") then
		getglobal("PoMOptionFrame_CheckButton3"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton3"):SetChecked(0)
	end

	if (pomtracker_settings.total == "enabled") then
		getglobal("PoMOptionFrame_CheckButton4"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton4"):SetChecked(0)
	end
	
	if (pomtracker_settings.heal == "enabled") then
		getglobal("PoMOptionFrame_CheckButton5"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton5"):SetChecked(0)
	end
	
		if (pomtracker_settings.t7 == "enabled") then
		getglobal("PoMOptionFrame_CheckButton6"):SetChecked(1)
	else
		getglobal("PoMOptionFrame_CheckButton6"):SetChecked(0)
	end
end

function PoMTracker:OptionsMenu()
	if (getglobal("PoMOptionFrame_CheckButton1"):GetChecked()) then
		pomtracker_settings.hide = "lock"
	else
		pomtracker_settings.hide = "unlock"
	end
	
	if (getglobal("PoMOptionFrame_CheckButton2"):GetChecked()) then
		pomtracker_settings.fade = "enabled"
	else
		pomtracker_settings.fade = "disabled"
		if (pomtracker_settings.hide == "unlock") then
			UIFrameFadeIn(pomtracker1, 0.0)
		end 
		UIFrameFadeIn(pomtracker2, 0.0)
		UIFrameFadeIn(pomtrackerstatus, 0.0)
		if (pomtracker_settings.heal == "enabled") then
			UIFrameFadeIn(pomtracker3, 0.0)
		end
	end
	
	if (getglobal("PoMOptionFrame_CheckButton3"):GetChecked()) then
		pomtracker_settings.sound = "enabled"
	else
		pomtracker_settings.sound = "disabled"
	end
	
	if (getglobal("PoMOptionFrame_CheckButton4"):GetChecked()) then
		pomtracker_settings.total = "disabled"
	else
		pomtracker_settings.total = "enabled"
	end
	
	if (getglobal("PoMOptionFrame_CheckButton5"):GetChecked()) then
		pomtracker_settings.heal = "enabled"
	else
		pomtracker_settings.heal = "disabled"
	end
	
	if (getglobal("PoMOptionFrame_CheckButton6"):GetChecked()) then
		pomtracker_settings.t7 = "enabled"
	else
		pomtracker_settings.t7 = "disabled"
	end
	
	PoMTracker:frametoggle()
end

function PoMTracker:tracker_SlashCommandHandler(msg)
	local frame1 = getglobal("pomtracker1")
	local frame2 = getglobal("pomtracker2")
	local frame3 = getglobal("pomtracker3")
	local frame4 = getglobal("pomtrackerstatus")
	local frame5 = getglobal("PoMOptionFrame")
	if (msg == "gui" or msg == Nil) then
		DEFAULT_CHAT_FRAME:AddMessage("Options are 'show', 'hide', 'lock', 'unlock'")
	elseif (msg == "gui show") then
		if(  frame1:IsVisible() ) then
     			DEFAULT_CHAT_FRAME:AddMessage("PoM Frame was already being displayed")
		else
			pomtracker_settings.gui = "show"
			DEFAULT_CHAT_FRAME:AddMessage("PoM Frame is now being displayed.")
		end
	elseif (msg == "gui hide") then
 		if(  frame1:IsVisible() ) then
			pomtracker_settings.gui = "hide" 
     		DEFAULT_CHAT_FRAME:AddMessage("PoM Frame is now hidden.")
		else
     		DEFAULT_CHAT_FRAME:AddMessage("PoM Frame was already hidden.")
		end
	elseif (msg == "gui lock") then
		pomtracker_settings.hide = "lock"
		DEFAULT_CHAT_FRAME:AddMessage("PoM Frame is now locked.")
	elseif (msg == "gui unlock") then
		pomtracker_settings.hide = "unlock"
		DEFAULT_CHAT_FRAME:AddMessage("PoM Frame is now unlocked.")
	elseif (msg == "fade on") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Fade mode enabled")
		pomtracker_settings.fade = "enabled"
	elseif (msg == "fade off") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Fade mode disabled")
		pomtracker_settings.fade = "disabled"
	elseif (msg == "sound on") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Alert sound enabled")
		pomtracker_settings.sound = "enabled"
	elseif (msg == "sound off") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Alert sound disabled")
		pomtracker_settings.sound = "disabled"
	elseif (msg == "t7 on") then
		DEFAULT_CHAT_FRAME:AddMessage("T7 Mode Enabled")
		pomtracker_settings.t7 = "enabled"
	elseif (msg == "t7 off") then
		DEFAULT_CHAT_FRAME:AddMessage("T7 Mode Disabled")
		pomtracker_settings.t7 = "disabled"
	elseif (msg == "total on") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Heal Totaling enabled")
		pomtracker_settings.total = "enabled"
	elseif (msg == "total off") then
		DEFAULT_CHAT_FRAME:AddMessage("PoM Heal Totaling disabled")
		pomtracker_settings.total = "disabled"
		pomhealed = 0
	elseif (msg == "options") then		
		frame5:Show()
	elseif (msg == "reset") then
		local setframe = getglobal("pomtracker1")
		DEFAULT_CHAT_FRAME:AddMessage("Position Reset")
		setframe:ClearAllPoints() 
		setframe:SetPoint("CENTER",0,0)
	else
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom gui' for gui options.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom fade'  on/off for frame fading.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom sound' on/off for sound alert.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom total' on/off to continue totaling ALL heals.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom options' To open the Options menu.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom t7' on/off to track 6 PoM charges.")
		DEFAULT_CHAT_FRAME:AddMessage("Type '/pom reset' Reset PoMTracker Position.")
	end
	PoMTracker:frametoggle()
end
