function SetUpAtlasLoot()
	Tabard_O_Matic:SecureHook(AtlasLoot.AtlasLoot_ShowItemsFrame, "AtlasLoot_ShowItemsFrame", function(dataID, dataSource, boss, pFrame)
	--Set up local variables needed for GetItemInfo, etc
		local AL = LibStub("AceLocale-3.0"):GetLocale("AtlasLoot");
	
		local itemName, itemLink, itemQuality, itemLevel, itemType, itemSubType, itemCount, itemEquipLoc, itemTexture, itemColor;
		local iconFrame, nameFrame, extraFrame, itemButton;
		local text, extra;
		local wlPage, wlPageMax = 1, 1;
		local isItem;
		local spellName, spellIcon;

		--If the loot table name has not been passed, throw up a debugging statement
		if dataID==nil then
			DEFAULT_CHAT_FRAME:AddMessage("No dataID!");
			return;
		end
		
			--Get AtlasQuest out of the way
		if (AtlasQuestInsideFrame) then
			HideUIPanel(AtlasQuestInsideFrame);
		end
		
			--Hide the toggle to switch between heroic and normal loot tables, we will only show it if required
		AtlasLootItemsFrame_Heroic:Hide();
		AtlasLoot10Man25ManSwitch:Hide();
		
		--Ditch the Quicklook selector
		AtlasLoot_QuickLooks:Hide();
		AtlasLootQuickLooksButton:Hide();
		
		dataSource_backup = dataSource;
		if dataID == "SearchResult" or dataID == "WishList" then
			dataSource = {};
			-- Match the page number to display
			wlPage = tonumber(dataSource_backup:match("%d+$"));
			-- Aquiring items of the page
			if dataID == "SearchResult" then
				dataSource[dataID], wlPageMax = AtlasLoot:GetSearchResultPage(wlPage);
			elseif dataID == "WishList" then
				dataSource[dataID], wlPageMax = AtlasLoot_GetWishListPage(wlPage);
			end
			-- Make page number reasonable
			if wlPage < 1 then wlPage = 1 end
			if wlPage > wlPageMax then wlPage = wlPageMax end
		else
			dataSource = AtlasLoot_Data;
		end

		--Set up checks to see if we have a heroic loot table or not
		local HeroicCheck=string.sub(dataID, string.len(dataID)-5, string.len(dataID));
		local HeroicdataID=dataID.."HEROIC";
		local NonHeroicdataID=string.sub(dataID, 1, string.len(dataID)-6);

		local BigraidCheck=string.sub(dataID, string.len(dataID)-4, string.len(dataID));
		local BigraiddataID=dataID.."25Man";
		local SmallraiddataID=string.sub(dataID, 1, string.len(dataID)-5);
		
		--Change the dataID to be consistant with the Heroic Mode toggle
		if dataSource then
			if((AtlasLoot.db.profile.HeroicMode == nil) or (AtlasLoot.db.profile.HeroicMode == false)) then
				if(HeroicCheck == "HEROIC") then
					if dataSource[NonHeroicdataID] then
						dataID=NonHeroicdataID;
					end
				end
			elseif(AtlasLoot.db.profile.HeroicMode == true) then
				if(HeroicCheck ~= "HEROIC") then
					if dataSource[HeroicdataID] then
						dataID=HeroicdataID;
					end
				end
			end
			if((AtlasLoot.db.profile.Bigraid == nil) or (AtlasLoot.db.profile.Bigraid == false)) then
				if(BigraidCheck == "25Man") then
					if dataSource[SmallraiddataID] then
						dataID=SmallraiddataID;
					end
				end
			elseif(AtlasLoot.db.profile.Bigraid == true) then
				if(BigraidCheck ~= "25Man") then
					if dataSource[BigraiddataID] then
						dataID=BigraiddataID;
					end
				end
			end
		end

		--Hide UI objects so that only needed ones are shown
		for i = 1, 30, 1 do
			getglobal("AtlasLootItem_"..i.."_Unsafe"):Hide();
			getglobal("AtlasLootMenuItem_"..i):Hide();
			getglobal("AtlasLootItem_"..i):Hide();
			getglobal("AtlasLootItem_"..i).itemID = 0;
		end
		
		if AtlasLoot_TableNames[dataID][2] == "Menu" then
			AtlasLoot_GenerateAtlasMenu(dataID, pFrame);
			return;
		end

		--Escape out of this function if creating a menu, this function only handles loot tables.
		--Inserting escapes in this way allows consistant calling of data whether it is a loot table or a menu.
		if(dataID=="PVPSET") then
			AtlasLootPVPSetMenu();
		elseif(dataID=="PVP70RepSET") then
			AtlasLootPVP70RepSetMenu();
		elseif(dataID=="ARENASET") then
			AtlasLootARENASetMenu();
		elseif(dataID=="ARENA2SET") then
			AtlasLootARENA2SetMenu();
		elseif(dataID=="ARENA3SET") then
			AtlasLootARENA3SetMenu();
		elseif(dataID=="ARENA4SET") then
			AtlasLootARENA4SetMenu();
		elseif(dataID=="COOKINGMENU") then
			AtlasLoot_CookingMenu();
		elseif (dataID == "SearchResult") or (dataID == "WishList") or (AtlasLoot_IsLootTableAvailable(dataID)) then
			--Iterate through each item object and set its properties
			for i = 1, 30, 1 do
				--Check for a valid object (that it exists, and that it has a name)
				if(dataSource[dataID][i] ~= nil and dataSource[dataID][i][4] ~= "") then
					if string.sub(dataSource[dataID][i][2], 1, 1) == "s" then
						isItem = false;
					else
						isItem = true;
					end
					if isItem then
						itemName, itemLink, itemQuality, itemLevel, itemMinLevel, itemType, itemSubType, itemCount, itemEquipLoc, itemTexture = GetItemInfo(dataSource[dataID][i][2]);
						--If the client has the name of the item in cache, use that instead.
						--This is poor man's localisation, English is replaced be whatever is needed
						if(GetItemInfo(dataSource[dataID][i][2])) then
							_, _, _, itemColor = GetItemQualityColor(itemQuality);
							text = itemColor..itemName;
						else
							if(GetItemInfo(dataSource[dataID][i][2])) then
								_, _, _, itemColor = GetItemQualityColor(itemQuality);
								text = itemColor..itemName;
							else
								--If the item is not in cache, use the saved value and process it
								text = dataSource[dataID][i][4];
								text = AtlasLoot_FixText(text);
							end
						end
					else
						spellName, _, spellIcon, _, _, _, _, _, _ = GetSpellInfo(string.sub(dataSource[dataID][i][2], 2));
						text = AtlasLoot_FixText(string.sub(dataSource[dataID][i][4], 1, 4)..spellName);
					end

					--Store data about the state of the items frame to allow minor tweaks or a recall of the current loot page
					AtlasLootItemsFrame.refresh = {dataID, dataSource_backup, boss, pFrame};
					
					--Insert the item description
					if dataSource[dataID][i][6] and dataSource[dataID][i][6] ~= "" then
						extra = dataSource[dataID][i][6];
					elseif dataSource[dataID][i][5] then
						extra = dataSource[dataID][i][5];
					else
						extra = "";
					end
					extra = AtlasLoot_FixText(extra);

					--Use shortcuts for easier reference to parts of the item button
					itemButton = getglobal("AtlasLootItem_"..dataSource[dataID][i][1]);
					iconFrame  = getglobal("AtlasLootItem_"..dataSource[dataID][i][1].."_Icon");
					nameFrame  = getglobal("AtlasLootItem_"..dataSource[dataID][i][1].."_Name");
					extraFrame = getglobal("AtlasLootItem_"..dataSource[dataID][i][1].."_Extra");

					itemButton.itemID = dataSource[dataID][i][2];
					
					--If there is no data on the texture an item should have, show a big red question mark
					if dataSource[dataID][i][3] == "?" then
						iconFrame:SetTexture("Interface\\Icons\\INV_Misc_QuestionMark");
					elseif dataSource[dataID][i][3] == "" then
						iconFrame:SetTexture(GetItemIcon(dataSource[dataID][i][2]));
						
						if itemButton.itemID then
							local TabardValue = TabardTextures[itemButton.itemID]
							if TabardValue then
								if TabardValue.ItemName then
									iconFrame:SetTexture([[Interface\Addons\Tabard-o-matic\Tabards\]] .. TabardValue.ItemName .. [[.tga]])
								else
									MissingMessage = gsub(dataSource[dataID][i][4], "=q(%d)=", "")
									ChatFrame1:AddMessage("[Tabard-O-Matic Message]: " .. "Missing Tabard Texture for " .. MissingMessage)
								end
							end
						end						
					elseif (not isItem) and (spellIcon) then
						if tonumber(dataSource[dataID][i][3]) then
							iconFrame:SetTexture(GetItemIcon(tonumber(dataSource[dataID][i][3])));
						elseif dataSource[dataID][i][3] == "" then
							iconFrame:SetTexture(spellIcon);
						elseif type(dataSource[dataID][i][3]) == "string" then
							iconFrame:SetTexture("Interface\\Icons\\"..dataSource[dataID][i][3]);
						else
							iconFrame:SetTexture(spellIcon);
						end
					else
						--else show the texture
						iconFrame:SetTexture("Interface\\Icons\\"..dataSource[dataID][i][3]);
					end
					itemButton.itemTexture = dataSource[dataID][i][3];
					if iconFrame:GetTexture() == nil then
						iconFrame:SetTexture("Interface\\Icons\\INV_Misc_QuestionMark");
					end
					itemButton.name = text;
					itemButton.extra = extra;
					
					--Highlight items in the wishlist
					if dataSource[dataID][i][2] ~= "" and dataSource[dataID][i][2] ~= 0 and dataID ~= "WishList" then
						if AtlasLoot_WishListCheck(dataSource[dataID][i][2]) then
							text = "|TInterface\\TargetingFrame\\UI-RaidTargetingIcon_1:0|t "..text;
						end
					end
					--Set the name and description of the item
					nameFrame:SetText(text);
					extraFrame:SetText(extra);
					extraFrame:Show();

					--For convenience, we store information about the objects in the objects so that it can be easily accessed later
					itemButton.itemID = dataSource[dataID][i][2];
					itemButton.iteminfo = {};
					if isItem then
						itemButton.iteminfo.idcore = dataSource[dataID][i][2];
						itemButton.iteminfo.icontexture = GetItemIcon(dataSource[dataID][i][2]);
						itemButton.storeID = dataSource[dataID][i][2];
						itemButton.dressingroomID = dataSource[dataID][i][2];
					else
						itemButton.iteminfo.idcore = dataSource[dataID][i][3];
						itemButton.iteminfo.icontexture = GetItemIcon(dataSource[dataID][i][3]);
						itemButton.storeID = dataSource[dataID][i][3];
						itemButton.dressingroomID = dataSource[dataID][i][3];
					end
					if dataSource[dataID][i][5] then
						itemButton.desc = dataSource[dataID][i][5];
					else
						itemButton.desc = nil;
					end
					if dataSource[dataID][i][6] then
						itemButton.price = dataSource[dataID][i][6];
					else
						itemButton.price = nil;
					end
					if dataSource[dataID][i][7] then
						itemButton.droprate = dataSource[dataID][i][7];
					else
						itemButton.droprate = nil;
					end
					if (dataID == "SearchResult" or dataID == "WishList") and dataSource[dataID][i][8] then
						itemButton.sourcePage = dataSource[dataID][i][8];
					end
					itemButton.i = 1;
					itemButton:Show();
					
					if dataSource[dataID][i][2] == 0 then getglobal("AtlasLootItem_"..i.."_Unsafe"):Hide(); end
				end
			end

			AtlasLootItemsFrame.refresh = {dataID, dataSource_backup, boss, pFrame};

			--If the item is not in cache, querying the server may cause a disconnect
			--Show a red box around the item to indicate this to the user
			--((dataSource[dataID][i][2] ~= 0) and (not GetItemInfo(dataSource[dataID][i][2]))
			for i = 1, 30, 1 do
				itemID = getglobal("AtlasLootItem_"..i).itemID;
				if itemID and itemID ~= 0 and (string.sub(itemID, 1, 1) ~= "s") then
					if GetItemInfo(itemID) then
						getglobal("AtlasLootItem_"..i.."_Unsafe"):Hide();
					else
						getglobal("AtlasLootItem_"..i.."_Unsafe"):Show();
					end
				else
					getglobal("AtlasLootItem_"..i.."_Unsafe"):Hide();
				end
			end
			
			--This is a valid QuickLook, so show the UI objects
			AtlasLoot_QuickLooks:Show();
			AtlasLootQuickLooksButton:Show();
			
			--Decide whether to show the Heroic mode toggle
			--Checks if a heroic version of the loot table is available.
			HeroicCheck=string.sub(dataID, string.len(dataID)-5, string.len(dataID));
			HeroicdataID=dataID.."HEROIC";
			NonHeroicdataID=string.sub(dataID, 1, string.len(dataID)-6);
			if dataSource[HeroicdataID] then
				AtlasLootItemsFrame_Heroic:Show();
				AtlasLootItemsFrame_Heroic:SetChecked(false);
				AtlasLootItemsFrame_Heroic:Enable();
			else
				if HeroicCheck=="HEROIC" then
					AtlasLootItemsFrame_Heroic:Show();
					AtlasLootItemsFrame_Heroic:SetChecked(true);
					if dataSource[NonHeroicdataID] then
						AtlasLootItemsFrame_Heroic:Enable();
					else
						AtlasLootItemsFrame_Heroic:Disable();
					end
				end
			end
			BigraidCheck=string.sub(dataID, string.len(dataID)-4, string.len(dataID));
			BigraiddataID=dataID.."25Man";
			if BigraidCheck=="25Man" then
				AtlasLoot10Man25ManSwitch:SetText(AL["Show 10 Man Loot"]);
				AtlasLoot10Man25ManSwitch.lootpage = string.sub(dataID, 1, string.len(dataID)-5);
				AtlasLoot10Man25ManSwitch:Show();
			else
				if dataSource[BigraiddataID] then
					AtlasLoot10Man25ManSwitch:SetText(AL["Show 25 Man Loot"]);
					AtlasLoot10Man25ManSwitch.lootpage = BigraiddataID;
					AtlasLoot10Man25ManSwitch:Show();
				end
			end
			
			--Hide navigation buttons by default, only show what we need
			getglobal("AtlasLootItemsFrame_BACK"):Hide();
			getglobal("AtlasLootItemsFrame_NEXT"):Hide();
			getglobal("AtlasLootItemsFrame_PREV"):Hide();
			if dataID ~= "SearchResult" and dataID ~= "WishList" then
				AtlasLoot_BossName:SetText(AtlasLoot_TableNames[dataID][1]);
			else
				AtlasLoot_BossName:SetText(boss);
			end
			--Consult the button registry to determine what nav buttons are required
			if dataID == "SearchResult" or dataID == "WishList" then
				if wlPage < wlPageMax then
					getglobal("AtlasLootItemsFrame_NEXT"):Show();
					getglobal("AtlasLootItemsFrame_NEXT").lootpage = dataID.."Page"..(wlPage + 1);
				end
				if wlPage > 1 then
					getglobal("AtlasLootItemsFrame_PREV"):Show();
					getglobal("AtlasLootItemsFrame_PREV").lootpage = dataID.."Page"..(wlPage - 1);
				end
			else
				local tablebase = dataSource[dataID];
				if tablebase.Next then
					getglobal("AtlasLootItemsFrame_NEXT"):Show();
					getglobal("AtlasLootItemsFrame_NEXT").lootpage = tablebase.Next;
				end
				if tablebase.Prev then
					getglobal("AtlasLootItemsFrame_PREV"):Show();
					getglobal("AtlasLootItemsFrame_PREV").lootpage = tablebase.Prev;
				end
				if tablebase.Back then
					getglobal("AtlasLootItemsFrame_BACK"):Show();
					getglobal("AtlasLootItemsFrame_BACK").lootpage = tablebase.Back;
				end
			end
		end

		--For Alphamap and Atlas integration, show a 'close' button to hide the loot table and restore the map view
		if (AtlasLootItemsFrame:GetParent() == AlphaMapAlphaMapFrame or AtlasLootItemsFrame:GetParent() == AtlasFrame) then
			AtlasLootItemsFrame_CloseButton:Show();
		else
			AtlasLootItemsFrame_CloseButton:Hide();
		end

		--Anchor the item frame where it is supposed to be
		AtlasLoot_SetItemInfoFrame(pFrame);
	end)
end