﻿local Tabard_O_Matic_Inspect = Tabard_O_Matic:NewModule("Inspect", "AceHook-3.0", "AceEvent-3.0")
local _G = _G
local ipairs, smatch, tonumber = ipairs, string.match, tonumber

local UnitIsPlayer = UnitIsPlayer
local GetItemInfo = GetItemInfo
local GetItemQualityColor = GetItemQualityColor
local GetInventoryItemLink = GetInventoryItemLink

function Tabard_O_Matic_Inspect:OnEnable()
	if IsAddOnLoaded("Blizzard_InspectUI") then
		self:SecureHook("InspectFrame_OnShow")
		self:SecureHook("InspectFrame_OnHide")
		self:SecureHook("InspectPaperDollItemSlotButton_Update")
		self:InspectFrame_OnShow()
	else
		self:RegisterEvent("ADDON_LOADED")
	end
end

function Tabard_O_Matic_Inspect:ADDON_LOADED()
	if arg1 == "Blizzard_InspectUI" then
		self:SecureHook("InspectFrame_OnShow")
		self:SecureHook("InspectFrame_OnHide")
		self:SecureHook("InspectPaperDollItemSlotButton_Update")
		self:UnregisterEvent("ADDON_LOADED")
		self:InspectFrame_OnShow()
	end
end

function Tabard_O_Matic_Inspect:SetTheButtons(Button, TheTabard)
	SetItemButtonTexture(Button, [[Interface\Addons\Tabard-o-matic\Tabards\]] .. TheTabard .. [[.tga]])
end

local function GetItemID(link)
	return tonumber(smatch(link, "item:(%d+)") or smatch(link, "%d+"))
end

function Tabard_O_Matic_Inspect:InspectPaperDollItemSlotButton_Update(button)
	local TabardLink = GetInventoryItemLink("target", GetInventorySlotInfo("TabardSlot"));
	if ( TabardLink ) then
		local ItemID = GetItemID(TabardLink)
		local TabardValue = TabardTextures[ItemID]
		
		if TabardValue then
			Tabard_O_Matic_Inspect:SetTheButtons(InspectTabardSlot, TabardValue.ItemName)
		end
	end
end

function Tabard_O_Matic_Inspect:InspectFrame_OnShow()
	self:InspectPaperDollItemSlotButton_Update()
end

function Tabard_O_Matic_Inspect:InspectFrame_OnHide()
	self:Unhook("InspectFrame_UnitChanged")
end
