-- Copyright  2008 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current permissions only include curse.com, wowui.worldofwar.net, wowinterface.com and their respective addon updaters


local Icons = TotemTimers_Icons

BINDING_NAME_TOTEMTIMERSSET1 = "Set 1"
BINDING_NAME_TOTEMTIMERSSET2 = "Set 2"
BINDING_NAME_TOTEMTIMERSSET3 = "Set 3"
BINDING_NAME_TOTEMTIMERSSET4 = "Set 4"
BINDING_NAME_TOTEMTIMERSSET5 = "Set 5"
BINDING_NAME_TOTEMTIMERSSET6 = "Set 6"
BINDING_NAME_TOTEMTIMERSSET7 = "Set 7"
BINDING_NAME_TOTEMTIMERSSET8 = "Set 8"
BINDING_NAME_TOTEMTIMERSSTORMSTRIKE = "Stormstrike"
BINDING_NAME_TOTEMTIMERSLAVALASH = "Lava Lash"
BINDING_NAME_TOTEMTIMERSEARTHSHOCK = "Earth Shock"

local _G = getfenv()

for i=1,4 do
    local e
    if i==1 then e = TT_FIRE elseif i==2 then e=TT_EARTH elseif i==3 then e=TT_WATER else e=TT_AIR end
    for j=1,7 do
        _G["BINDING_NAME_TOTEMTIMERSCAST"..i..j] = e.." Button "..j
    end
end

local function SetupSpellNames()
    local Spells = TotemTimers_Spells
    BINDING_NAME_TOTEMTIMERSLIGHTNINGSHIELD = Spells[Icons.LightningShield] or "not yet available"      
    BINDING_NAME_TOTEMTIMERSWATERSHIELD = Spells[Icons.WaterShield] or "not yet available"
    BINDING_NAME_TOTEMTIMERSTOTEMICCALL = Spells[Icons.TotemicCall] or "not yet available"
    if TotemTimers_Spells[Icons.StormStrike] then BINDING_NAME_TOTEMTIMERSSTORMSTRIKE = TotemTimers_Spells[Icons.StormStrike] end
    if TotemTimers_Spells[Icons.LavaLash] then BINDING_NAME_TOTEMTIMERSLAVALASH = TotemTimers_Spells[Icons.LavaLash] end
    if TotemTimers_Spells[Icons.EarthShock] then BINDING_NAME_TOTEMTIMERSEARTHSHOCK = TotemTimers_Spells[Icons.EarthShock] end
end

local menubutton = "Button4"

local buttonnames = {
    [AIR_TOTEM_SLOT] = "TotemTimers_Timer"..AIR_TOTEM_SLOT,
    [FIRE_TOTEM_SLOT] = "TotemTimers_Timer"..FIRE_TOTEM_SLOT,
    [WATER_TOTEM_SLOT] = "TotemTimers_Timer"..WATER_TOTEM_SLOT,
    [EARTH_TOTEM_SLOT] = "TotemTimers_Timer"..EARTH_TOTEM_SLOT,
    ["es"] = "TotemTimers_Timer7",
    ["wp"] = "TotemTimers_Timer8",
}
	
local TotemTimers_Bindings = {
	["TOTEMTIMERSAIR"] = function(key) 
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[AIR_TOTEM_SLOT])
		getglobal(buttonnames[AIR_TOTEM_SLOT]).hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSEARTH"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[EARTH_TOTEM_SLOT])
		getglobal(buttonnames[EARTH_TOTEM_SLOT]).hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSFIRE"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[FIRE_TOTEM_SLOT])
		getglobal(buttonnames[FIRE_TOTEM_SLOT]).hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSWATER"] = function(key)	
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[WATER_TOTEM_SLOT])
		getglobal(buttonnames[WATER_TOTEM_SLOT]).hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSAIRMENU"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[AIR_TOTEM_SLOT], menubutton)
	end,
	["TOTEMTIMERSEARTHMENU"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[EARTH_TOTEM_SLOT], menubutton)
	end,
	["TOTEMTIMERSFIREMENU"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[FIRE_TOTEM_SLOT], menubutton)
	end,
	["TOTEMTIMERSWATERMENU"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames[WATER_TOTEM_SLOT], menubutton)
	end,
	["TOTEMTIMERSLIGHTNINGSHIELD"] = function(key)
		if TotemTimers_Spells[Icons.LightningShield] then SetOverrideBindingSpell(TotemTimersFrame, false, key, TotemTimers_Spells[Icons.LightningShield]) end
	end,
	["TOTEMTIMERSWATERSHIELD"] = function(key)
		if TotemTimers_Spells[Icons.WaterShield] then SetOverrideBindingSpell(TotemTimersFrame, false, key, TotemTimers_Spells[Icons.WaterShield]) end
	end,
	["TOTEMTIMERSTOTEMICCALL"] = function(key)
		if TotemTimers_Spells[Icons.TotemicCall] then SetOverrideBindingSpell(TotemTimersFrame, false, key, TotemTimers_Spells[Icons.TotemicCall]) end
	end,
	["TOTEMTIMERSEARTHSHIELDLEFT"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames["es"])
	end,
	["TOTEMTIMERSEARTHSHIELDRIGHT"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames["es"], "RightButton")
	end,
	["TOTEMTIMERSEARTHSHIELDMIDDLE"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames["es"], "MiddleButton")
	end,
	["TOTEMTIMERSWEAPONBUFF1"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames["wp"])
	end,
	["TOTEMTIMERSWEAPONBUFF2"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, buttonnames["wp"], "RightButton")
	end,
	["TOTEMTIMERSSTORMSTRIKE"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_Timer9")
        TotemTimers.timers[9].button.hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSLAVALASH"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_Timer10")
        TotemTimers.timers[10].button.hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSEARTHSHOCK"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_Timer11")
        TotemTimers.timers[11].button.hotkey:SetText(GetBindingText(key, "KEY_", 1))
	end,
	["TOTEMTIMERSSET1"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton1")
	end,
	["TOTEMTIMERSSET2"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton2")
	end,
	["TOTEMTIMERSSET3"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton3")
	end,
	["TOTEMTIMERSSET4"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton4")
	end,
	["TOTEMTIMERSSET5"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton5")
	end,
	["TOTEMTIMERSSET6"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton6")
	end,
	["TOTEMTIMERSSET7"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton7")
	end,
	["TOTEMTIMERSSET8"] = function(key)
		SetOverrideBindingClick(TotemTimersFrame, false, key, "TotemTimers_SetButton8")
	end,
}


function TotemTimers_SetBinding(key, binding)
    if not TotemTimers_IsSetUp then return end
    for i=1,11 do
        if TotemTimers.timers[i].button.hotkey:GetText() == key then
            TotemTimers.timers[i].button.hotkey:SetText("")
        end
    end
	if TotemTimers_Bindings[binding] then
		TotemTimers_Bindings[binding](key)
    elseif string.sub(binding,1, 15) == "TOTEMTIMERSCAST" then
        SetOverrideBindingClick(TotemTimersFrame, false, key, "TT_CastButton"..string.sub(binding,16))
	end
    TotemTimers_ProcessSetting("BarBindings")  
end

function TotemTimers_InitializeBindings()
    SetupSpellNames()
	local key1, key2
    for i=1,11 do
        TotemTimers.timers[i].button.hotkey:SetText("")
    end
	for binding,_ in pairs(TotemTimers_Bindings) do
		key1, key2 = GetBindingKey(binding)
		if key2 then TotemTimers_Bindings[binding](key2) end
		if key1 then TotemTimers_Bindings[binding](key1) end
	end
    for i=1,4 do
        for j=1,7 do
            key1, key = GetBindingKey("TOTEMTIMERSCAST"..i..j)
            if key2 then SetOverrideBindingClick(TotemTimersFrame, false, key2, "TT_CastButton"..i..j) end
            if key1 then SetOverrideBindingClick(TotemTimersFrame, false, key1, "TT_CastButton"..i..j) end
        end
    end
    TotemTimers_ProcessSetting("BarBindings") 
end
