﻿local db
local bf
local lbf
local ttbf

local defaults = {
	profile = {
		["*"] = {
		},
	},
}

if LibStub and IsAddOnLoaded("ButtonFacade") then
        
    bf = LibStub("AceAddon-3.0"):GetAddon("ButtonFacade")
    lbf = LibStub("LibButtonFacade", true)
    
    if bf and lbf then
    
        ttbf =  bf:NewModule("TotemTimers")
        
        function ttbf:OnInitialize()
            db = self:RegisterNamespace("TotemTimers",defaults)
            self.db = db
            --self:RegisterModuleOptions("ButtonTest",module_Options)
            self:SetEnabledState(false)
        end
        
        function ttbf:SkinCallback(SkinID,Gloss,Backdrop,Group,Button,Colors)
            if not Group then return end
                
            db.profile[Group].Skin = SkinID
            db.profile[Group].Gloss = Gloss
            db.profile[Group].Backdrop = Backdrop
            db.profile[Group].Colors = Colors
            
            if Group == "Timers" then
                local skins = lbf:GetSkins()
                if skins[SkinID].Icon then
                    TotemTimers_SetWeaponTextures(false, skins[SkinID])
                end
                if SkinID == "Blizzard" then
                    for k,v in pairs(TotemTimers.timers) do
                        v.button:SetNormalTexture(nil)
                    end
                end
            end
        end
        
        function ttbf:OnEnable()
            lbf:RegisterSkinCallback("TotemTimers", ttbf.SkinCallback,ttbf)
            local group = lbf:Group("TotemTimers", "Timers")
            for k,v in pairs(TotemTimers.timers) do
                group:AddButton(v.button)
            end 
            for i = 1,4 do
                for j = 1,7 do
                    group:AddButton(getglobal("TT_CastButton"..i..j))
                end
            end
            group:Skin(db.profile["Timers"].Skin or "Blizzard", db.profile["Timers"].Gloss, db.profile["Timers"].Backdrop, db.profile["Timers"].Colors)
            group = lbf:Group("TotemTimers", "Set Buttons")
            for i=1,8 do
                group:AddButton(getglobal("TotemTimers_SetButton"..i))
            end
            group:Skin(db.profile["Set Buttons"].Skin or "Blizzard", db.profile["Set Buttons"].Gloss, db.profile["Set Buttons"].Backdrop, db.profile["Set Buttons"].Colors)
        end     
    end    
end

function TotemTimers_InitButtonFacade()
    if bf and lbf then bf:EnableModule("TotemTimers") end
end
