-- Copyright  2008, 2009 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current permissions only include curse.com, wowui.worldofwar.net, wowinterface.com and their respective addon updaters

if not TotemTimers_Settings then TotemTimers_Settings = {} end

local Icons = TotemTimers_Icons

local Default_Settings = {
	Version = 9.0,
	ShowTimerBars = true,
	TimerSize = 32,
	Arrange = "horizontal",
	TimerSpacing = 5,
	TimerTimeSpacing = 0,
	TimerBarPos = "BOTTOM",
	FlashRed = true,
	TimerTimeHeight = 12,
	TimeStyle = "mm:ss",
	TimerTimePos = "BOTTOM",
	Msg = "tt",
	TotemWarningMsg = true,
	TotemExpirationMsg = true,
	TotemDestroyedMsg = true,
	AnkhTracker = true,
	ShieldTracker = true,
	EarthShieldTracker = true,
	WeaponTracker = true,
	TrackerArrange = "horizontal",
	TrackerSize = 30,
	TrackerSpacing = 5,
	TrackerTimeSpacing = 0,
	TrackerTimeHeight=12,
	TrackerTimePos = "BOTTOM",
	ShieldMsg = true,
	EarthShieldMsg = true,
	WeaponMsg = true,
    MaelstromMsg = true,
	HideBlizzTimers = true,
	ShieldLeftButton = Icons.LightningShield,
	ShieldRightButton = Icons.WaterShield,
	ShieldMiddleButton = Icons.TotemicCall,
	EarthShieldLeftButton = "focus", 
	EarthShieldRightButton = "target",
	EarthShieldMiddleButton = "targettarget",
	EarthShieldButton4 = "player",
	LastMainEnchants = {},
	LastOffEnchants = {},
	WeaponEnchantDurations = {},
	WeaponEnchants = {Icons.RockbiterWeapon, Icons.FlametongueWeapon, Icons.EarthlivingWeapon, Icons.FrostbrandWeapon},
	Order = {1,2,3,4,},
	CastBarDirection = "auto",
	TotemOrder = {},
	SetCastTotems = false,
	MiniIcons = true,
	OpenMenu = "mouseover",
	TotemsOnTimers = {},
    TimerPositions = {},
    TotemSets = {},
    Lock = false,
    Show = true,
    ProcFlash = true,
    TimeFont = STANDARD_TEXT_FONT,
    ColorTimerBars = false,
    TimeFontName = "Friz Quadrata TT",
   	TimerBarTexture = "Interface\TargetingFrame\UI-StatusBar",
    TimerBarTextureName = "Blizzard",
    ShowCooldowns = true,
    BarBindings = true,
    ReverseBarBindings = false,
    InMacro1 = true,
    InMacro2 = true,
    InMacro3 = true,
    InMacro4 = true,
    EnhanceCDs = true,
    EnhanceCDsSize = 30,
    EnhanceCDsTimeHeight = 12,
    EnhanceCDsMaelstromHeight = 14,
    Tooltips = true,
    TotemTimerBarWidth = 36,
    TrackerTimerBarWidth = 36,
    BuffNames = {},
    TotemMenuSpacing = 0,
    CheckPlayerRange = true,
    CheckRaidRange = true,
    ShowRaidRangeTooltip = true,
    ActiveHiddenTimers = false,
    ShowKeybinds = true,
    DontAssignHiddenTotems = false,
    ShowOmniCCOnEnhanceCDs = true,
    HideEnhanceCDsOOC = false,
	AssignLastTotemOOC = false,
}
	
function TotemTimers_LoadDefaultSettings()
	local TotemTimers_Settings = TotemTimers_Settings

	for k,v in pairs(Default_Settings) do
		if TotemTimers_Settings[k] == nil then
			TotemTimers_Settings[k] = v
		end
	end
	
	if TotemTimers_Spells[Icons.WindfuryWeapon] then
		for i=1,4 do
			if TotemTimers_Settings.WeaponEnchants[i] == Icons.RockbiterWeapon then
				TotemTimers_Settings.WeaponEnchants[i] = Icons.WindfuryWeapon
			end
		end
	end
	
	if #TotemTimers_Settings.TotemOrder == 0 then
		for i=1,4 do
			TotemTimers_Settings.TotemOrder[i] = {}
		end
		for k,v in pairs(TotemData) do
			table.insert(TotemTimers_Settings.TotemOrder[v.element], k)
		end
	end
end
