-- Copyright  2008 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.

-- order dropdown menu
local TotemTimers_GUI_OrderOptions = {
	[EARTH_TOTEM_SLOT] = TT_EARTH,
	[FIRE_TOTEM_SLOT] = TT_FIRE,
	[WATER_TOTEM_SLOT] = TT_WATER,
	[AIR_TOTEM_SLOT] = TT_AIR,
}

function TotemTimers_GUI_DropdownOrder_OnLoad(self)
	local info = {}
	info.notCheckable = 1
	local nr = string.gsub(this:GetName(), "TotemTimers_GUI_DropdownOrder(%d).*", "%1")
	info.func = TotemTimers_GUI_DropdownOrder_OnClick
	for option, text in pairs(TotemTimers_GUI_OrderOptions) do
		info.text = text
		info.arg1 = option
		info.arg2 = tonumber(nr)
		UIDropDownMenu_AddButton(info)
	end
end

function TotemTimers_GUI_DropdownOrder_OnClick(self, value, nr)
	local fromnr = 0;
	for i=1,4 do
		if TotemTimers_Settings.Order[i] == value then fromnr = i end
	end
	TotemTimers_Settings.Order[fromnr] = TotemTimers_Settings.Order[nr]
	TotemTimers_Settings.Order[nr] = value
	--TotemTimers.timers[fromnr], TotemTimers.timers[nr] = TotemTimers.timers[nr], TotemTimers.timers[value]
	TotemTimers_GUI_Timers:Hide()
	TotemTimers_GUI_Timers:Show()
	TotemTimers_ProcessSetting("Order")
end

function TotemTimers_GUI_DropdownOrder_OnShow(self)
	local nr = string.gsub(self:GetName(), "TotemTimers_GUI_DropdownOrder", "")
	UIDropDownMenu_SetText(self, TotemTimers_GUI_OrderOptions[TotemTimers_Settings.Order[tonumber(nr)]])	
end



-- arrange dropdown menu
local TotemTimers_GUI_ArrangeOptions = {
	["vertical"] = TT_GUI_VERTICAL,
	["horizontal"] = TT_GUI_HORIZONTAL,
	["box"] = TT_GUI_BOX,
    ["free"] = TT_GUI_FREE,
}

function TotemTimers_GUI_DropdownArrange_OnLoad()
	local info = {}
	info.notCheckable = 1
	info.func = TotemTimers_GUI_DropdownArrange_OnClick
	for option, text in pairs(TotemTimers_GUI_ArrangeOptions) do
		info.text = text
		info.arg1 = option
		UIDropDownMenu_AddButton(info)
	end
end

function TotemTimers_GUI_DropdownArrange_OnClick(frame, value)
	TotemTimers_Settings.Arrange = value
	if TotemTimers_Settings.OpenMenu ~= "always" then
        if value ~= "free" then
            TotemTimers_Settings.CastBarDirection = "auto"
        else
            TotemTimers_Settings.CastBarDirection = "right"
        end
    end
	TotemTimers_OrderTimers()
	TotemTimers_PositionCastButtons()
    for i=1,4 do
        TotemTimers.timers[i]:SetTimerBarPos(TotemTimers.timers[i].timerBarPos, true)
    end
	TotemTimers_GUI_Timers:Hide()
    TotemTimers_GUI_Timers:Show()
end

function TotemTimers_GUI_DropdownArrange_OnShow()
	UIDropDownMenu_SetText(TotemTimers_GUI_DropdownArrange, TotemTimers_GUI_ArrangeOptions[TotemTimers_Settings.Arrange])	
end

-- time dropdown menu
local TotemTimers_GUI_TimeOptions = {
	["mm:ss"] = "mm:ss",
	["blizz"] = TT_GUI_BLIZZARD,
}

function TotemTimers_GUI_DropdownTime_OnLoad()
	local info = {}
	info.notCheckable = 1
	info.func = TotemTimers_GUI_DropdownTime_OnClick
	for option, text in pairs(TotemTimers_GUI_TimeOptions) do
		info.text = text
		info.arg1 = option
		UIDropDownMenu_AddButton(info)
	end
end

function TotemTimers_GUI_DropdownTime_OnClick(frame, value)
	TotemTimers_Settings.TimeStyle = value
	TotemTimers_ProcessSetting("TimeStyle")
	UIDropDownMenu_SetText(TotemTimers_GUI_DropdownTime, TotemTimers_GUI_TimeOptions[value])
end

function TotemTimers_GUI_DropdownTime_OnShow()
	UIDropDownMenu_SetText(TotemTimers_GUI_DropdownTime, TotemTimers_GUI_TimeOptions[TotemTimers_Settings.TimeStyle])	
end

-- time position dropdown menu
local TotemTimers_GUI_TimePosOptions = {
	["LEFT"] = TT_GUI_LEFT,
	["RIGHT"] = TT_GUI_RIGHT,
	["TOP"] = TT_GUI_TOP,
	["BOTTOM"] = TT_GUI_BOTTOM,
}

function TotemTimers_GUI_DropdownTimePos_OnLoad()
	local info = {}
	info.notCheckable = 1
	info.func = TotemTimers_GUI_DropdownTimePos_OnClick
	for option, text in pairs(TotemTimers_GUI_TimePosOptions) do
		info.text = text
		info.arg1 = option
		UIDropDownMenu_AddButton(info)
	end
end

function TotemTimers_GUI_DropdownTimePos_OnClick(frame, value)
	TotemTimers_Settings.TimerTimePos = value
	UIDropDownMenu_SetText(TotemTimers_GUI_DropdownTimePos, TotemTimers_GUI_TimePosOptions[value])
	TotemTimers_ProcessSetting("TimerTimePos")	
end

function TotemTimers_GUI_DropdownTimePos_OnShow()
	UIDropDownMenu_SetText(TotemTimers_GUI_DropdownTimePos, TotemTimers_GUI_TimePosOptions[TotemTimers_Settings.TimerTimePos])	
end

