local TotemTimers_GUI_BarDirections = {
	["auto"] = TT_GUI_AUTO,
	["left"] = TT_GUI_LEFT,
	["right"] = TT_GUI_RIGHT,
	["up"] = TT_GUI_UP,
	["down"] = TT_GUI_DOWN,
}

function TotemTimers_GUI_DropdownBarDirection_OnLoad()
	local info = {}
	info.notCheckable = 1
	info.func = TotemTimers_GUI_DropdownBardirection_OnClick
	info.text = TT_GUI_AUTO
	info.arg1 = "auto"
	if TotemTimers_Settings.OpenMenu ~= "always" then UIDropDownMenu_AddButton(info) end
	if TotemTimers_Settings.Arrange == "horizontal" or TotemTimers_Settings.OpenMenu == "always" then
		for k,v in pairs({"up", "down"}) do
			info.text = TotemTimers_GUI_BarDirections[v]
			info.arg1 = v
			UIDropDownMenu_AddButton(info)
		end
	end
    if TotemTimers_Settings.Arrange ~= "horizontal" or TotemTimers_Settings.OpenMenu == "always" then
		for k,v in pairs({"left", "right"}) do
			info.text = TotemTimers_GUI_BarDirections[v]
			info.arg1 = v
			UIDropDownMenu_AddButton(info)
		end
	end
end

function TotemTimers_GUI_DropdownBardirection_OnClick(self, value)
	TotemTimers_Settings.CastBarDirection = value
	TotemTimers_GUI_Timers2:Hide()
	TotemTimers_GUI_Timers2:Show()
	TotemTimers_PositionCastButtons()
end

function TotemTimers_GUI_DropdownBarDirection_OnShow(self)
	UIDropDownMenu_SetText(self, TotemTimers_GUI_BarDirections[TotemTimers_Settings.CastBarDirection])
end

-- open totem menus on ...

local TotemTimers_GUI_OpenMenuOptions = {
	["RightButton"] = TT_GUI_RIGHTCLICK,
	["MiddleButton"] = TT_GUI_MIDDLECLICK,
	["mouseover"] = TT_GUI_MOUSEOVER,
	["always"] = TT_GUI_ALWAYS,
}

function TotemTimers_GUI_DropdownOpenMenu_OnLoad()
	local info = {}
	info.notCheckable = 1
	info.func = TotemTimers_GUI_DropdownOpenMenu_OnClick
	for k,v in pairs(TotemTimers_GUI_OpenMenuOptions) do
		info.text = v
		info.arg1 = k
		UIDropDownMenu_AddButton(info)
	end
end

function TotemTimers_GUI_DropdownOpenMenu_OnClick(self, value)
    if TotemTimers_Settings.OpenMenu == "always" and value ~= "always" then 
        TotemTimers_Settings.CastBarDirection = "auto"
    end
	TotemTimers_Settings.OpenMenu = value
	TotemTimers_ProcessSetting("OpenMenu")
    if value == "always" then
        TotemTimers_Settings.CastBarDirection = "right"
        for i=1,4 do
            getglobal("TotemTimers_CastBar"..i):ClearAllPoints()
            getglobal("TotemTimers_CastBar"..i):SetPoint("CENTER", UIParent, "CENTER")
        end
    end
    TotemTimers_PositionCastButtons()
    TotemTimers_ProcessSetting("BarBindings")
	TotemTimers_GUI_Timers2:Hide()
	TotemTimers_GUI_Timers2:Show()
end

function TotemTimers_GUI_DropdownOpenMenu_OnShow(self)
	UIDropDownMenu_SetText(self, TotemTimers_GUI_OpenMenuOptions[TotemTimers_Settings.OpenMenu])
end
