function TotemTimers_GUI_Totems_OnShow(frame, element)
	last = nil
	local nr = 0
	for _,totem in pairs(TotemTimers_Settings.TotemOrder[element]) do
		nr = nr + 1
		if TotemTimers_Spells[totem] then
			if not getglobal("TotemTimers_GUI_Text"..totem) then
				local f = frame:CreateFontString("TotemTimers_GUI_Text"..totem, "ARTWORK", "GameFontNormal")
				f:SetText(TotemTimers_Spells[totem])
				f:SetWidth(150)
				f:SetJustifyH("LEFT")
				local down = CreateFrame("Button", "TotemTimers_GUI_Down"..totem, frame, "TotemTimers_GUI_Down")
				local up = CreateFrame("Button", "TotemTimers_GUI_Up"..totem, frame, "TotemTimers_GUI_Up")
				up.element, down.element = element, element
				up.totemText, down.totemText = f, f
				local check = CreateFrame("CheckButton", "TotemTimers_GUI_CheckHide"..totem, frame, "TotemTimers_GUI_CheckHide")
				getglobal("TotemTimers_GUI_CheckHide"..totem.."Text"):SetText(TT_GUI_HIDE)
				f.totem = totem
				f.up = up
				f.down = down
				f.check = check
			end
			local totemText = getglobal("TotemTimers_GUI_Text"..totem)
			if last == nil then
				totemText.up:SetPoint("TOPLEFT", frame, "TOPLEFT", 20, -15)
				totemText.lastTotem = nil
			else
				totemText.up:SetPoint("TOPLEFT", last.up, "TOPLEFT", 0, -40)
				last.nextTotem = totemText
				totemText.lastTotem = last				
			end
			totemText.nextTotem = nil
			totemText.down:SetPoint("LEFT", totemText.up, "RIGHT", 5, 0)
			totemText:SetPoint("LEFT", totemText.down, "RIGHT", 10, 0)
			totemText.check:SetPoint("LEFT", totemText, "RIGHT", 10,0)
			last = totemText
		end
	end
end

function TotemTimers_GUI_SwitchOrder(element, totem1, totem2)
	if InCombatLockdown() or not totem1 or not totem2 then
		return
	end
	local t1, t2
	for k,v in pairs(TotemTimers_Settings.TotemOrder[element]) do
		if v == totem1.totem then t1 = k end
		if v == totem2.totem then t2 = k end
	end
	if not t1 or not t2 then return end
	TotemTimers_Settings.TotemOrder[element][t1], TotemTimers_Settings.TotemOrder[element][t2] = TotemTimers_Settings.TotemOrder[element][t2], TotemTimers_Settings.TotemOrder[element][t1]
	TotemTimers_SetCastButtonSpells()
end

function TotemTimers_GUI_Up_OnClick(self)
	TotemTimers_GUI_SwitchOrder(self.element, self.totemText, self.totemText.lastTotem)
	self:GetParent():Hide()
	self:GetParent():Show()
end

function TotemTimers_GUI_Down_OnClick(self)
	TotemTimers_GUI_SwitchOrder(self.element, self.totemText, self.totemText.nextTotem)
	self:GetParent():Hide()
	self:GetParent():Show()
end
