-- Copyright  2008 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current permissions only include curse.com, wowui.worldofwar.net, wowinterface.com and their respective addon updaters

local Icons = TotemTimers_Icons
local Timers = TotemTimers.timers

local buttonFacadeSkin

function TotemTimers_SetWeaponTextures(cyCircled, skin)
    local button = TotemTimers.timers[8].button
	local name,_,_,_,rank = GetTalentInfo(2,20)
    skin = skin or buttonFacadeSkin
    buttonFacadeSkin = skin
	if rank and rank > 0 then
        button.icons[1]:ClearAllPoints()
        button.icons[1]:SetPoint("RIGHT", button, "CENTER")
        if cyCircled then
            button.icons[2]:SetTexCoord(0.5,0.96,0.06,0.96)
            button.icons[1]:SetWidth(button.icons[1]:GetWidth()/2)
            button.icons[2]:SetHeight(button.icons[1]:GetHeight())
            button.icons[1]:SetTexCoord(0.06,0.5,0.06,0.96)
        elseif skin then
            button.icons[1]:SetWidth(skin.Icon.Width/2 or 18)
            button.icons[1]:SetHeight(skin.Icon.Height or 36)
            button.icons[2]:SetWidth(skin.Icon.Width/2 or 18)
            button.icons[2]:SetHeight(skin.Icon.Height or 36)
            local coords = skin.Icon.TexCoords
            if coords then
                button.icons[1]:SetTexCoord(coords[1],coords[2]/2, coords[3], coords[4])
                button.icons[2]:SetTexCoord((1-coords[1])/2, coords[2], coords[3], coords[4])
            else
                button.icons[1]:SetTexCoord(0,0.5,0,1)
                button.icons[2]:SetTexCoord(0.5,1,0,1)                
            end
        else
            button.icons[1]:SetWidth(18)
            button.icons[1]:SetHeight(36)
            button.icons[1]:SetTexCoord(0,0.5,0,1)
            button.icons[2]:SetTexCoord(0.5,1,0,1)
        end
        button.icons[2]:SetWidth(button.icons[1]:GetWidth())
		button.icons[2]:Show()
        button.flash[2]:SetTexture(button.flash[1]:GetTexture())
        button.flash[1]:SetTexCoordModifiesRect(1)
        if not skin or not skin.Flash or not skin.Flash.TexCoords then
            button.flash[1]:SetTexCoord(0,0.5,0,1)
            button.flash[2]:SetTexCoord(0.5,1,0,1)
        else
            local coords = skins.Icon.TexCoords
            button.flash[1]:SetTexCoord(coords[1], 0.5, coords[2], coords[3])
            button.flash[2]:SetTexCoord(0.5, coords[2], coords[3], coords[4])
        end        
		TotemTimers.timers[8].numtimers = 2        
	else
        button.icons[1]:ClearAllPoints()
        button.icons[1]:SetPoint("CENTER", button, "CENTER")
        if not cyCircled and not skin then
           button.icons[1]:SetWidth(36) 
           button.icons[1]:SetHeight(36)
           button.icons[2]:SetWidth(18)
           button.icons[2]:SetHeight(36)
        end
        if not skin then
            button.icons[1]:SetTexCoord(0,1,0,1)
            button.flash[1]:SetTexCoordModifiesRect(1)
            button.flash[1]:SetTexCoord(0,1,0,1)
            button.icons[2]:Hide()
        end
		TotemTimers.timers[8].numtimers = 1
	end
	TotemTimers.timers[8]:SetTimerBarPos(TotemTimers.timers[8].timerBarPos)
end

function TotemTimers_CreateTrackers()
	-- ankh tracker
	local ankh = TotemTimers:new(1)
	ankh.button:SetScript("OnEvent", TotemTimers.AnkhEvent)
	ankh.button.icons[1]:SetTexture(Icons.Ankh)
	ankh.events[1] = "BAG_UPDATE"
	ankh.events[2] = "SPELL_UPDATE_COOLDOWN"
	ankh.button.anchorframe = TotemTimers_TrackerFrame
	ankh.showCooldown = true
	ankh.dontAlpha = true
	ankh.button.icons[1]:SetAlpha(1)
	ankh.timeStyle = "blizz"
	ankh.activate = function(self) 
        for i = 1,4 do
            TotemTimers.timers[i].button:SetParent(ankh.button)
        end
        TotemTimers.activate(self) 
        TotemTimers.AnkhEvent(ankh.button, "SPELL_UPDATE_COOLDOWN")
        TotemTimers_ProcessSetting("TimerSize")
    end
	ankh.button:RegisterForClicks("LeftButtonUp", "RightButtonUp")
    ankh.deactivate = function(self)
        for i = 1,4 do
            TotemTimers.timers[i].button:SetParent(UIParent)
        end
        TotemTimers.deactivate(self)
        TotemTimers_ProcessSetting("TimerSize")
    end
    ankh.button.cooldown.noCooldownCount = true
		
	local shield = TotemTimers:new(1)
	shield.button.icons[1]:SetTexture(Icons.LightningShield)
	shield.button.anchorframe = TotemTimers_TrackerFrame
	shield.button:SetScript("OnEvent", TotemTimers.ShieldEvent)
	shield.events[1] = "UNIT_SPELLCAST_SUCCEEDED"
	shield.events[2] = "UNIT_AURA"
	shield.timeStyle = "blizz"
	shield.activate = function(self)
        TotemTimers.activate(self)
        TotemTimers.ShieldEvent(self.button, "UNIT_AURA")
        if not TotemTimers_Settings.ShieldTracker then
            self.button:Hide()
        end
      end
	shield.button:SetAttribute("*type*", "spell")
    shield.button:SetAttribute("*unit*", "player")
	shield.button:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp")
	
	local earthshield = TotemTimers:new(1)
	earthshield.button.icons[1]:SetTexture(Icons.EarthShield)
	earthshield.button.anchorframe = TotemTimers_TrackerFrame
	earthshield.button:SetScript("OnEvent", TotemTimers.EarthShieldEvent)
	earthshield.events[1] = "UNIT_SPELLCAST_SUCCEEDED"
	earthshield.events[2] = "COMBAT_LOG_EVENT_UNFILTERED"
	earthshield.events[3] = "UNIT_AURA"
	earthshield.events[4] = "PARTY_MEMBER_CHANGED"
	earthshield.events[5] = "RAID_ROSTER_UPDATE"
	earthshield.events[6] = "PLAYER_REGEN_ENABLED"
	earthshield.timeStyle = "blizz"
	earthshield.button:SetAttribute("*type*", "spell")
	earthshield.activate = function(self)
        TotemTimers.activate(self)
        self.button:SetAttribute("*spell*", TotemTimers_Spells[Icons.EarthShield])
        if not TotemTimers_Settings.EarthShieldTracker then self.button:Hide() end
      end
	earthshield.button:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp", "Button4Up")
    earthshield.ManaCheck = Icons.EarthShield
	
	local weapon = TotemTimers:new(2)
	weapon.button.icons[1]:SetTexture(Icons.RockbiterWeapon)
	weapon.button.icons[2]:SetTexture(Icons.RockbiterWeapon)
	weapon.button.anchorframe = TotemTimers_TrackerFrame
	weapon.button:SetScript("OnEvent", TotemTimers.WeaponEvent)
	weapon.events[1] = "COMBAT_LOG_EVENT_UNFILTERED"
	weapon.events[2] = "UNIT_INVENTORY_CHANGED"
	weapon.events[3] = "CHARACTER_POINTS_CHANGED"
    weapon.events[5] = "UNIT_SPELLCAST_SUCCEEDED"
    weapon.events[6] = "UNIT_AURA"
	weapon.events[7] = "PLAYER_TALENT_UPDATE"
	weapon.timeStyle = "blizz"
	weapon.button:SetAttribute("*type*", "spell")
    weapon.button:RegisterEvent("PLAYER_ALIVE")
	weapon.update = TotemTimers.WeaponUpdate
	weapon.button:RegisterForClicks("LeftButtonUp", "RightButtonUp")
    weapon.timerbars[1]:SetMinMaxValues(0,1800)
    weapon.timerbars[2]:SetMinMaxValues(0,1800)
	TotemTimers_SetWeaponTextures()
    weapon.flashall = true
    weapon.activate = function(self)
        TotemTimers.activate(self)
        if not TotemTimers_Settings.WeaponTracker then self.button:Hide() end
      end
end

function TotemTimers.AnkhEvent(self, event)
	if not TotemTimers_Spells[Icons.Ankh] then return end
	if event=="BAG_UPDATE" then
		local ankhs = GetItemCount(17030)
		self.count:SetText(ankhs)
		if ankhs == 0 then
			self.icons[1]:SetVertexColor(0.5,0.5,1.0)
		else
			self.icons[1]:SetVertexColor(1.0,1.0,1.0)
		end
	else
		local start, duration, enable = GetSpellCooldown(TotemTimers_Spells[Icons.Ankh])
		if duration == 0 then
			self.timer:stop(1)
		elseif self.timer.timers[1]<=0 then
			self.timer:start(1,start+duration-floor(GetTime()),3600)
		end
	end
end

local shieldtable = {Icons.LightningShield, Icons.WaterShield, Icons.EarthShield}

function TotemTimers.ShieldEvent(self, event, unit)
	if event=="UNIT_SPELLCAST_SUCCEEDED" and unit=="player" then
		local start, duration, enable = GetSpellCooldown(TotemTimers_Spells[Icons.LightningShield])
		if start and duration then CooldownFrame_SetTimer(self.cooldown, start, duration, enable) end
	elseif unit=="player" then
		self.count:SetText("")
		local name, texture, count, duration, endtime
		for _, shield in pairs(shieldtable) do
			if not name and TotemTimers_Spells[shield] then
				name,_,texture,count,_,duration,endtime = UnitAura("player", TotemTimers_Spells[shield])
			end
		end	
			
		if name then
			local timeleft = endtime - GetTime()
			if name ~= self.shield or timeleft>self.timer.timers[1] then
				self.icons[1]:SetTexture(texture)
				self.timer:start(1, timeleft, duration)
				self.timer.expirationMsgs[1] = TotemTimers_Settings.ShieldMsg and string.format(TT_EXPIRED, name) or nil
				self.timer.earlyExpirationMsgs[1] = TotemTimers_Settings.ShieldMsg and string.format(TT_SHIELDINACTIVE, name) or nil
			end
			self.count:SetText(count)
		elseif self.timer.timers[1]>0 then
			self.timer:stop(1)
		end
	end  
end

local ButtonPositions = {
	["box"] = {{"CENTER",0,"CENTER"},{"LEFT",1,"RIGHT"},{"TOP",2,"BOTTOM"},{"LEFT",1,"RIGHT"}},
	["horizontal"] = {{"CENTER",0,"CENTER"},{"LEFT",1,"RIGHT"},{"LEFT",1,"RIGHT"},{"LEFT",1,"RIGHT"}},
	["vertical"] = {{"CENTER",0,"CENTER"},{"TOP",1,"BOTTOM"},{"TOP",1,"BOTTOM"},{"TOP",1,"BOTTOM"}}	
}

local TrackerOptions = {
    [5] = "AnkhTracker",
    [6] = "ShieldTracker",
    [7] = "EarthShieldTracker",
    [8] = "WeaponTracker",
}

function TotemTimers_OrderTrackers()
	local arrange = TotemTimers_Settings.TrackerArrange
  	local Timers = TotemTimers.timers
    for e=5,8 do
		Timers[e]:ClearAnchors()
		Timers[e].button:ClearAllPoints()
	end
    if arrange == "free" then
        for i=5,8 do
            Timers[i].savePos = true
            local pos = TotemTimers_Settings.TimerPositions[i]            
            if not pos or not pos[1] then pos = {"CENTER", "UIParent", "CENTER", 0,0} end
            Timers[i].button:ClearAllPoints()
            Timers[i].button:SetPoint(pos[1], pos[2], pos[3], pos[4], pos[5])
        end
    else
    	local counter = 0
    	local buttons = {}
    	for i=5,8 do
            Timers[i].savePos = false
    		--if Timers[i].active then
            if TotemTimers.timers[i].button:IsVisible() then
    			counter = counter + 1
    			if counter == 1 then
    				Timers[i]:SetPoint(ButtonPositions[arrange][1][1], TotemTimers_TrackerFrame, ButtonPositions[arrange][1][3])
    			else
    				Timers[i]:Anchor(buttons[counter-ButtonPositions[arrange][counter][2]], ButtonPositions[arrange][counter][1])	
    			end
    			buttons[counter] = Timers[i]
    		end
    	end
    end
end


local earthShieldTarget
local earthShieldRecastName = ""
local playerName = UnitName("player")
local earthShieldRecast = false
local changeEarthShieldRecast = false

local buttons = {"LeftButton", "RightButton", "MiddleButton", "Button4"}

function TotemTimers_EnableEarthShieldRecast()
	earthShieldRecast = true
end

local function TotemTimers_ChangeEarthShieldTarget()
	for k,v in pairs(buttons) do
		if TotemTimers_Settings["EarthShield"..v] == "recast" then
			for i = 1,4 do
				if UnitExists("party"..i) and UnitName("party"..i) == earthShieldRecastName then
					Timers[7].button:SetAttribute("*unit"..k, "party"..i)
					break
				end
			end
			for i = 1,GetNumRaidMembers() do
				if UnitName("raid"..i) == earthShieldRecastName then
					Timers[7].button:SetAttribute("*unit"..k, "raid"..i)
					break
				end
			end
			break
		end
	end
end

function TotemTimers_SetEarthShieldRecast(name)
	if not earthShieldRecast then return end
	earthShieldRecastName = name
	if InCombatLockdown() then
		changeEarthShieldRecast = true
	else
		TotemTimers_ChangeEarthShieldTarget()
	end
end

function TotemTimers.EarthShieldEvent(self, event, ...)
	local spellname = TotemTimers_Spells[Icons.EarthShield]
	if not spellname then return end
	local unit,spellcast,_,caster,_,_,target,_,_,spell = ...
	if event == "COMBAT_LOG_EVENT_UNFILTERED" and spellcast=="SPELL_CAST_SUCCESS" and spell == spellname then
		if caster == playerName then
			target = string.gsub(target, "(%-.+)", "")
			earthShieldTarget = target
			if earthShieldRecast and earthShieldRecastName ~= target then
				earthShieldRecastName = target
				if not InCombatLockdown() then
					TotemTimers_ChangeEarthShieldTarget()
				else
					changeEarthShieldRecast = true
				end
			end
		end
	elseif event=="UNIT_SPELLCAST_SUCCEEDED" and select(1,...) == "player" then
		local start, duration, enable = GetSpellCooldown(spellname)
		if start and duration then CooldownFrame_SetTimer(self.cooldown, start, duration, enable) end
	elseif event == "UNIT_AURA" then
		if earthShieldTarget and UnitName(unit) == earthShieldTarget then
			local name,_,_,count,_,duration,endtime = UnitBuff(unit, spellname)
			if count then
				local timeleft = endtime - GetTime()
				self.count:SetText(count)
				if self.timer.timers[1]<timeleft then
					self.timer:start(1, timeleft, duration)
					self.timer.expirationMsgs[1] = TotemTimers_Settings.EarthShieldMsg and string.format(TT_EXPIRED, name) or nil
					self.timer.earlyExpirationMsgs[1] = TotemTimers_Settings.EarthShieldMsg and string.format(TT_SHIELDINACTIVE, name) or nil
				end
			elseif self.timer.timers[1] > 0 then
				self.timer:stop(1)
				self.count:SetText("")
			end
		end
	elseif event == "PLAYER_REGEN_ENABLED" and earthShieldRecast and changeEarthShieldRecast then
		TotemTimers_ChangeEarthShieldTarget()
	elseif (event == "PARTY_MEMBERS_CHANGED" or event == "RAID_ROSTER_UPDATE") and earthShieldRecast then
		if InCombatLockdown() then
			changeEarthShieldTarget = true
		else
			TotemTimers_ChangeEarthShieldTarget()
		end
	end
end

local mainMsg = ""
local offMsg = ""

local GetWeaponEnchantInfo = GetWeaponEnchantInfo

function TotemTimers.WeaponUpdate(self, elapsed)	
	local enchant, expiration, _, oenchant, oexpiration = GetWeaponEnchantInfo()
    if enchant then
        if expiration/1000 > self.timers[1] then
            self:start(1, expiration/1000, 1800)
        end
        if expiration == 0 then
            self:stop(1)
        else
            self.timers[1] = expiration/1000
        end
        if self.timers[1] > 10 then
            self.expirationMsgs[1] = mainMsg
        end
    elseif self.timers[1] > 0 then
        self:stop(1)
    end
    if oenchant then
        if oexpiration/1000 > self.timers[2] then
            self:start(2, oexpiration/1000, 1800)
        end
        self.timers[2] = oexpiration/1000
        if self.timers[2] > 10 then
            self.expirationMsgs[2] = offMsg
        end    
        if oexpiration == 0 then
            self:stop(2)
        end
    elseif self.timers[2] > 0 then
        self:stop(2)
    end
    TotemTimers.update(self, 0)
end

local function getWeapons()
	lastMhWeapon = mainHandWeapon
	lastOhWeapon = offHandWeapon
	mainHandWeapon = GetInventoryItemLink("player", 16)
	offHandWeapon = GetInventoryItemLink("player", 17)
	if mainHandWeapon then  mainHandWeapon = tonumber(select(3,string.find(mainHandWeapon, "item:(%d+):"))) else mainHandWeapon = 0 end
	if offHandWeapon then offHandWeapon = tonumber(select(3,string.find(offHandWeapon, "item:(%d+):"))) else offHandWeapon = 0 end
end


local lastMaelstromCount = 0
local WeaponBuffs = {Icons.WindfuryWeapon, Icons.RockbiterWeapon, Icons.FlametongueWeapon, Icons.FrostbrandWeapon, Icons.EarthlivingWeapon}
local lastWeaponBuffCast

function TotemTimers.WeaponEvent(self, event, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		local _,eventtype,_,_,_,_,name,_,enchantrank,weapon = ...
		if eventtype == "ENCHANT_APPLIED" and name == playerName and enchantrank then
			getWeapons()
			local texture
			local enchant = string.gsub(enchantrank, " %d+$", "")
            texture = lastWeaponBuffCast
            lastWeaponBuffCast = nil
			if not texture then
				texture = select(10,GetItemInfo(enchantrank))
				if not texture then texture = select(10, GetItemInfo(weapon)) end
			end
			if weapon and weapon == mainHandWeapon then
                TotemTimers_Settings.LastMainEnchants[mainHandWeapon] = {enchant, texture}
                self.icons[1]:SetTexture(texture)
				mainMsg = string.format(TT_EXPIRED, enchant)
			end
			if weapon and weapon == offHandWeapon then
				TotemTimers_Settings.LastOffEnchants[offHandWeapon] = {enchant, texture}
                self.icons[2]:SetTexture(texture)
                offMsg = string.format(TT_EXPIRED, enchant)
			end
		end
	elseif event == "UNIT_INVENTORY_CHANGED" then
		getWeapons()
		if mainHandWeapon ~= lastMhWeapon and mainHandWeapon ~= 0 then
			local enchant, texture 
			if not TotemTimers_Settings.LastMainEnchants[mainHandWeapon] then
				enchant = ""
                texture = Icons.RockbiterWeapon
			else
                enchant = TotemTimers_Settings.LastMainEnchants[mainHandWeapon][1]
                texture = TotemTimers_Settings.LastMainEnchants[mainHandWeapon][2]
            end
            self.icons[1]:SetTexture(texture)
			mainMsg = string.format(TT_EXPIRED, enchant)            
		end
		if offHandWeapon ~= lastOhWeapon and offHandWeapon ~= 0 then
			local enchant, texture 
			if not TotemTimers_Settings.LastOffEnchants[offHandWeapon] then
				enchant = ""
                texture = Icons.RockbiterWeapon
			else
                enchant = TotemTimers_Settings.LastOffEnchants[offHandWeapon][1]
                texture = TotemTimers_Settings.LastOffEnchants[offHandWeapon][2]
            end
            self.icons[2]:SetTexture(texture)
			offMsg = string.format(TT_EXPIRED, enchant)
        end
	elseif event == "CHARACTER_POINTS_CHANGED" or event == "PLAYER_ALIVE" or event == "PLAYER_TALENT_UPDATE" then
		TotemTimers_SetWeaponTextures()
        if event == "PLAYER_ALIVE" then
            TotemTimers.timers[8].button:UnregisterEvent("PLAYER_ALIVE")
        end
    elseif event == "UNIT_SPELLCAST_SUCCEEDED" and select(1,...) == "player" then
        local spell = select(2, ...)
        for k,v in pairs(WeaponBuffs) do
            if TotemTimers_Spells[v] and TotemTimers_Spells[v] == spell then
                lastWeaponBuffCast = v
            end
        end
        local start, duration, enable = GetSpellCooldown(TotemTimers_Spells[Icons.RockbiterWeapon])
		if start and duration then CooldownFrame_SetTimer(self.cooldown, start, duration, enable) end
    elseif event == "UNIT_AURA" and select(1,...) == "player" and TotemTimers_Spells.maelstrom then
        local name,_,_,count,_,duration,endtime = UnitBuff("player", TotemTimers_Spells.maelstrom)
        self.bar:SetValue(count or 0)
        self.count:SetText(tostring(count or ""))
        if TotemTimers_Settings.MaelstromMsg and count == 5 and lastMaelstromCount ~= 5 then
            self.timer:Msg(TT_MAELSTROMWARNING, "warning")
        end
        lastMaelstromCount = count or lastMaelstromCount
	end
end
