-- Copyright  2008, 2009 Xianghar  <xian@zron.de>
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current permissions only include curse.com, wowui.worldofwar.net, wowinterface.com and their respective addon updaters


function TotemTimers_GetSpells()
    TotemTimers.WindShock = GetSpellInfo(57994)
    TotemTimers_Spells = {}
    TotemTimers_SpellIDs = {}
    TotemTimers_Spells.maelstrom = GetTalentInfo(2,28)
	for i = 2, GetNumSpellTabs() do
		local name, _, offset, numSpells = GetSpellTabInfo(i)
        for s = offset + 1, offset + numSpells do
            local spell = GetSpellName(s, BOOKTYPE_SPELL)
            if spell and spell ~= TotemTimers.WindShock then
                local icon = GetSpellTexture(spell)
                if icon then
                    TotemTimers_Spells[icon] = spell
                    TotemTimers_SpellIDs[spell] = s
                end
            end
        end
	end    
    return true
end

function TotemTimers_LearnedSpell(tab)
    if tab then
		local name, _, offset, numSpells = GetSpellTabInfo(tab)
        for s = offset + 1, offset + numSpells do
            local spell = GetSpellName(s, BOOKTYPE_SPELL)
            if spell then
                local icon = GetSpellTexture(spell)
                if icon then
                    TotemTimers_Spells[icon] = spell
                    TotemTimers_SpellIDs[spell] = s
                end
            end
        end
    end
    TotemTimers_SetCastButtonSpells()
    TotemTimers_ProcessSetting("AnkhTracker")
    TotemTimers_ProcessSetting("ShieldTracker")
    TotemTimers_ProcessSetting("EarthShieldTracker")
    TotemTimers_ProcessSetting("WeaponTracker")  
    TotemTimers_ProcessSetting("EnhanceCDs") 
    TotemTimers_ProcessSetting("Show")
end

local Icons = TotemTimers_Icons

function TotemTimers_UnlearnedTalents()
    TotemTimers_Spells[Icons.ManaTide] = nil
    TotemTimers_Spells[Icons.EarthShield] = nil
    TotemTimers_Spells[Icons.Wrath] = nil
    TotemTimers_SetCastButtonSpells()
    TotemTimers_ProcessSetting("EarthShieldTracker")
    TotemTimers_ProcessSetting("WeaponTracker")
    TotemTimers_ProcessSetting("EnhanceCDs")    
end

function TotemTimers_SwitchedTalents()
	TotemTimers_Spells[Icons.ManaTide] = nil
    TotemTimers_Spells[Icons.EarthShield] = nil
    TotemTimers_Spells[Icons.Wrath] = nil
	TotemTimers_GetSpells()
    TotemTimers_SetCastButtonSpells()
    TotemTimers_ProcessSetting("EarthShieldTracker")
    TotemTimers_ProcessSetting("WeaponTracker")
    TotemTimers_ProcessSetting("EnhanceCDs")    
end
