BINDING_HEADER_ZMOBDB = "ZMobDB Advanced";
BINDING_NAME_ZMOBDB_CONFIG = "Config Window";
BINDING_NAME_ZMOBDB_REFRESH = "Refresh Models";
BINDING_NAME_ZMOBDB_COPY = "Copy Window";
BINDING_NAME_ZMOBDB_TEMPLATE = "Template Window";
BINDING_NAME_ZMOBDB_TESTBOX = "Animation Test";


ZMobDB_Unit_table = { 
"player",
"target",
"party",
"pet",
"targettarget",
"pettarget",
"partytarget",
"focus",
"focustarget",
"partypet",
};

ZMobDB_Unittype_table = { 
"player",
"target",
"party1",
"party2",
"party3",
"party4",
"pet",
"targettarget",
"pettarget",
"party1target",
"party2target",
"party3target",
"party4target",
"focus",
"party1pet",
"party2pet",
"party3pet",
"party4pet",
"focustarget",
};

ZMobDB_Unit_word = {
	["player"] = "player",
	["target"] = "target",
	["party1"] = "party",
	["party2"] = "party",
	["party3"] = "party",
	["party4"] = "party",
	["pet"] = "pet",
	["targettarget"] = "targettarget",
	["pettarget"] = "pettarget",
	["party1target"] = "partytarget",
	["party2target"] = "partytarget",
	["party3target"] = "partytarget",
	["party4target"] = "partytarget",
	["focustarget"] = "focustarget",
	["focus"] = "focus",
	["party1pet"] = "partypet",
	["party2pet"] = "partypet",
	["party3pet"] = "partypet",
	["party4pet"] = "partypet",
};

ZMobDB_Avatar_table = {
	["player"] = { ["unit"] = 0, ["target"] = 1, ["pet"] = 6, ["focus"] = 14 },
	["target"] = { ["unit"] = 1, ["target"] = 7, ["pet"] = nil, ["focus"] = nil },
	["party1"] = { ["unit"] = 2, ["target"] = 10, ["pet"] = 15, ["focus"] = nil },
	["party2"] = { ["unit"] = 3, ["target"] = 11, ["pet"] = 16, ["focus"] = nil },
	["party3"] = { ["unit"] = 4, ["target"] = 12, ["pet"] = 17, ["focus"] = nil },
	["party4"] = { ["unit"] = 5, ["target"] = 13, ["pet"] = 18, ["focus"] = nil },
	["pet"] = { ["unit"] = 6, ["target"] = 8, ["pet"] = nil, ["focus"] = nil },
	["targettarget"] = { ["unit"] = 7, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["pettarget"] = { ["unit"] = 8, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partytarget1"] = { ["unit"] = 10, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partytarget2"] = { ["unit"] = 11, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partytarget3"] = { ["unit"] = 12, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partytarget4"] = { ["unit"] = 13, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["focustarget"] = { ["unit"] = 19, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["focus"] = { ["unit"] = 14, ["target"] = 19, ["pet"] = nil, ["focus"] = nil },
	["partypet1"] = { ["unit"] = 15, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partypet2"] = { ["unit"] = 16, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partypet3"] = { ["unit"] = 17, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
	["partypet4"] = { ["unit"] = 18, ["target"] = nil, ["pet"] = nil, ["focus"] = nil },
};

ZMobDB_table_default = { 
	default = { 
	scale = 1,
	zoom = 0,
	position = {0,0},
	rotation = 0,
	template = "No Use",
 } };

function ZMobDB_SetupDefaultProfile(ZMobDBPlayerIndex,Index)
--Set ALL needed variables to their default state.
	if Index=="default" then
		Table = ZMobDB_Options_4
	else
		Table = ZMobDB_Options_Temp
	end

	Table[ZMobDBPlayerIndex]={}
	Table[ZMobDBPlayerIndex]["Settings"]={}
	Table[ZMobDBPlayerIndex]["Settings"]["SlowMode"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["HideInRaid"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["TargetData"]="No Target"
	Table[ZMobDBPlayerIndex]["Settings"]["CopyEntry"]=""
	Table[ZMobDBPlayerIndex]["Settings"]["TempEntry"]=""
	Table[ZMobDBPlayerIndex]["Settings"]["TargetTemplate"]="No Target"
	Table[ZMobDBPlayerIndex]["Settings"]["HoldBox"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["Mouseoverthrough"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["PvPMode"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["SimpleMode"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["DropDown"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["PainRate"]=30
	Table[ZMobDBPlayerIndex]["Settings"]["AlphaRate"]=50
	Table[ZMobDBPlayerIndex]["Settings"]["Symbol"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Tooltip"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Tooltip_Unit"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Tooltip_onlyconfig"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_IsNotCombat"]="off"
	Table[ZMobDBPlayerIndex]["Settings"]["Strata"]="LOW"
	Table[ZMobDBPlayerIndex]["Settings"]["Ghost_Model_name"]="tombstone"
	Table[ZMobDBPlayerIndex]["Settings"]["Border"]="default"
	Table[ZMobDBPlayerIndex]["Settings"]["Reflesh_control"]="mouseright"
	Table[ZMobDBPlayerIndex]["Settings"]["SelectUnit"]="player"
	Table[ZMobDBPlayerIndex]["Settings"]["SelectUnit_Animation"]="target"
	Table[ZMobDBPlayerIndex]["Settings"]["Select_Animation"]="Normal"
	Table[ZMobDBPlayerIndex]["Settings"]["SelectBox"]="player"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Wave"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Rude"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Roar"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Kiss"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Chicken"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Applause"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Flex"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Point"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Shout"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Random_Run"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Flinch"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Flinch2"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Spell"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Spell2"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Run"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_WalkBack"]="on"
	Table[ZMobDBPlayerIndex]["Settings"]["Hit_Channeling"]="on"

	for index,value in ipairs(ZMobDB_Unit_table) do
		if 
			value == "player" or 
			value == "pet" 
		then
			Table[ZMobDBPlayerIndex][value]={}
			Table[ZMobDBPlayerIndex][value]["Show"]="on"
			Table[ZMobDBPlayerIndex][value]["Port"]="off"
			Table[ZMobDBPlayerIndex][value]["Strata"]="LOW"
			Table[ZMobDBPlayerIndex][value]["Specific"]="on"
			Table[ZMobDBPlayerIndex][value]["EnableMouse"]="on"
			Table[ZMobDBPlayerIndex][value]["FixFace"]="off"
			Table[ZMobDBPlayerIndex][value]["RaidIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["PvPIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Position"]="TOPLEFT"
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionX"]=0
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionY"]=0
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["PvPIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["EventAnimation"]="on"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_ChangeView"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval_Combat"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate_Combat"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_IsFriend"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ghost"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Dead"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Rest"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Pain"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_AFK"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Stealth"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ice"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shackle"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Fear"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Cyclone"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Seduce"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Banish"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Sleep"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shield"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Bandage"]="on"
		elseif 
			value == "pettarget" or 
			value == "partytarget" or 
			value == "partypet" or 
			value == "focus" or 
			value == "focustarget" 
		then
			Table[ZMobDBPlayerIndex][value]={}
			Table[ZMobDBPlayerIndex][value]["Show"]="off"
			Table[ZMobDBPlayerIndex][value]["Port"]="off"
			Table[ZMobDBPlayerIndex][value]["Strata"]="LOW"
			Table[ZMobDBPlayerIndex][value]["Specific"]="off"
			Table[ZMobDBPlayerIndex][value]["EnableMouse"]="on"
			Table[ZMobDBPlayerIndex][value]["FixFace"]="off"
			Table[ZMobDBPlayerIndex][value]["RaidIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["PvPIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Position"]="TOPLEFT"
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionX"]=0
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionY"]=0
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["PvPIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["EventAnimation"]="on"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_ChangeView"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval_Combat"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate_Combat"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_IsFriend"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ghost"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Dead"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Rest"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Pain"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_AFK"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Stealth"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ice"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shackle"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Fear"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Cyclone"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Seduce"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Banish"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Sleep"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shield"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Bandage"]="on"
		else
			Table[ZMobDBPlayerIndex][value]={}
			Table[ZMobDBPlayerIndex][value]["Show"]="on"
			Table[ZMobDBPlayerIndex][value]["Port"]="off"
			Table[ZMobDBPlayerIndex][value]["Strata"]="LOW"
			Table[ZMobDBPlayerIndex][value]["Specific"]="off"
			Table[ZMobDBPlayerIndex][value]["EnableMouse"]="on"
			Table[ZMobDBPlayerIndex][value]["FixFace"]="off"
			Table[ZMobDBPlayerIndex][value]["RaidIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["PvPIcon"]="on"
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Position"]="TOPLEFT"
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionX"]=0
			Table[ZMobDBPlayerIndex][value]["PvPIcon_PositionY"]=0
			Table[ZMobDBPlayerIndex][value]["RaidIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["PvPIcon_Size"]=20
			Table[ZMobDBPlayerIndex][value]["EventAnimation"]="on"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_ChangeView"]="off"
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Interval_Combat"]=10
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_Rate_Combat"]=50
			Table[ZMobDBPlayerIndex][value]["RandomAnimation_IsFriend"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ghost"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Dead"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Rest"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Pain"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_AFK"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Stealth"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Ice"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shackle"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Fear"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Cyclone"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Seduce"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Banish"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Sleep"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Shield"]="on"
			Table[ZMobDBPlayerIndex][value]["Animation_Bandage"]="on"
		end
	end
end

function ZMobDB_SetupAnimationStats(Table,Index)
--Set ALL needed variables to their default state.
	Table[Index]={}
	Table[Index]["UnitName"]="NoData"
	Table[Index]["DataSelect"]="default"
	Table[Index]["stats"]="Normal"
	Table[Index]["pre_stats"]="Normal"
	Table[Index]["ghost_model"]="tombstone"
end


ZMobDB_Event_Animation = {
	["Dead"] = { ["No"] = 1, ["Frames"] = nil, ["nextNo"] = nil },
	["Pain"] = { ["No"] = 14, ["Frames"] = nil, ["nextNo"] = nil },
	["Rest"] = { ["No"] = 96, ["Frames"] = nil, ["nextNo"] = nil },
	["AFK"] = { ["No"] = 96, ["Frames"] = nil, ["nextNo"] = nil },
	["Stealth"] = { ["No"] = 119, ["Frames"] = nil, ["nextNo"] = nil },
	["Run"] = { ["No"] = 5, ["Frames"] = 2500, ["nextNo"] = nil },
	["WalkBack"] = { ["No"] = 13, ["Frames"] = 2500, ["nextNo"] = nil },
	["Channeling"] = { ["No"] = 124, ["Frames"] = 2500, ["nextNo"] = nil },
	["CreateMotion"] = { ["No"] = 63, ["Frames"] = 4000, ["nextNo"] = nil },
	["Flinch"] = { ["No"] = 10, ["Frames"] = 750, ["nextNo"] = nil, },
	["Flinch2"] = { ["No"] = 36, ["Frames"] = 750, ["nextNo"] = nil, },
	["Spell"] = { ["No"] = 52, ["Frames"] = 2000, ["nextNo"] = nil, },
	["Spell2"] = { ["No"] = 53, ["Frames"] = 1500, ["nextNo"] = nil, },
	["Wave"] = { ["No"] = 67, ["Frames"] = 2500, ["nextNo"] = nil },
	["Rude"] = { ["No"] = 73, ["Frames"] = 2500, ["nextNo"] = nil },
	["Roar"] = { ["No"] = 74, ["Frames"] = 3000, ["nextNo"] = nil },
	["Kiss"] = { ["No"] = 76, ["Frames"] = 2400, ["nextNo"] = nil },
	["Chicken"] = { ["No"] = 78, ["Frames"] = 3800, ["nextNo"] = nil },
	["Applause"] = { ["No"] = 80, ["Frames"] = 3000, ["nextNo"] = nil },
	["Flex"] = { ["No"] = 82, ["Frames"] = 4000, ["nextNo"] = nil },
	["Point"] = { ["No"] = 84, ["Frames"] = 3000, ["nextNo"] = nil },
	["Shout"] = { ["No"] = 81, ["Frames"] = 3000, ["nextNo"] = nil },
	["tombstone"] = { ["id"] = 1, ["File"] = "World\\Environment\\doodad\\naxxramas\\icyrune01.m2" },
	["skull"] = { ["id"] = 2, ["File"] = "World\\Generic\\passivedoodads\\skeletons\\lightskeletonsitting01.m2" },
	["gas"] = { ["id"] = 3, ["File"] = "Spells\\Purpleghost_state.m2" },
	["spirit"] = { ["id"] = 4, ["File"] = "Spells\\Manafunnel_impact_chest.m2" },
	["Horde_Flag"] = { ["id"] = 5, ["File"] = "World\\Generic\\pvp\\battlefieldbanners\\battlefieldbannerhorde.m2" },
	["Alliance_Flag"] = { ["id"] = 6, ["File"] = "World\\Generic\\pvp\\battlefieldbanners\\battlefieldbanneralliance.m2" },
	["Shackle"] = { ["id"] = 7, ["File"] = "Spells\\Unholyshackles_state_base.m2", ["scale"] = 1,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Ice"] = { ["id"] = 8, ["File"] = "Spells\\Icebarrier_state.m2", ["scale"] = 1,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Fear"] = { ["id"] = 9, ["File"] = "Spells\\Shadowbolt_missile.m2", ["scale"] = 4.25,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Cyclone"] = { ["id"] = 10, ["File"] = "Spells\\Cyclone_state.m2", ["scale"] = 1,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Seduce"] = { ["id"] = 11, ["File"] = "Spells\\Seduction_state_head.m2", ["scale"] = 2,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Banish"] = { ["id"] = 12, ["File"] = "Spells\\Banish_chest.m2", ["scale"] = 1,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Sleep"] = { ["id"] = 13, ["File"] = "Spells\\Beastsoothe_state_head.m2", ["scale"] = 2,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Shield"] = { ["id"] = 14, ["File"] = "Spells\\Holydivineshield_state_base.m2", ["scale"] = 2,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
	["Bandage"] = { ["id"] = 15, ["File"] = "Spells\\Invisibility_impact_base.m2", ["scale"] = 2,["zoom"] = 0,["position"] = {0,0},["rotation"] = 0 },
};

ZMobDB_RandomAnimation_Table = {
"Wave",
"Rude",
"Roar",
"Kiss",
"Chicken",
"Applause",
"Flex",
"Point",
"Shout",
"Run",
};

ZMobDB_HitAnimation_Table = {
"Flinch",
"Flinch2",
"Spell",
"Spell2",
"Run",
"WalkBack",
"Channeling",
};

ZMobDBStealth_Table = { 
"Ghost Wolf",
"Prowl",
"Shadowmeld",
"Shadowform",
"Ancestor Invisibility",
"Arcane Invisibility",
"Bombing Run: Invisibility",
"Drunk Invisibility (Pink)",
"Elemental Spirit Invisibility",
"Eranikus the Chained Invisiibility",
"Garm Wolfbrother: Invisibility",
"Greater Invisibility",
"Head of the Horseman Invisible",
"Lesser Invisibility",
"Phasing Invisibility",
"Quest Invisibility",
"Rift Spawn Invisibility",
"Sai'kkal Invisibility",
"Shadowmoon Ghost Invisibility",
"Target Invisibility",
"Triangulation Point One Invisibility",
"Triangulation Point Two Invisibility",
"Phase Shift",
};

ZMobDBStealth_Name = { 
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
"Invisi",
};

ZMobDBGhost_Name = { 
"tombstone",
"skull",
"flag",
"gas",
"spirit",
};

ZMobDBBuff_Table = {
"Eat",
"Food",
"Drink",
"Watar",
"Ice Block",
"First Aid",
"Bandage",
"Divine Shield",
"Divine Protection",
"Blessing of Protection",
};

ZMobDBBuff_Name = {
"Rest",
"Rest",
"Rest",
"Rest",
"Ice",
"Bandage",
"Bandage",
"Shield",
"Shield",
"Shield",
};


ZMobDBDebuff_Table = {
"Fear",
"Fleeing in Terror",
"Howl of Terror",
"Death Coil",
"Psychic Scream",
"Seduction",
"Anesthetic",
"Bad Poetry",
"Bone Bore",
"Crystalline Slumber",
"Dreamless Sleep",
"Druid's Slumber",
"Enchanting Lullaby",
"Gas Bomb",
"Greater Dreamless Sleep",
"Hibernate",
"Major Dreamless Sleep",
"Naralex's Nightmare",
"Sablemane's Sleeping Powder",
"Sleep",
"Tunnel Bore",
"Wyvern Sting",
"Freezing Trap",
"Shackle",
"Cyclone",
"Banish",
};

ZMobDBDebuff_Name = {
"Fear",
"Fear",
"Fear",
"Fear",
"Fear",
"Seduce",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Sleep",
"Ice",
"Shackle",
"Cyclone",
"Banish",
};

ZMobDBForm_Table = { 
"Cat Form",
"Aquatic Form",
"Travel Form",
"Tree of Life",
"Snowman",
"Bear Form",
"Moonkin Form",
"Ghost Wolf",
"Skeleton Costume",
"Flip Out",
"Yaaarrrr",
"Lament",
"Winter Wondervolt",
"Gnome Costume",
"Wisp Costume",
"Bat Costume",
"Human Illusion",
"Flight Form"
};

ZMobDBForm_Name = { 
"Cat_form",
"Aqua_form",
"Travel_form",
"Trent_form",
"SnowMan",
"Bear_form",
"Moonkin_form",
"Wolf_Form",
"Skelton_form",
"Pirate_form",
"Pirate_form",
"Lament",
"Gnome_Santa",
"Gnome_form",
"Wisp_Form",
"Bat_Form",
"Human_Form",
"Flight_form"
};

function ZMobDB_Settings_CreateProfile()
	return {
		[0]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[1]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[2]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[3]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[4]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[5]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[6]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[7]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[8]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[9]  = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[10] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[11] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[12] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[13] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[14] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[15] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[16] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[17] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[18] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[19] = ZMobDB_Settings_CreateProfile_BoundingBox(),
		[20] = ZMobDB_Settings_CreateProfile_BoundingBox(),
	};
end

function ZMobDB_Settings_CreateProfile_BoundingBox()
	return {
		["isEnabled"] = false,
		["title"] = "Untitled",
		["scale"] = {
			["width"] = 200,
			["height"] = 200,
		},
		["anchor"] = {
			["x"] = 200,
			["y"] = 200,
		},
		["bgColor"] = {
			["red"] = 0,
			["green"] = 0,
			["blue"] = 0,
			["alpha"] = 0,
		},
		["avatar"] = {
			["unitType"] = "target",
			["isRendered"] = false,
			["camera"] = ZMobDB_Settings_CreateCamera(),
		},
		["cursorControls"] = ZMobDB_Settings_CreateProfile_CursorControls(),
	};
end

function ZMobDB_Settings_CreateProfile_CursorControls()
	return {
		["isEnabled"] = true,
		["active"] = nil,
		["count"] = 0,
		["LeftButton"]   = ZMobDB_Settings_CreateProfile_CursorControlButton(),
		["RightButton"]  = ZMobDB_Settings_CreateProfile_CursorControlButton(),
		["MiddleButton"] = ZMobDB_Settings_CreateProfile_CursorControlButton(),
		["ScrollWheel"]  = ZMobDB_Settings_CreateProfile_CursorControlButton(),
	};
end

function ZMobDB_Settings_CreateProfile_CursorControlButton()
	return {
		["NOKEY"] = nil,
		["ALT"]   = nil,
		["CTRL"]  = nil,
		["SHIFT"] = nil,
	};
end


--
-- Camera Settings
--

function ZMobDB_Settings_RefreshCamera(avatar)
	local ZMobDBPlayerIndex=UnitName("player").."."..GetRealmName();
	camera = ZMobDB_Profile[ZMobDBPlayerIndex][avatar:GetParent():GetID()].avatar.camera;
	avatar:SetModelScale(camera.scale);
	avatar:SetPosition(camera.zoom, camera.position.panH, camera.position.panV);
	avatar:SetRotation(camera.rotation);
	--avatar:SetLight(camera.light.isEnabled, camera.light.omni, camera.light.zoom,
	--	camera.light.position.panH, camera.light.position.panV, camera.light.ambient.alpha,
	--	camera.light.ambient.red, camera.light.ambient.green, camera.light.ambient.blue,
	--	camera.light.direct.alpha, camera.light.direct.red, camera.light.direct.green,
	--	camera.light.direct.blue);
end

function ZMobDB_Settings_CreateCamera(copyFrom)
	return {
		["scale"] = 1,
		["zoom"]  = 0,
		["position"] = {
			["panH"] = 0,
			["panV"] = 0,
		},
		["rotation"] = 0,
		["light"] = {
			["isEnabled"] = false,
			["omni"] = 1,
			["zoom"] = 0,
			["position"] = {
				["panH"] = 0,
				["panV"] = 0,
			},
			["ambient"] = {
				["red"]   = 0,
				["green"] = 0,
				["blue"]  = 0,
				["alpha"] = 0,
			},
			["direct"] = {
				["red"]   = 0,
				["green"] = 0,
				["blue"]  = 0,
				["alpha"] = 0,
			},
		},
	};
end
-- ---------------------------------------------------------
-- DropDown Menu Setting
-- ---------------------------------------------------------
function ZMobDB_DropDownStrataInitiation_player()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStrataplayerOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_target()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratatargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_party()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratapartyOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_pet()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratapetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_targettarget()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratatargettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_pettarget()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratapettargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end

function ZMobDB_DropDownStrataInitiation_focus()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratafocusOnClick;
	};
	UIDropDownMenu_AddButton(info);
end

function ZMobDB_DropDownStrataInitiation_partytarget()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratapartytargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_partypet()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratapartypetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownStrataInitiation_focustarget()
	local info;
	info = {
			text = "BACKGROUND";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "LOW";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "MEDIUM";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "HIGH";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "DIALOG";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FULLSCREEN_DIALOG";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownStratafocustargetOnClick;
	};
	UIDropDownMenu_AddButton(info);
end

function ZMobDB_DropDownGhost_ModelInitiation()
	local info;
	info = {
			text = "TOMBSTONE";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "SKULL";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "GAS";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "SPIRIT";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FLAG";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "RANDOM";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "RANDOM_BG";
			func = ZMobDB_DropDownGhost_ModelOnClick;
	};
	UIDropDownMenu_AddButton(info);
end

function ZMobDB_DropDownSlowModeInitiation()
	local info;
	info = {
			text = "OFF";
			func = ZMobDB_DropDownSlowModeOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "ALL";
			func = ZMobDB_DropDownSlowModeOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY";
			func = ZMobDB_DropDownSlowModeOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "RAID";
			func = ZMobDB_DropDownSlowModeOnClick;
	};
	UIDropDownMenu_AddButton(info);
end

function ZMobDB_DropDownBorderInitiation()
	local info;
	info = {
			text = "DEFAULT";
			func = ZMobDB_DropDownBorderOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "BLACK";
			func = ZMobDB_DropDownBorderOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "EDGE";
			func = ZMobDB_DropDownBorderOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOOLTIP";
			func = ZMobDB_DropDownBorderOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDownReflesh_controlInitiation()
	local info;
	info = {
			text = "MOUSERIGHT";
			func = ZMobDB_DropDownReflesh_controlOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "ALT_MOUSERIGHT";
			func = ZMobDB_DropDownReflesh_controlOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDown_SelectUnitInitiation()
	local info;
	info = {
			text = "PLAYER";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGETTARGET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PETTARGET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTYTARGET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUS";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUSTARGET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTYPET";
			func = ZMobDB_DropDownSelectUnitOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDown_SelectBoxInitiation()
	local info;
	info = {
			text = "PLAYER";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY1";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY2";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY3";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY4";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGETTARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PETTARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY1TARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY2TARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY3TARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY4TARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUS";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY1PET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY2PET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY3PET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY4PET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUSTARGET";
			func = ZMobDB_DropDownSelectBoxOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDown_RaidIconPositionInitiation()
	local info;
	info = {
			text = "TOPLEFT";
			func = ZMobDB_DropDownRaidIconPositionOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TOPRIGHT";
			func = ZMobDB_DropDownRaidIconPositionOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "BOTTOMLEFT";
			func = ZMobDB_DropDownRaidIconPositionOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "BOTTOMRIGHT";
			func = ZMobDB_DropDownRaidIconPositionOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDown_SelectUnitAnimationInitiation()
	local info;
	info = {
			text = "PLAYER";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTY";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "TARGETTARGET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PETTARGET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTYTARGET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUS";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "PARTYPET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "FOCUSTARGET";
			func = ZMobDB_DropDownSelectUnitAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_DropDown_SelectAnimationInitiation()
	local info;
	info = {
			text = "Normal";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Dead";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Pain";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Rest";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "AFK";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Stealth";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Random";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Ghost";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Shackle";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Ice";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Fear";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Cyclone";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Seduce";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Banish";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Sleep";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Shield";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
	info = {
			text = "Bandage";
			func = ZMobDB_DropDownSelectAnimationOnClick;
	};
	UIDropDownMenu_AddButton(info);
end
function ZMobDB_GetIDFromStrata(strata)

	if strata == "BACKGROUND" then
		return 1;
	elseif strata == "LOW" then
		return 2;
	elseif strata == "MEDIUM" then
		return 3;
	elseif strata == "HIGH" then
		return 4;
	elseif strata == "DIALOG" then
		return 5;
	elseif strata == "FULLSCREEN_DIALOG" then
		return 6;
	elseif strata == "TOOLTIP" then
		return 7;
	end

end
function ZMobDB_GetIDFromSlowMode(slowmode)

	if slowmode == "OFF" then
		return 1;
	elseif slowmode == "ALL" then
		return 2;
	elseif slowmode == "PARTY" then
		return 3;
	elseif slowmode == "RAID" then
		return 4;
	end

end
function ZMobDB_GetIDFromGhost_Model(ghostmodel)

	if ghostmodel == "TOMBSTONE" then
		return 1;
	elseif ghostmodel == "SKULL" then
		return 2;
	elseif ghostmodel == "GAS" then
		return 3;
	elseif ghostmodel == "SPIRIT" then
		return 4;
	elseif ghostmodel == "FLAG" then
		return 5;
	elseif ghostmodel == "RANDOM" then
		return 6;
	elseif ghostmodel == "RANDOM_BG" then
		return 7;
	end

end

function ZMobDB_GetIDFromBorder(border)

	if border == "DEFAULT" then
		return 1;
	elseif border == "BLACK" then
		return 2;
	elseif border == "EDGE" then
		return 3;
	elseif border == "TOOLTIP" then
		return 4;
	end
end

function ZMobDB_GetIDFromReflesh_control(control)

	if control == "MOUSERIGHT" then
		return 1;
	elseif control == "ALT_MOUSERIGHT" then
		return 2;
	end
end
function ZMobDB_GetIDFromSelectUnit(unit)

	if unit == "PLAYER" then
		return 1;
	elseif unit == "TARGET" then
		return 2;
	elseif unit == "PARTY" then
		return 3;
	elseif unit == "PET" then
		return 4;
	elseif unit == "TARGETTARGET" then
		return 5;
	elseif unit == "PETTARGET" then
		return 6;
	elseif unit == "PARTYTARGET" then
		return 7;
	elseif unit == "FOCUS" then
		return 8;
	elseif unit == "FOCUSTARGET" then
		return 9;
	elseif unit == "PARTYPET" then
		return 10;
	end
end
function ZMobDB_GetIDFromSelectBox(unit)

	if unit == "PLAYER" then
		return 1;
	elseif unit == "TARGET" then
		return 2;
	elseif unit == "PARTY1" then
		return 3;
	elseif unit == "PARTY2" then
		return 4;
	elseif unit == "PARTY3" then
		return 5;
	elseif unit == "PARTY4" then
		return 6;
	elseif unit == "PET" then
		return 7;
	elseif unit == "TARGETTARGET" then
		return 8;
	elseif unit == "PETTARGET" then
		return 9;
	elseif unit == "PARTY1TARGET" then
		return 10;
	elseif unit == "PARTY2TARGET" then
		return 11;
	elseif unit == "PARTY3TARGET" then
		return 12;
	elseif unit == "PARTY4TARGET" then
		return 13;
	elseif unit == "FOCUS" then
		return 14;
	elseif unit == "PARTY1PET" then
		return 15;
	elseif unit == "PARTY2PET" then
		return 16;
	elseif unit == "PARTY3PET" then
		return 17;
	elseif unit == "PARTY4PET" then
		return 18;
	elseif unit == "FOCUSTARGET" then
		return 19;
	end
end
function  ZMobDB_GetIDFromRaidIconPosition(position)

	if position == "TOPLEFT" then
		return 1;
	elseif position == "TOPRIGHT" then
		return 2;
	elseif position == "BOTTOMLEFT" then
		return 3;
	elseif position == "BOTTOMRIGHT" then
		return 4;
	end
end
function ZMobDB_GetIDFromSelectAnimation(animation)
	if animation == "Normal" then
		return 1;
	elseif animation == "Dead" then
		return 2;
	elseif animation == "Pain" then
		return 3;
	elseif animation == "Rest" then
		return 4;
	elseif animation == "AFK" then
		return 5;
	elseif animation == "Stealth" then
		return 6;
	elseif animation == "Random" then
		return 7;
	elseif animation == "Ghost" then
		return 8;
	elseif animation == "Shackle" then
		return 9;
	elseif animation == "Ice" then
		return 10;
	elseif animation == "Fear" then
		return 11;
	elseif animation == "Cyclone" then
		return 12;
	elseif animation == "Seduce" then
		return 13;
	elseif animation == "Banish" then
		return 14;
	elseif animation == "Sleep" then
		return 15;
	elseif animation == "Shield" then
		return 16;
	elseif animation == "Bandage"then
		return 17;
	end
end
